/*	Compiler: ECL 11.1.1                                          */
/*	Source: EXT:CL-SIMD;ECL-SSE-UTILS.LISP                        */
#include <ecl/ecl-cmp.h>
#include "ext/ecl-sse-utils.h"
/*	function definition for LOOKUP-FLIP                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1lookup_flip(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,L1lookup_flipkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	}
	if(!(ECL_CONSP(V1))){
	goto L2;}
	{cl_object V4;                            /*  FIX             */
	T1= cl_first(V1)                          /*  FIRST           */;
	T0= ecl_assql(T1,V2);
	value0=cl_cdr(T0)                         /*  CDR             */;
	if((value0)!=Cnil){
	goto L6;}
	if((V3)!=Cnil){
	goto L10;}
	T0= cl_first(V1)                          /*  FIRST           */;
	T1= cl_rassoc(2,T0,V2)                    /*  RASSOC          */;
	V4= cl_car(T1)                            /*  CAR             */;
	goto L4;
L10:;
	V4= Cnil;
	goto L4;
L6:;
	V4= value0;
	goto L4;
L4:;
	if(!((V4)==(VV[0]))){
	goto L13;}
	goto L18;
L17:;
	(void)si_assert_failure(1,VV[1])          /*  ASSERT-FAILURE  */;
L18:;
	T0= cl_cddr(V1)                           /*  CDDR            */;
	if(T0==Cnil){
	goto L23;}
	goto L17;
L23:;
	goto L21;
L21:;
	goto L15;
L15:;
	value0=cl_second(V1)                      /*  SECOND          */;
	return value0;
L13:;
	if((V4)==Cnil){
	goto L26;}
	T0= cl_rest(V1)                           /*  REST            */;
	value0=CONS(V4,T0); cl_env_copy->nvalues=1;
	return value0;
L26:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for EXPAND-CONDITION                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2expand_condition(cl_object V1, cl_object V2)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	V1= cl_macroexpand(2,V1,V2)               /*  MACROEXPAND     */;
L5:;
	if(!(ECL_CONSP(V1))){
	goto L12;}
	T0= cl_first(V1)                          /*  FIRST           */;
	if(!(ECL_SYMBOLP(T0))){
	goto L12;}
	T0= cl_first(V1)                          /*  FIRST           */;
	if((ecl_get(T0,VV[3],Cnil))!=Cnil){
	goto L9;}
	goto L10;
L12:;
	goto L10;
L10:;
	goto L6;
L9:;
	goto L7;
L7:;
	T0= cl_first(V1)                          /*  FIRST           */;
	T1= (cl_env_copy->function=(ECL_SYM("COMPILER-MACRO-FUNCTION",237)->symbol.gfdef))->cfun.entry(1,T0) /*  COMPILER-MACRO-FUNCTION */;
	V1= ecl_function_dispatch(cl_env_copy,VV[163])(3,T1,V1,V2) /*  CMP-EXPAND-MACRO */;
	goto L5;
L6:;
	goto L3;
L3:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for IS-UNARY?                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3is_unary_(cl_object V1, cl_object V2)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_CONSP(V1))){
	goto L2;}
	T0= cl_first(V1)                          /*  FIRST           */;
	if(!((T0)==(V2))){
	goto L2;}
	T0= cl_cddr(V1)                           /*  CDDR            */;
	value0=ecl_make_bool(T0==Cnil); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for EXPAND-IF-MACRO                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4expand_if_macro(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8, cl_object V9, cl_object V10, cl_object V11, ...)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<11)) FEwrong_num_arguments_anonym();
	{
	cl_object V12;
	cl_va_list args; cl_va_start(args,V11,narg,11);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,L4expand_if_macrokeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V12= keyvars[0];
	}
	{cl_object V13;                           /*  CONDITION       */
	cl_object V14;                            /*  THEN-VALUE      */
	cl_object V15;                            /*  ELSE-VALUE      */
	cl_object V16;                            /*  THEN-ZERO?      */
	cl_object V17;                            /*  ELSE-ZERO?      */
	V13= L2expand_condition(V1,V4)            /*  EXPAND-CONDITION */;
	V14= cl_macroexpand(2,V2,V4)              /*  MACROEXPAND     */;
	V15= cl_macroexpand(2,V3,V4)              /*  MACROEXPAND     */;
	V16= ecl_make_bool(ecl_equal(V14,V11));
	V17= ecl_make_bool(ecl_equal(V15,V11));
	if((L3is_unary_(V13,V6)                   /*  IS-UNARY?       */)==Cnil){
	goto L7;}
	T0= cl_second(V13)                        /*  SECOND          */;
	T1= Null(V12)?Ct:Cnil;
	value0=L4expand_if_macro(13,T0,V15,V14,V4,V5,V6,V7,V8,V9,V10,V11,VV[6],T1) /*  EXPAND-IF-MACRO */;
	return value0;
L7:;
	if((V16)==Cnil){
	goto L11;}
	if((V17)==Cnil){
	goto L11;}
	value0=V11; cl_env_copy->nvalues=1;
	return value0;
L11:;
	if((V16)==Cnil){
	goto L15;}
	value0=cl_list(3,V9,V13,V15)              /*  LIST            */;
	return value0;
L15:;
	if((V17)==Cnil){
	goto L18;}
	value0=cl_list(3,V8,V13,V14)              /*  LIST            */;
	return value0;
L18:;
	{cl_object V18;                           /*  CSYM            */
	cl_object V19;                            /*  ARGS            */
	V18= cl_gensym(0)                         /*  GENSYM          */;
	T0= cl_list(3,V8,V18,V14)                 /*  LIST            */;
	T1= cl_list(3,V9,V18,V15)                 /*  LIST            */;
	V19= cl_list(2,T0,T1)                     /*  LIST            */;
	T0= cl_list(2,V18,V13)                    /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(3,ECL_SYM("TYPE",867),V10,V18) /*  LIST           */;
	T3= cl_list(2,VV[7],V18)                  /*  LIST            */;
	T4= cl_list(3,ECL_SYM("DECLARE",272),T2,T3) /*  LIST          */;
	if((V12)==Cnil){
	goto L24;}
	T5= cl_reverse(V19)                       /*  REVERSE         */;
	goto L22;
L24:;
	T5= V19;
	goto L22;
L22:;
	T6= CONS(V7,T5);
	value0=cl_list(4,ECL_SYM("LET",475),T1,T4,T6) /*  LIST        */;
	return value0;
	}
	}
}}
/*	local function DEF-UTILITY                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5def_utility(cl_object V1, cl_object V2)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NAME            */
	cl_object V4;                             /*  ARG-TYPES       */
	cl_object V5;                             /*  RET-TYPE        */
	cl_object V6;                             /*  EXPANSION       */
	cl_object V7;
	cl_object V8;
	cl_object V9;                             /*  EXPAND-ARGS     */
	cl_object V10;
	cl_object V11;                            /*  EXPAND-IN-CONDITION */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	if((cl_cddddr(V1)                         /*  CDDDDR          */)==Cnil){
	goto L15;}
	T0= cl_cddddr(V1)                         /*  CDDDDR          */;
	V6= cl_car(T0)                            /*  CAR             */;
	goto L13;
L15:;
	V6= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L13;
L13:;
	T0= cl_cddddr(V1)                         /*  CDDDDR          */;
	V7= cl_cdr(T0)                            /*  CDR             */;
	V8= si_search_keyword(2,V7,VV[9])         /*  SEARCH-KEYWORD  */;
	if(!((V8)==(VV[10]))){
	goto L21;}
	V9= Cnil;
	goto L19;
L21:;
	V9= V8;
	goto L19;
L19:;
	V10= si_search_keyword(2,V7,VV[11])       /*  SEARCH-KEYWORD  */;
	if(!((V10)==(VV[10]))){
	goto L26;}
	V11= Cnil;
	goto L24;
L26:;
	V11= V10;
	goto L24;
L24:;
	(void)si_check_keyword(2,V7,VV[12])       /*  CHECK-KEYWORD   */;
	{cl_object V12;                           /*  ANAMES          */
	{cl_object V13;                           /*  LET1939         */
	cl_object V14;
	cl_object V15;
	V13= ecl_function_dispatch(cl_env_copy,VV[165])(1,V4) /*  MAKE-ARG-NUMS */;
	V14= Cnil;
	V15= V13;
	{cl_object V16;
	cl_object V17;
	V16= ecl_list1(Cnil);
	V17= V16;
L36:;
	if(!(ecl_endp(V15))){
	goto L40;}
	goto L37;
L40:;
	goto L38;
L38:;
	V14= CAR(V15);
	V15= CDR(V15);
	T0= V17;
	T1= ecl_function_dispatch(cl_env_copy,VV[166])(1,V14) /*  MAKE-ARG-NAME */;
	V17= ecl_list1(T1);
	if (ecl_unlikely(ATOM(T0)))FEtype_error_cons(T0);
	ECL_CONS_CDR(T0) = V17;
	goto L36;
L37:;
	V12= cl_cdr(V16)                          /*  CDR             */;
	goto L29;
	}
	}
L29:;
	T0= cl_list(2,ECL_SYM("QUOTE",677),V3)    /*  LIST            */;
	T1= cl_list(2,ECL_SYM("EXPORT",342),T0)   /*  LIST            */;
	if((V11)==Cnil){
	goto L52;}
	T3= cl_list(2,ECL_SYM("QUOTE",677),V3)    /*  LIST            */;
	T4= cl_list(3,ECL_SYM("GET",400),T3,VV[14]) /*  LIST          */;
	T5= cl_list(3,ECL_SYM("SETF",748),T4,Ct)  /*  LIST            */;
	T2= ecl_list1(T5);
	goto L50;
L52:;
	T2= Cnil;
	goto L50;
L50:;
	T3= cl_listX(3,ECL_SYM("&ENVIRONMENT",7),VV[15],V12) /*  LIST* */;
	{cl_object V13;                           /*  LET1941         */
	cl_object V14;                            /*  ARG             */
	cl_object V15;
	if(!((V9)==(Ct))){
	goto L57;}
	V13= V12;
	goto L55;
L57:;
	V13= V9;
	goto L55;
L55:;
	V14= Cnil;
	V15= V13;
	{cl_object V16;
	cl_object V17;
	V16= ecl_list1(Cnil);
	V17= V16;
L64:;
	if(!(ecl_endp(V15))){
	goto L68;}
	goto L65;
L68:;
	goto L66;
L66:;
	V14= CAR(V15);
	V15= CDR(V15);
	T5= V17;
	T6= cl_list(3,ECL_SYM("MACROEXPAND",517),V14,VV[15]) /*  LIST */;
	T7= cl_list(3,ECL_SYM("SETQ",749),V14,T6) /*  LIST            */;
	V17= ecl_list1(T7);
	if (ecl_unlikely(ATOM(T5)))FEtype_error_cons(T5);
	ECL_CONS_CDR(T5) = V17;
	goto L64;
L65:;
	T4= cl_cdr(V16)                           /*  CDR             */;
	goto L54;
	}
	}
L54:;
	T5= ecl_list1(V6);
	T6= ecl_append(T4,T5);
	T7= cl_listX(5,ECL_SYM("DEFINE-COMPILER-MACRO",277),V3,T3,VV[16],T6) /*  LIST* */;
	T8= ecl_list1(T7);
	T9= ecl_append(T2,T8);
	T10= cl_listX(3,ECL_SYM("EVAL-WHEN",338),VV[13],T9) /*  LIST* */;
	{cl_object V13;
	cl_object V14;
	V13= Cnil;
	V14= V4;
	{cl_object V15;
	cl_object V16;
	V15= ecl_list1(Cnil);
	V16= V15;
L84:;
	if(!(ecl_endp(V14))){
	goto L88;}
	goto L85;
L88:;
	goto L86;
L86:;
	V13= CAR(V14);
	V14= CDR(V14);
	T12= V16;
	T13= ecl_function_dispatch(cl_env_copy,VV[167])(1,V13) /*  DECLAIM-ARG-TYPE-OF */;
	V16= ecl_list1(T13);
	if (ecl_unlikely(ATOM(T12)))FEtype_error_cons(T12);
	ECL_CONS_CDR(T12) = V16;
	goto L84;
L85:;
	T11= cl_cdr(V15)                          /*  CDR             */;
	goto L78;
	}
	}
L78:;
	T12= cl_list(3,ECL_SYM("FUNCTION",394),T11,V5) /*  LIST       */;
	T13= cl_list(3,ECL_SYM("FTYPE",391),T12,V3) /*  LIST          */;
	T14= cl_list(2,ECL_SYM("QUOTE",677),T13)  /*  LIST            */;
	T15= cl_list(2,ECL_SYM("PROCLAIM",664),T14) /*  LIST          */;
	{cl_object V13;
	cl_object V14;
	V13= Cnil;
	V14= V12;
	{cl_object V15;
	cl_object V16;
	V15= Cnil;
	V16= V12;
	{cl_object V17;
	cl_object V18;
	V17= ecl_list1(Cnil);
	V18= V17;
L106:;
	if(!(ecl_endp(V14))){
	goto L110;}
	goto L107;
L110:;
	goto L108;
L108:;
	V13= CAR(V14);
	V14= CDR(V14);
	if(!(ecl_endp(V16))){
	goto L118;}
	goto L107;
L118:;
	goto L116;
L116:;
	V15= CAR(V16);
	V16= CDR(V16);
	T17= V18;
	T18= cl_list(2,V13,V15)                   /*  LIST            */;
	V18= ecl_list1(T18);
	if (ecl_unlikely(ATOM(T17)))FEtype_error_cons(T17);
	ECL_CONS_CDR(T17) = V18;
	goto L106;
L107:;
	T16= cl_cdr(V17)                          /*  CDR             */;
	goto L98;
	}
	}
	}
L98:;
	{cl_object V13;                           /*  AN              */
	cl_object V14;
	cl_object V15;                            /*  AT              */
	cl_object V16;
	V13= Cnil;
	V14= V12;
	V15= Cnil;
	V16= V4;
	{cl_object V17;
	cl_object V18;
	V17= ecl_list1(Cnil);
	V18= V17;
L136:;
	if(ecl_endp(V14)){
	goto L142;}
	if(!(ecl_endp(V16))){
	goto L140;}
	goto L141;
L142:;
L141:;
	goto L137;
L140:;
	goto L138;
L138:;
	{cl_object V19;
	V19= CAR(V14);
	V15= CAR(V16);
	V13= V19;
	}
	V14= CDR(V14);
	V16= CDR(V16);
	T18= V18;
	T19= cl_list(3,ECL_SYM("TYPE",867),V15,V13) /*  LIST          */;
	V18= ecl_list1(T19);
	if (ecl_unlikely(ATOM(T18)))FEtype_error_cons(T18);
	ECL_CONS_CDR(T18) = V18;
	goto L136;
L137:;
	T17= cl_cdr(V17)                          /*  CDR             */;
	goto L128;
	}
	}
L128:;
	T18= CONS(ECL_SYM("DECLARE",272),T17);
	T19= CONS(V3,V12);
	T20= cl_list(4,ECL_SYM("LET",475),T16,T18,T19) /*  LIST       */;
	T21= cl_list(5,ECL_SYM("DEFUN",287),V3,V12,VV[17],T20) /*  LIST */;
	value0=cl_list(5,ECL_SYM("PROGN",669),T1,T10,T15,T21) /*  LIST */;
	return value0;
	}
	}
}}
/*	local function DEF-IF-FUNCTION                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6def_if_function(cl_object V1, cl_object V2)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  NAME            */
	cl_object V4;                             /*  TYPE-NAME       */
	cl_object V5;                             /*  POSTFIX         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,V4,V4,V4)                   /*  LIST            */;
	T1= cl_list(2,ECL_SYM("QUOTE",677),V3)    /*  LIST            */;
	T2= cl_format(3,Cnil,_ecl_static_1,V5)    /*  FORMAT          */;
	T3= cl_intern(1,T2)                       /*  INTERN          */;
	T4= cl_list(2,ECL_SYM("QUOTE",677),T3)    /*  LIST            */;
	T5= cl_format(3,Cnil,_ecl_static_2,V5)    /*  FORMAT          */;
	T6= cl_intern(1,T5)                       /*  INTERN          */;
	T7= cl_list(2,ECL_SYM("QUOTE",677),T6)    /*  LIST            */;
	T8= cl_format(3,Cnil,_ecl_static_3,V5)    /*  FORMAT          */;
	T9= cl_intern(1,T8)                       /*  INTERN          */;
	T10= cl_list(2,ECL_SYM("QUOTE",677),T9)   /*  LIST            */;
	T11= cl_format(3,Cnil,_ecl_static_4,V5)   /*  FORMAT          */;
	T12= cl_intern(1,T11)                     /*  INTERN          */;
	T13= cl_list(2,ECL_SYM("QUOTE",677),T12)  /*  LIST            */;
	T14= cl_list(2,ECL_SYM("QUOTE",677),V4)   /*  LIST            */;
	T15= cl_format(3,Cnil,_ecl_static_5,V5)   /*  FORMAT          */;
	T16= cl_intern(1,T15)                     /*  INTERN          */;
	T17= ecl_list1(T16);
	T18= cl_list(2,ECL_SYM("QUOTE",677),T17)  /*  LIST            */;
	T19= cl_list(12,VV[8],VV[19],VV[20],VV[21],VV[15],T1,T4,T7,T10,T13,T14,T18) /*  LIST */;
	value0=cl_list(5,VV[18],V3,T0,V4,T19)     /*  LIST            */;
	return value0;
	}
}}
/*	local function SSE-ARRAY                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7sse_array(cl_narg narg, cl_object V1, ...)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ECL_SYM("*",16);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!((V1)==(ECL_SYM("*",16)))){
	goto L4;}
	(void)ecl_function_dispatch(cl_env_copy,VV[169])(1,_ecl_static_6) /*  CMPERR */;
	goto L2;
L4:;
	goto L2;
L2:;
	{cl_object V3;                            /*  UPGRADED        */
	V3= cl_upgraded_array_element_type(1,V1)  /*  UPGRADED-ARRAY-ELEMENT-TYPE */;
	if(!((V3)==(Ct))){
	goto L14;}
	goto L11;
	goto L12;
L14:;
	goto L12;
L12:;
	if(!((V3)==(ECL_SYM("BIT",121)))){
	goto L9;}
	goto L10;
L11:;
L10:;
	(void)ecl_function_dispatch(cl_env_copy,VV[169])(2,_ecl_static_7,V1) /*  CMPERR */;
	goto L7;
L9:;
	goto L7;
L7:;
	if((cl_subtypep(2,V3,V1)                  /*  SUBTYPEP        */)!=Cnil){
	goto L19;}
	(void)ecl_function_dispatch(cl_env_copy,VV[170])(3,_ecl_static_8,V1,V3) /*  CMPWARN */;
	goto L17;
L19:;
	goto L17;
L17:;
	value0=cl_list(3,ECL_SYM("ARRAY",94),V3,V2) /*  LIST          */;
	return value0;
	}
}}
/*	function definition for MAKE-SSE-ARRAY                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8make_sse_array(cl_narg narg, cl_object V1, ...)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,L8make_sse_arraykeys,keyvars,(cl_object*)&V2,TRUE);
	cl_va_end(args);
	if(keyvars[2]==Cnil){
	V3= VV[26];
	}else{
	V3= keyvars[0];}
	V4= keyvars[1];
	}
	if((V4)==Cnil){
	goto L3;}
	T0= (ECL_SYM("MAKE-ARRAY",520)->symbol.gfdef);
	value0=cl_apply(3,T0,V1,V2)               /*  APPLY           */;
	return value0;
L3:;
	cl_env_copy->values[0]=si_array_element_type_byte_size(V3) /*  ARRAY-ELEMENT-TYPE-BYTE-SIZE */;
	{
	cl_object V6;                             /*  ELT-SIZE        */
	cl_object V7;                             /*  ADJ-TYPE        */
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L7;
	V6= cl_env_copy->values[0];
	if (V8--<=0) goto L8;
	V7= cl_env_copy->values[1];
	goto L9;}
L7:;
	V6= Cnil;
L8:;
	V7= Cnil;
L9:;
	if(!((V7)==(Ct))){
	goto L12;}
	(void)cl_error(1,_ecl_static_9)           /*  ERROR           */;
	goto L10;
L12:;
	goto L10;
L10:;
	cl_env_copy->values[0]=si_rem_f(V2,ECL_SYM("ELEMENT-TYPE",1198)) /*  REM-F */;
	{
	cl_object V9;
	cl_object V10;                            /*  FLAG            */
	V9= cl_env_copy->values[0];
	V10= cl_env_copy->values[1];
	V2= V9;}
	{cl_object V8;                            /*  FULL-SIZE       */
	cl_object V9;                             /*  PADDED-SIZE     */
	cl_object V10;                            /*  ARRAY           */
	cl_fixnum V11;                            /*  MISALIGN        */
	cl_object V12;                            /*  OFFSET          */
	if(!(ecl_numberp(V1))){
	goto L20;}
	V8= V1;
	goto L18;
L20:;
	T0= (ECL_SYM("*",16)->symbol.gfdef);
	V8= cl_reduce(2,T0,V1)                    /*  REDUCE          */;
	goto L18;
L18:;
	T0= ecl_ceiling2(MAKE_FIXNUM(15),V6);
	V9= ecl_plus(V8,T0);
	T0= (ECL_SYM("MAKE-ARRAY",520)->symbol.gfdef);
	V10= cl_apply(5,T0,V9,ECL_SYM("ELEMENT-TYPE",1198),V7,V2) /*  APPLY */;
	V11= (cl_fixnum)((((unsigned long)(V10)->array.self.b8) & 15));
	if(!((V11)>(0))){
	goto L30;}
	T0= ecl_minus(MAKE_FIXNUM(16),MAKE_FIXNUM(V11));
	goto L28;
L30:;
	T0= MAKE_FIXNUM(0);
	goto L28;
L28:;
	V12= ecl_divide(T0,V6);
	value0=si_make_pure_array(V3,V1,Cnil,Cnil,V10,V12) /*  MAKE-PURE-ARRAY */;
	return value0;
	}}
}}
/*	local function SET-TRUE-SS                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9set_true_ss(cl_object V1, cl_object V2)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(1)) /*  CHECK-ARG-LENGTH */;
	value0=VV[28]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SET-TRUE-PS                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10set_true_ps(cl_object V1, cl_object V2)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(1)) /*  CHECK-ARG-LENGTH */;
	value0=VV[31]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G63                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11__g63(cl_object V1, cl_object V2)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[34]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G64                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12__g64(cl_object V1, cl_object V2)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[36]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G65                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13__g65(cl_object V1, cl_object V2)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[34]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G66                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14__g66(cl_object V1, cl_object V2)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[39]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G67                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15__g67(cl_object V1, cl_object V2)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[34]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function IF-PS                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16if_ps(cl_object V1, cl_object V2)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	cl_object V5;                             /*  ARG2            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	value0=L4expand_if_macro(11,V3,V4,V5,V2,VV[41],VV[42],VV[43],VV[44],VV[45],ECL_SYM("FLOAT-SSE-PACK",1735),VV[34]) /*  EXPAND-IF-MACRO */;
	return value0;
	}
}}
/*	function definition for IF-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L17if_ps(cl_object V1, cl_object V2, cl_object V3)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{__m128 V4;
	V4= _mm_and_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2));
	{__m128 V5;
	V5= _mm_andnot_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V3));
	value0=ecl_make_float_sse_pack(_mm_or_ps(V4,V5)); cl_env_copy->nvalues=1;
	return value0;}}
}}
/*	local function NEG-SS                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18neg_ss(cl_object V1, cl_object V2)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[48],V3,VV[49])        /*  LIST            */;
	return value0;
	}
}}
/*	function definition for NEG-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L19neg_ss(cl_object V1)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_xor_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack_unsafe(_ecl_static_10))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function NEG-PS                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20neg_ps(cl_object V1, cl_object V2)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[48],V3,VV[52])        /*  LIST            */;
	return value0;
	}
}}
/*	function definition for NEG-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L21neg_ps(cl_object V1)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_xor_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack_unsafe(_ecl_static_11))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function NOT-PS                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22not_ps(cl_object V1, cl_object V2)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	V3= cl_macroexpand(2,V3,V2)               /*  MACROEXPAND     */;
	value0=L1lookup_flip(2,V3,VV[55])         /*  LOOKUP-FLIP     */;
	if((value0)!=Cnil){
	goto L9;}
	value0=cl_list(3,VV[48],V3,VV[38])        /*  LIST            */;
	return value0;
L9:;
	cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for NOT-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L23not_ps(cl_object V1)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_xor_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack_unsafe(_ecl_static_12))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SHUFFLE-PS                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L24shuffle_ps(cl_object V1, cl_object V2, cl_object V3)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{cl_object V4;
	V4= V1;
	if((si_sse_pack_p(V4)                     /*  SSE-PACK-P      */)!=Cnil){
	goto L5;}
	V1= si_do_check_type(4,V4,VV[57],Cnil,VV[58]) /*  DO-CHECK-TYPE */;
	goto L3;
L5:;
	goto L3;
L3:;
	}
	{cl_object V4;
	V4= V2;
	if((si_sse_pack_p(V4)                     /*  SSE-PACK-P      */)!=Cnil){
	goto L12;}
	V2= si_do_check_type(4,V4,VV[57],Cnil,VV[59]) /*  DO-CHECK-TYPE */;
	goto L10;
L12:;
	goto L10;
L10:;
	}
	{cl_object V4;
	V4= V3;
	if((cl_typep(2,V4,VV[26])                 /*  TYPEP           */)!=Cnil){
	goto L19;}
	V3= si_do_check_type(4,V4,VV[26],Cnil,VV[60]) /*  DO-CHECK-TYPE */;
	goto L17;
L19:;
	goto L17;
L17:;
	}
	value0=ecl_make_float_sse_pack(_mm_setr_ps(
       (V1)->sse.data.sf[(ecl_to_int(V3))&3],
       (V1)->sse.data.sf[((ecl_to_int(V3))>>2)&3],
       (V2)->sse.data.sf[((ecl_to_int(V3))>>4)&3],
       (V2)->sse.data.sf[((ecl_to_int(V3))>>6)&3]
     )); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SET-TRUE-SD                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25set_true_sd(cl_object V1, cl_object V2)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(1)) /*  CHECK-ARG-LENGTH */;
	value0=VV[62]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SET-TRUE-PD                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26set_true_pd(cl_object V1, cl_object V2)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(1)) /*  CHECK-ARG-LENGTH */;
	value0=VV[65]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G87                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27__g87(cl_object V1, cl_object V2)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[68]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G88                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC28__g88(cl_object V1, cl_object V2)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[70]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G89                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29__g89(cl_object V1, cl_object V2)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[68]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G90                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC30__g90(cl_object V1, cl_object V2)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[73]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G91                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31__g91(cl_object V1, cl_object V2)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[68]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function IF-PD                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC32if_pd(cl_object V1, cl_object V2)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	cl_object V5;                             /*  ARG2            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	value0=L4expand_if_macro(11,V3,V4,V5,V2,VV[75],VV[76],VV[77],VV[78],VV[79],ECL_SYM("DOUBLE-SSE-PACK",1736),VV[68]) /*  EXPAND-IF-MACRO */;
	return value0;
	}
}}
/*	function definition for IF-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L33if_pd(cl_object V1, cl_object V2, cl_object V3)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{__m128d V4;
	V4= _mm_and_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2));
	{__m128d V5;
	V5= _mm_andnot_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V3));
	value0=ecl_make_double_sse_pack(_mm_or_pd(V4,V5)); cl_env_copy->nvalues=1;
	return value0;}}
}}
/*	local function NEG-SD                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC34neg_sd(cl_object V1, cl_object V2)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[82],V3,VV[83])        /*  LIST            */;
	return value0;
	}
}}
/*	function definition for NEG-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L35neg_sd(cl_object V1)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_xor_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack_unsafe(_ecl_static_13))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function NEG-PD                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC36neg_pd(cl_object V1, cl_object V2)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[82],V3,VV[87])        /*  LIST            */;
	return value0;
	}
}}
/*	function definition for NEG-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L37neg_pd(cl_object V1)
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_xor_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack_unsafe(_ecl_static_14))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function NOT-PD                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38not_pd(cl_object V1, cl_object V2)
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	V3= cl_macroexpand(2,V3,V2)               /*  MACROEXPAND     */;
	value0=L1lookup_flip(2,V3,VV[90])         /*  LOOKUP-FLIP     */;
	if((value0)!=Cnil){
	goto L9;}
	value0=cl_list(3,VV[82],V3,VV[72])        /*  LIST            */;
	return value0;
L9:;
	cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for NOT-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L39not_pd(cl_object V1)
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_xor_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack_unsafe(_ecl_static_15))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SHUFFLE-PD                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L40shuffle_pd(cl_object V1, cl_object V2, cl_object V3)
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{cl_object V4;
	V4= V1;
	if((si_sse_pack_p(V4)                     /*  SSE-PACK-P      */)!=Cnil){
	goto L5;}
	V1= si_do_check_type(4,V4,VV[57],Cnil,VV[58]) /*  DO-CHECK-TYPE */;
	goto L3;
L5:;
	goto L3;
L3:;
	}
	{cl_object V4;
	V4= V2;
	if((si_sse_pack_p(V4)                     /*  SSE-PACK-P      */)!=Cnil){
	goto L12;}
	V2= si_do_check_type(4,V4,VV[57],Cnil,VV[59]) /*  DO-CHECK-TYPE */;
	goto L10;
L12:;
	goto L10;
L10:;
	}
	{cl_object V4;
	V4= V3;
	if((cl_typep(2,V4,VV[92])                 /*  TYPEP           */)!=Cnil){
	goto L19;}
	V3= si_do_check_type(4,V4,VV[92],Cnil,VV[60]) /*  DO-CHECK-TYPE */;
	goto L17;
L19:;
	goto L17;
L17:;
	}
	value0=ecl_make_double_sse_pack(_mm_setr_pd(
       (V1)->sse.data.df[(ecl_to_int(V3))&1],
       (V2)->sse.data.df[((ecl_to_int(V3))>>1)&1]
     )); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SET-TRUE-PI                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41set_true_pi(cl_object V1, cl_object V2)
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(1)) /*  CHECK-ARG-LENGTH */;
	value0=VV[94]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G107                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42__g107(cl_object V1, cl_object V2)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[97]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G108                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43__g108(cl_object V1, cl_object V2)
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[99]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function G109                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44__g109(cl_object V1, cl_object V2)
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[97]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function IF-PI                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45if_pi(cl_object V1, cl_object V2)
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	cl_object V5;                             /*  ARG2            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	value0=L4expand_if_macro(11,V3,V4,V5,V2,VV[101],VV[102],VV[103],VV[104],VV[105],ECL_SYM("FLOAT-SSE-PACK",1735),VV[97]) /*  EXPAND-IF-MACRO */;
	return value0;
	}
}}
/*	function definition for IF-PI                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L46if_pi(cl_object V1, cl_object V2, cl_object V3)
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{__m128i V4;
	V4= _mm_and_si128(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2));
	{__m128i V5;
	V5= _mm_andnot_si128(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V3));
	value0=ecl_make_int_sse_pack(_mm_or_si128(V4,V5)); cl_env_copy->nvalues=1;
	return value0;}}
}}
/*	local function NEG-PI8                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC47neg_pi8(cl_object V1, cl_object V2)
{ VT48 VLEX48 CLSR48 STCK48
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[108],VV[97],V3)       /*  LIST            */;
	return value0;
	}
}}
/*	function definition for NEG-PI8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L48neg_pi8(cl_object V1)
{ VT49 VLEX49 CLSR49 STCK49
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{__m128i V2;
	V2= _mm_setzero_si128();
	value0=ecl_make_int_sse_pack(_mm_sub_epi8(V2,ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	local function NEG-PI16                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49neg_pi16(cl_object V1, cl_object V2)
{ VT50 VLEX50 CLSR50 STCK50
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[111],VV[97],V3)       /*  LIST            */;
	return value0;
	}
}}
/*	function definition for NEG-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L50neg_pi16(cl_object V1)
{ VT51 VLEX51 CLSR51 STCK51
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{__m128i V2;
	V2= _mm_setzero_si128();
	value0=ecl_make_int_sse_pack(_mm_sub_epi16(V2,ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	local function NEG-PI32                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51neg_pi32(cl_object V1, cl_object V2)
{ VT52 VLEX52 CLSR52 STCK52
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[114],VV[97],V3)       /*  LIST            */;
	return value0;
	}
}}
/*	function definition for NEG-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L52neg_pi32(cl_object V1)
{ VT53 VLEX53 CLSR53 STCK53
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{__m128i V2;
	V2= _mm_setzero_si128();
	value0=ecl_make_int_sse_pack(_mm_sub_epi32(V2,ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	local function NEG-PI64                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC53neg_pi64(cl_object V1, cl_object V2)
{ VT54 VLEX54 CLSR54 STCK54
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	value0=cl_list(3,VV[117],VV[97],V3)       /*  LIST            */;
	return value0;
	}
}}
/*	function definition for NEG-PI64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L54neg_pi64(cl_object V1)
{ VT55 VLEX55 CLSR55 STCK55
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{__m128i V2;
	V2= _mm_setzero_si128();
	value0=ecl_make_int_sse_pack(_mm_sub_epi64(V2,ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	local function NOT-PI                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC55not_pi(cl_object V1, cl_object V2)
{ VT56 VLEX56 CLSR56 STCK56
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(2)) /*  CHECK-ARG-LENGTH */;
	V3= cl_macroexpand(2,V3,V2)               /*  MACROEXPAND     */;
	value0=L1lookup_flip(4,V3,VV[119],VV[120],Ct) /*  LOOKUP-FLIP */;
	if((value0)!=Cnil){
	goto L9;}
	value0=cl_list(3,VV[121],V3,VV[98])       /*  LIST            */;
	return value0;
L9:;
	cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for NOT-PI                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L56not_pi(cl_object V1)
{ VT57 VLEX57 CLSR57 STCK57
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_xor_si128(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack_unsafe(_ecl_static_16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function <=-PI8                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC57___pi8(cl_object V1, cl_object V2)
{ VT58 VLEX58 CLSR58 STCK58
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,VV[124],V3,V4)              /*  LIST            */;
	value0=cl_list(2,VV[102],T0)              /*  LIST            */;
	return value0;
	}
}}
/*	function definition for <=-PI8                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L58___pi8(cl_object V1, cl_object V2)
{ VT59 VLEX59 CLSR59 STCK59
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{__m128i V3;
	V3= _mm_cmpgt_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2));
	value0=ecl_make_int_sse_pack(_mm_xor_si128(V3,ecl_unbox_int_sse_pack_unsafe(_ecl_static_17))); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	local function <=-PI16                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC59___pi16(cl_object V1, cl_object V2)
{ VT60 VLEX60 CLSR60 STCK60
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,VV[127],V3,V4)              /*  LIST            */;
	value0=cl_list(2,VV[102],T0)              /*  LIST            */;
	return value0;
	}
}}
/*	function definition for <=-PI16                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L60___pi16(cl_object V1, cl_object V2)
{ VT61 VLEX61 CLSR61 STCK61
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{__m128i V3;
	V3= _mm_cmpgt_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2));
	value0=ecl_make_int_sse_pack(_mm_xor_si128(V3,ecl_unbox_int_sse_pack_unsafe(_ecl_static_18))); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	local function <=-PI32                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC61___pi32(cl_object V1, cl_object V2)
{ VT62 VLEX62 CLSR62 STCK62
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,VV[130],V3,V4)              /*  LIST            */;
	value0=cl_list(2,VV[102],T0)              /*  LIST            */;
	return value0;
	}
}}
/*	function definition for <=-PI32                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L62___pi32(cl_object V1, cl_object V2)
{ VT63 VLEX63 CLSR63 STCK63
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{__m128i V3;
	V3= _mm_cmpgt_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2));
	value0=ecl_make_int_sse_pack(_mm_xor_si128(V3,ecl_unbox_int_sse_pack_unsafe(_ecl_static_19))); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	local function >=-PI8                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC63___pi8(cl_object V1, cl_object V2)
{ VT64 VLEX64 CLSR64 STCK64
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,VV[133],V3,V4)              /*  LIST            */;
	value0=cl_list(2,VV[102],T0)              /*  LIST            */;
	return value0;
	}
}}
/*	function definition for >=-PI8                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L64___pi8(cl_object V1, cl_object V2)
{ VT65 VLEX65 CLSR65 STCK65
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{__m128i V3;
	V3= _mm_cmplt_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2));
	value0=ecl_make_int_sse_pack(_mm_xor_si128(V3,ecl_unbox_int_sse_pack_unsafe(_ecl_static_20))); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	local function >=-PI16                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC65___pi16(cl_object V1, cl_object V2)
{ VT66 VLEX66 CLSR66 STCK66
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,VV[136],V3,V4)              /*  LIST            */;
	value0=cl_list(2,VV[102],T0)              /*  LIST            */;
	return value0;
	}
}}
/*	function definition for >=-PI16                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L66___pi16(cl_object V1, cl_object V2)
{ VT67 VLEX67 CLSR67 STCK67
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{__m128i V3;
	V3= _mm_cmplt_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2));
	value0=ecl_make_int_sse_pack(_mm_xor_si128(V3,ecl_unbox_int_sse_pack_unsafe(_ecl_static_21))); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	local function >=-PI32                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC67___pi32(cl_object V1, cl_object V2)
{ VT68 VLEX68 CLSR68 STCK68
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,VV[139],V3,V4)              /*  LIST            */;
	value0=cl_list(2,VV[102],T0)              /*  LIST            */;
	return value0;
	}
}}
/*	function definition for >=-PI32                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L68___pi32(cl_object V1, cl_object V2)
{ VT69 VLEX69 CLSR69 STCK69
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{__m128i V3;
	V3= _mm_cmplt_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2));
	value0=ecl_make_int_sse_pack(_mm_xor_si128(V3,ecl_unbox_int_sse_pack_unsafe(_ecl_static_22))); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	local function /=-PI8                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC69___pi8(cl_object V1, cl_object V2)
{ VT70 VLEX70 CLSR70 STCK70
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,VV[142],V3,V4)              /*  LIST            */;
	value0=cl_list(2,VV[102],T0)              /*  LIST            */;
	return value0;
	}
}}
/*	function definition for /=-PI8                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L70___pi8(cl_object V1, cl_object V2)
{ VT71 VLEX71 CLSR71 STCK71
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{__m128i V3;
	V3= _mm_cmpeq_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2));
	value0=ecl_make_int_sse_pack(_mm_xor_si128(V3,ecl_unbox_int_sse_pack_unsafe(_ecl_static_23))); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	local function /=-PI16                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC71___pi16(cl_object V1, cl_object V2)
{ VT72 VLEX72 CLSR72 STCK72
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,VV[145],V3,V4)              /*  LIST            */;
	value0=cl_list(2,VV[102],T0)              /*  LIST            */;
	return value0;
	}
}}
/*	function definition for /=-PI16                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L72___pi16(cl_object V1, cl_object V2)
{ VT73 VLEX73 CLSR73 STCK73
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{__m128i V3;
	V3= _mm_cmpeq_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2));
	value0=ecl_make_int_sse_pack(_mm_xor_si128(V3,ecl_unbox_int_sse_pack_unsafe(_ecl_static_24))); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	local function /=-PI32                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC73___pi32(cl_object V1, cl_object V2)
{ VT74 VLEX74 CLSR74 STCK74
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	T0= cl_list(3,VV[148],V3,V4)              /*  LIST            */;
	value0=cl_list(2,VV[102],T0)              /*  LIST            */;
	return value0;
	}
}}
/*	function definition for /=-PI32                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L74___pi32(cl_object V1, cl_object V2)
{ VT75 VLEX75 CLSR75 STCK75
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{__m128i V3;
	V3= _mm_cmpeq_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2));
	value0=ecl_make_int_sse_pack(_mm_xor_si128(V3,ecl_unbox_int_sse_pack_unsafe(_ecl_static_25))); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	function definition for SLLI-PI                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L75slli_pi(cl_object V1, cl_object V2)
{ VT76 VLEX76 CLSR76 STCK76
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{cl_object V3;
	V3= V1;
	if((si_sse_pack_p(V3)                     /*  SSE-PACK-P      */)!=Cnil){
	goto L5;}
	V1= si_do_check_type(4,V3,VV[57],Cnil,VV[58]) /*  DO-CHECK-TYPE */;
	goto L3;
L5:;
	goto L3;
L3:;
	}
	{cl_object V3;
	V3= V2;
	if((cl_typep(2,V3,VV[26])                 /*  TYPEP           */)!=Cnil){
	goto L12;}
	V2= si_do_check_type(4,V3,VV[26],Cnil,VV[150]) /*  DO-CHECK-TYPE */;
	goto L10;
L12:;
	goto L10;
L10:;
	}
	{
	cl_object V3;
	cl_object rv = ecl_make_int_sse_pack(_mm_setzero_si128());
     unsigned bshift=(ecl_to_int(V2)), i;
     for (i = 0; i + bshift < 16; i++)
       rv->sse.data.b8[i+bshift] = (V1)->sse.data.b8[i];
     V3= rv;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;}
}}
/*	function definition for SRLI-PI                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L76srli_pi(cl_object V1, cl_object V2)
{ VT77 VLEX77 CLSR77 STCK77
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{cl_object V3;
	V3= V1;
	if((si_sse_pack_p(V3)                     /*  SSE-PACK-P      */)!=Cnil){
	goto L5;}
	V1= si_do_check_type(4,V3,VV[57],Cnil,VV[58]) /*  DO-CHECK-TYPE */;
	goto L3;
L5:;
	goto L3;
L3:;
	}
	{cl_object V3;
	V3= V2;
	if((cl_typep(2,V3,VV[26])                 /*  TYPEP           */)!=Cnil){
	goto L12;}
	V2= si_do_check_type(4,V3,VV[26],Cnil,VV[150]) /*  DO-CHECK-TYPE */;
	goto L10;
L12:;
	goto L10;
L10:;
	}
	{
	cl_object V3;
	cl_object rv = ecl_make_int_sse_pack(_mm_setzero_si128());
     int bshift=(ecl_to_int(V2)), i;
     for (i = 16 - bshift - 1; i >= 0; i--)
       rv->sse.data.b8[i] = (V1)->sse.data.b8[i+bshift];
     V3= rv;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;}
}}
/*	function definition for EXTRACT-PI16                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L77extract_pi16(cl_object V1, cl_object V2)
{ VT78 VLEX78 CLSR78 STCK78
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{cl_object V3;
	V3= V1;
	if((si_sse_pack_p(V3)                     /*  SSE-PACK-P      */)!=Cnil){
	goto L5;}
	V1= si_do_check_type(4,V3,VV[57],Cnil,VV[58]) /*  DO-CHECK-TYPE */;
	goto L3;
L5:;
	goto L3;
L3:;
	}
	{cl_object V3;
	V3= V2;
	if((cl_typep(2,V3,VV[26])                 /*  TYPEP           */)!=Cnil){
	goto L12;}
	V2= si_do_check_type(4,V3,VV[26],Cnil,VV[153]) /*  DO-CHECK-TYPE */;
	goto L10;
L12:;
	goto L10;
L10:;
	}
	value0=MAKE_FIXNUM(*((unsigned short*)&(V1)->sse.data.b8[((ecl_to_int(V2))&3)*2])); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for INSERT-PI16                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L78insert_pi16(cl_object V1, cl_object V2, cl_object V3)
{ VT79 VLEX79 CLSR79 STCK79
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{cl_object V4;
	V4= V1;
	if((si_sse_pack_p(V4)                     /*  SSE-PACK-P      */)!=Cnil){
	goto L5;}
	V1= si_do_check_type(4,V4,VV[57],Cnil,VV[58]) /*  DO-CHECK-TYPE */;
	goto L3;
L5:;
	goto L3;
L3:;
	}
	{cl_object V4;
	V4= V3;
	if((cl_typep(2,V4,VV[26])                 /*  TYPEP           */)!=Cnil){
	goto L12;}
	V3= si_do_check_type(4,V4,VV[26],Cnil,VV[153]) /*  DO-CHECK-TYPE */;
	goto L10;
L12:;
	goto L10;
L10:;
	}
	{
	cl_object V4;
	cl_object rv = ecl_make_int_sse_pack(ecl_unbox_int_sse_pack(V1));
     *((unsigned short*)&rv->sse.data.b8[((ecl_to_int(V3))&3)*2]) = (unsigned short)(ecl_to_int(V2));
     V4= rv;
	value0=V4; cl_env_copy->nvalues=1;
	return value0;}
}}
/*	function definition for SHUFFLE-PI32                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L79shuffle_pi32(cl_object V1, cl_object V2)
{ VT80 VLEX80 CLSR80 STCK80
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{cl_object V3;
	V3= V1;
	if((si_sse_pack_p(V3)                     /*  SSE-PACK-P      */)!=Cnil){
	goto L5;}
	V1= si_do_check_type(4,V3,VV[57],Cnil,VV[58]) /*  DO-CHECK-TYPE */;
	goto L3;
L5:;
	goto L3;
L3:;
	}
	{cl_object V3;
	V3= V2;
	if((cl_typep(2,V3,VV[26])                 /*  TYPEP           */)!=Cnil){
	goto L12;}
	V2= si_do_check_type(4,V3,VV[26],Cnil,VV[60]) /*  DO-CHECK-TYPE */;
	goto L10;
L12:;
	goto L10;
L10:;
	}
	{
	__m128i V3;
	unsigned *pd = (unsigned*)(V1)->sse.data.b8;
     V3= _mm_setr_epi32(pd[(ecl_to_int(V2))&3],pd[((ecl_to_int(V2))>>2)&3],pd[((ecl_to_int(V2))>>4)&3],pd[((ecl_to_int(V2))>>6)&3]);
	value0=ecl_make_int_sse_pack(V3); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	function definition for SHUFFLELO-PI16                        */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L80shufflelo_pi16(cl_object V1, cl_object V2)
{ VT81 VLEX81 CLSR81 STCK81
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{cl_object V3;
	V3= V1;
	if((si_sse_pack_p(V3)                     /*  SSE-PACK-P      */)!=Cnil){
	goto L5;}
	V1= si_do_check_type(4,V3,VV[57],Cnil,VV[58]) /*  DO-CHECK-TYPE */;
	goto L3;
L5:;
	goto L3;
L3:;
	}
	{cl_object V3;
	V3= V2;
	if((cl_typep(2,V3,VV[26])                 /*  TYPEP           */)!=Cnil){
	goto L12;}
	V2= si_do_check_type(4,V3,VV[26],Cnil,VV[60]) /*  DO-CHECK-TYPE */;
	goto L10;
L12:;
	goto L10;
L10:;
	}
	{
	__m128i V3;
	unsigned short *pd = (unsigned short*)(V1)->sse.data.b8;
     V3= _mm_setr_epi16(
       pd[(ecl_to_int(V2))&3],pd[((ecl_to_int(V2))>>2)&3],pd[((ecl_to_int(V2))>>4)&3],pd[(((ecl_to_int(V2))>>6)&3)],
       pd[4], pd[5], pd[6], pd[7]
     );
	value0=ecl_make_int_sse_pack(V3); cl_env_copy->nvalues=1;
	return value0;}
}}
/*	function definition for SHUFFLEHI-PI16                        */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L81shufflehi_pi16(cl_object V1, cl_object V2)
{ VT82 VLEX82 CLSR82 STCK82
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	{cl_object V3;
	V3= V1;
	if((si_sse_pack_p(V3)                     /*  SSE-PACK-P      */)!=Cnil){
	goto L5;}
	V1= si_do_check_type(4,V3,VV[57],Cnil,VV[58]) /*  DO-CHECK-TYPE */;
	goto L3;
L5:;
	goto L3;
L3:;
	}
	{cl_object V3;
	V3= V2;
	if((cl_typep(2,V3,VV[26])                 /*  TYPEP           */)!=Cnil){
	goto L12;}
	V2= si_do_check_type(4,V3,VV[26],Cnil,VV[60]) /*  DO-CHECK-TYPE */;
	goto L10;
L12:;
	goto L10;
L10:;
	}
	{
	__m128i V3;
	unsigned short *pb = (unsigned short*)(V1)->sse.data.b8, *pd = pb+4;
     V3= _mm_setr_epi16(
       pb[0], pb[1], pb[2], pb[3],
       pd[(ecl_to_int(V2))&3],pd[((ecl_to_int(V2))>>2)&3],pd[((ecl_to_int(V2))>>4)&3],pd[(((ecl_to_int(V2))>>6)&3)]
     );
	value0=ecl_make_int_sse_pack(V3); cl_env_copy->nvalues=1;
	return value0;}
}}
	
#include "ext/ecl-sse-utils.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclmQxOAGSNxlIj9_KQwj8lz(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("EXT:CL-SIMD;ECL-SSE-UTILS.LISP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclmQxOAGSNxlIj9_KQwj8lz@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	ecl_cmp_defun(VV[159]);
	ecl_cmp_defun(VV[160]);
	ecl_cmp_defun(VV[161]);
	ecl_cmp_defun(VV[162]);
	ecl_cmp_defmacro(VV[164]);
	ecl_cmp_defmacro(VV[168]);
	T0= ecl_make_cfun_va((cl_objectfn)LC7sse_array,Cnil,Cblock);
	(void)si_do_deftype(3,VV[23],VVtemp[0],T0) /*  DO-DEFTYPE     */;
	ecl_cmp_defun(VV[171]);
	VV[28]= ecl_function_dispatch(cl_env_copy,VV[174])(3,MAKE_FIXNUM(4294967295),VV[29],ECL_SYM("FLOAT-SSE-PACK",1735)) /*  MAKE-PACK-OF-BIN */;
	ecl_cmp_defmacro(VV[175]);
	VV[31]= ecl_function_dispatch(cl_env_copy,VV[174])(3,MAKE_FIXNUM(-1),VV[29],ECL_SYM("FLOAT-SSE-PACK",1735)) /*  MAKE-PACK-OF-BIN */;
	ecl_cmp_defmacro(VV[176]);
	T0= ecl_make_cfun((cl_objectfn_fixed)LC11__g63,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[33],ECL_SYM("SYMBOL-MACRO",1139),T0) /*  PUT-SYSPROP */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC12__g64,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[35],ECL_SYM("SYMBOL-MACRO",1139),T0) /*  PUT-SYSPROP */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC13__g65,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[37],ECL_SYM("SYMBOL-MACRO",1139),T0) /*  PUT-SYSPROP */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC14__g66,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[38],ECL_SYM("SYMBOL-MACRO",1139),T0) /*  PUT-SYSPROP */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC15__g67,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[40],ECL_SYM("SYMBOL-MACRO",1139),T0) /*  PUT-SYSPROP */;
	(void)cl_export(1,VV[41])                 /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC16if_ps,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[41],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[1]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[177]);
	(void)cl_export(1,VV[47])                 /*  EXPORT          */;
	VV[49]= ecl_function_dispatch(cl_env_copy,VV[174])(3,MAKE_FIXNUM(2147483648),VV[29],ECL_SYM("FLOAT-SSE-PACK",1735)) /*  MAKE-PACK-OF-BIN */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC18neg_ss,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[47],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[2]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[178]);
	(void)cl_export(1,VV[51])                 /*  EXPORT          */;
	VV[52]= ecl_function_dispatch(cl_env_copy,VV[174])(3,VV[53],VV[29],ECL_SYM("FLOAT-SSE-PACK",1735)) /*  MAKE-PACK-OF-BIN */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC20neg_ps,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[51],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[3]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[179]);
	(void)cl_export(1,VV[42])                 /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC22not_ps,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[42],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[4]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[180]);
	ecl_cmp_defun(VV[181]);
	VV[62]= ecl_function_dispatch(cl_env_copy,VV[174])(3,VV[63],VV[29],ECL_SYM("DOUBLE-SSE-PACK",1736)) /*  MAKE-PACK-OF-BIN */;
	ecl_cmp_defmacro(VV[182]);
	VV[65]= ecl_function_dispatch(cl_env_copy,VV[174])(3,MAKE_FIXNUM(-1),VV[29],ECL_SYM("DOUBLE-SSE-PACK",1736)) /*  MAKE-PACK-OF-BIN */;
	ecl_cmp_defmacro(VV[183]);
	T0= ecl_make_cfun((cl_objectfn_fixed)LC27__g87,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[67],ECL_SYM("SYMBOL-MACRO",1139),T0) /*  PUT-SYSPROP */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC28__g88,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[69],ECL_SYM("SYMBOL-MACRO",1139),T0) /*  PUT-SYSPROP */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC29__g89,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[71],ECL_SYM("SYMBOL-MACRO",1139),T0) /*  PUT-SYSPROP */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC30__g90,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[72],ECL_SYM("SYMBOL-MACRO",1139),T0) /*  PUT-SYSPROP */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC31__g91,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[74],ECL_SYM("SYMBOL-MACRO",1139),T0) /*  PUT-SYSPROP */;
	(void)cl_export(1,VV[75])                 /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC32if_pd,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[75],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[5]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[184]);
	(void)cl_export(1,VV[81])                 /*  EXPORT          */;
	VV[83]= ecl_function_dispatch(cl_env_copy,VV[174])(3,VV[84],VV[29],ECL_SYM("DOUBLE-SSE-PACK",1736)) /*  MAKE-PACK-OF-BIN */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC34neg_sd,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[81],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[6]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[185]);
	(void)cl_export(1,VV[86])                 /*  EXPORT          */;
	VV[87]= ecl_function_dispatch(cl_env_copy,VV[174])(3,VV[88],VV[29],ECL_SYM("DOUBLE-SSE-PACK",1736)) /*  MAKE-PACK-OF-BIN */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC36neg_pd,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[86],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[7]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[186]);
	(void)cl_export(1,VV[76])                 /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC38not_pd,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[76],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[8]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[187]);
	ecl_cmp_defun(VV[188]);
	VV[94]= ecl_function_dispatch(cl_env_copy,VV[174])(3,MAKE_FIXNUM(-1),VV[29],ECL_SYM("INT-SSE-PACK",1734)) /*  MAKE-PACK-OF-BIN */;
	ecl_cmp_defmacro(VV[189]);
	T0= ecl_make_cfun((cl_objectfn_fixed)LC42__g107,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[96],ECL_SYM("SYMBOL-MACRO",1139),T0) /*  PUT-SYSPROP */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC43__g108,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[98],ECL_SYM("SYMBOL-MACRO",1139),T0) /*  PUT-SYSPROP */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC44__g109,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[100],ECL_SYM("SYMBOL-MACRO",1139),T0) /*  PUT-SYSPROP */;
	(void)cl_export(1,VV[101])                /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC45if_pi,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[101],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[9]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[190]);
	(void)cl_export(1,VV[107])                /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC47neg_pi8,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[107],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[10]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[191]);
	(void)cl_export(1,VV[110])                /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC49neg_pi16,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[110],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[11]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[192]);
	(void)cl_export(1,VV[113])                /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC51neg_pi32,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[113],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[12]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[193]);
	(void)cl_export(1,VV[116])                /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC53neg_pi64,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[116],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[13]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[194]);
	(void)cl_export(1,VV[102])                /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC55not_pi,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[102],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[14]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[195]);
	(void)cl_export(1,VV[123])                /*  EXPORT          */;
	(void)si_putprop(VV[123],Ct,VV[3])        /*  PUTPROP         */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC57___pi8,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[123],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[15]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[196]);
	(void)cl_export(1,VV[126])                /*  EXPORT          */;
	(void)si_putprop(VV[126],Ct,VV[3])        /*  PUTPROP         */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC59___pi16,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[126],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[16]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[197]);
	(void)cl_export(1,VV[129])                /*  EXPORT          */;
	(void)si_putprop(VV[129],Ct,VV[3])        /*  PUTPROP         */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC61___pi32,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[129],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[17]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[198]);
	(void)cl_export(1,VV[132])                /*  EXPORT          */;
	(void)si_putprop(VV[132],Ct,VV[3])        /*  PUTPROP         */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC63___pi8,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[132],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[18]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[199]);
	(void)cl_export(1,VV[135])                /*  EXPORT          */;
	(void)si_putprop(VV[135],Ct,VV[3])        /*  PUTPROP         */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC65___pi16,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[135],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[19]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[200]);
	(void)cl_export(1,VV[138])                /*  EXPORT          */;
	(void)si_putprop(VV[138],Ct,VV[3])        /*  PUTPROP         */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC67___pi32,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[138],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[20]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[201]);
	(void)cl_export(1,VV[141])                /*  EXPORT          */;
	(void)si_putprop(VV[141],Ct,VV[3])        /*  PUTPROP         */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC69___pi8,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[141],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[21]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[202]);
	(void)cl_export(1,VV[144])                /*  EXPORT          */;
	(void)si_putprop(VV[144],Ct,VV[3])        /*  PUTPROP         */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC71___pi16,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[144],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[22]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[203]);
	(void)cl_export(1,VV[147])                /*  EXPORT          */;
	(void)si_putprop(VV[147],Ct,VV[3])        /*  PUTPROP         */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC73___pi32,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[147],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[23]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[204]);
	ecl_cmp_defun(VV[205]);
	ecl_cmp_defun(VV[206]);
	ecl_cmp_defun(VV[207]);
	ecl_cmp_defun(VV[208]);
	ecl_cmp_defun(VV[209]);
	ecl_cmp_defun(VV[210]);
	ecl_cmp_defun(VV[211]);
}
