/*	Compiler: ECL 11.1.1                                          */
/*	Source: EXT:CL-SIMD;SSE-ARRAY-DEFS.LISP                       */
#include <ecl/ecl-cmp.h>
#include "ext/sse-array-defs.h"
/*	local function AREF-PREFETCH-T0                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1aref_prefetch_t0(cl_object V1, cl_object V2)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARRAY           */
	cl_object V4;                             /*  INDEXES         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,_ecl_static_1)            /*  GENSYM          */;
	T0= cl_list(2,V5,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[2],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V4) /*  LIST* */;
	T5= cl_list(3,VV[1],V5,T4)                /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-PREFETCH-T0            */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L2row_major_aref_prefetch_t0(cl_object V1, cl_object V2)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=(_mm_prefetch((void*)ecl_row_major_ptr(V1,ecl_to_int(V2),0),_MM_HINT_T0),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-PREFETCH-T1                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3aref_prefetch_t1(cl_object V1, cl_object V2)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARRAY           */
	cl_object V4;                             /*  INDEXES         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,_ecl_static_1)            /*  GENSYM          */;
	T0= cl_list(2,V5,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[2],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V4) /*  LIST* */;
	T5= cl_list(3,VV[9],V5,T4)                /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-PREFETCH-T1            */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L4row_major_aref_prefetch_t1(cl_object V1, cl_object V2)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=(_mm_prefetch((void*)ecl_row_major_ptr(V1,ecl_to_int(V2),0),_MM_HINT_T1),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-PREFETCH-T2                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5aref_prefetch_t2(cl_object V1, cl_object V2)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARRAY           */
	cl_object V4;                             /*  INDEXES         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,_ecl_static_1)            /*  GENSYM          */;
	T0= cl_list(2,V5,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[2],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V4) /*  LIST* */;
	T5= cl_list(3,VV[13],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-PREFETCH-T2            */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L6row_major_aref_prefetch_t2(cl_object V1, cl_object V2)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=(_mm_prefetch((void*)ecl_row_major_ptr(V1,ecl_to_int(V2),0),_MM_HINT_T2),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-PREFETCH-NTA                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7aref_prefetch_nta(cl_object V1, cl_object V2)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARRAY           */
	cl_object V4;                             /*  INDEXES         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,_ecl_static_1)            /*  GENSYM          */;
	T0= cl_list(2,V5,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[2],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V4) /*  LIST* */;
	T5= cl_list(3,VV[17],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-PREFETCH-NTA           */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L8row_major_aref_prefetch_nta(cl_object V1, cl_object V2)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=(_mm_prefetch((void*)ecl_row_major_ptr(V1,ecl_to_int(V2),0),_MM_HINT_NTA),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-CLFLUSH                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9aref_clflush(cl_object V1, cl_object V2)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARRAY           */
	cl_object V4;                             /*  INDEXES         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,_ecl_static_1)            /*  GENSYM          */;
	T0= cl_list(2,V5,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[2],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V4) /*  LIST* */;
	T5= cl_list(3,VV[21],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-CLFLUSH                */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L10row_major_aref_clflush(cl_object V1, cl_object V2)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=(_mm_clflush((void*)ecl_row_major_ptr(V1,ecl_to_int(V2),1)),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SS                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11aref_ss(cl_object V1, cl_object V2)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARRAY           */
	cl_object V4;                             /*  INDEXES         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,_ecl_static_1)            /*  GENSYM          */;
	T0= cl_list(2,V5,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[2],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V4) /*  LIST* */;
	T5= cl_list(3,VV[25],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-SS                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L12row_major_aref_ss(cl_object V1, cl_object V2)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_load_ss((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SS                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13aref_ss(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET1902         */
	cl_object V5;                             /*  LET1903         */
	cl_object V6;                             /*  LET1904         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[29],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[25],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-SS                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L14row_major_aset_ss(cl_object V1, cl_object V2, cl_object V3)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_store_ss((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),4),ecl_unbox_float_sse_pack(V3)),ecl_unbox_float_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-PS                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15aref_ps(cl_object V1, cl_object V2)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARRAY           */
	cl_object V4;                             /*  INDEXES         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,_ecl_static_1)            /*  GENSYM          */;
	T0= cl_list(2,V5,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[2],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V4) /*  LIST* */;
	T5= cl_list(3,VV[33],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-PS                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L16row_major_aref_ps(cl_object V1, cl_object V2)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_loadu_ps((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-PS                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17aref_ps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET1905         */
	cl_object V5;                             /*  LET1906         */
	cl_object V6;                             /*  LET1907         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[36],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[33],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-PS                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L18row_major_aset_ps(cl_object V1, cl_object V2, cl_object V3)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_storeu_ps((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_float_sse_pack(V3)),ecl_unbox_float_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-APS                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19aref_aps(cl_object V1, cl_object V2)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARRAY           */
	cl_object V4;                             /*  INDEXES         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,_ecl_static_1)            /*  GENSYM          */;
	T0= cl_list(2,V5,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[2],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V4) /*  LIST* */;
	T5= cl_list(3,VV[39],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-APS                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L20row_major_aref_aps(cl_object V1, cl_object V2)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_load_ps((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-APS                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21aref_aps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET1908         */
	cl_object V5;                             /*  LET1909         */
	cl_object V6;                             /*  LET1910         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[42],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[39],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-APS                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L22row_major_aset_aps(cl_object V1, cl_object V2, cl_object V3)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_store_ps((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_float_sse_pack(V3)),ecl_unbox_float_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SPS                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23aref_sps(cl_object V1, cl_object V2)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARRAY           */
	cl_object V4;                             /*  INDEXES         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,_ecl_static_1)            /*  GENSYM          */;
	T0= cl_list(2,V5,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[2],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V4) /*  LIST* */;
	T5= cl_list(3,VV[45],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-SPS                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L24row_major_aref_sps(cl_object V1, cl_object V2)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_load_ps((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SPS                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25aref_sps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET1911         */
	cl_object V5;                             /*  LET1912         */
	cl_object V6;                             /*  LET1913         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[48],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[45],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-SPS                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L26row_major_aset_sps(cl_object V1, cl_object V2, cl_object V3)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_stream_ps((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_float_sse_pack(V3)),ecl_unbox_float_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SD                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27aref_sd(cl_object V1, cl_object V2)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARRAY           */
	cl_object V4;                             /*  INDEXES         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,_ecl_static_1)            /*  GENSYM          */;
	T0= cl_list(2,V5,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[2],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V4) /*  LIST* */;
	T5= cl_list(3,VV[51],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-SD                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L28row_major_aref_sd(cl_object V1, cl_object V2)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_load_sd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),8))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SD                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29aref_sd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET1914         */
	cl_object V5;                             /*  LET1915         */
	cl_object V6;                             /*  LET1916         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[55],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[51],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-SD                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L30row_major_aset_sd(cl_object V1, cl_object V2, cl_object V3)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_store_sd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),8),ecl_unbox_double_sse_pack(V3)),ecl_unbox_double_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-PD                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31aref_pd(cl_object V1, cl_object V2)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARRAY           */
	cl_object V4;                             /*  INDEXES         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,_ecl_static_1)            /*  GENSYM          */;
	T0= cl_list(2,V5,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[2],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V4) /*  LIST* */;
	T5= cl_list(3,VV[58],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-PD                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L32row_major_aref_pd(cl_object V1, cl_object V2)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_loadu_pd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-PD                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC33aref_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET1917         */
	cl_object V5;                             /*  LET1918         */
	cl_object V6;                             /*  LET1919         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[61],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[58],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-PD                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L34row_major_aset_pd(cl_object V1, cl_object V2, cl_object V3)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_storeu_pd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_double_sse_pack(V3)),ecl_unbox_double_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-APD                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC35aref_apd(cl_object V1, cl_object V2)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARRAY           */
	cl_object V4;                             /*  INDEXES         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,_ecl_static_1)            /*  GENSYM          */;
	T0= cl_list(2,V5,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[2],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V4) /*  LIST* */;
	T5= cl_list(3,VV[64],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-APD                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L36row_major_aref_apd(cl_object V1, cl_object V2)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_load_pd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-APD                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC37aref_apd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET1920         */
	cl_object V5;                             /*  LET1921         */
	cl_object V6;                             /*  LET1922         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[67],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[64],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-APD                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L38row_major_aset_apd(cl_object V1, cl_object V2, cl_object V3)
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_store_pd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_double_sse_pack(V3)),ecl_unbox_double_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SPD                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC39aref_spd(cl_object V1, cl_object V2)
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARRAY           */
	cl_object V4;                             /*  INDEXES         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,_ecl_static_1)            /*  GENSYM          */;
	T0= cl_list(2,V5,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[2],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V4) /*  LIST* */;
	T5= cl_list(3,VV[70],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-SPD                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L40row_major_aref_spd(cl_object V1, cl_object V2)
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_load_pd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SPD                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41aref_spd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET1923         */
	cl_object V5;                             /*  LET1924         */
	cl_object V6;                             /*  LET1925         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[73],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[70],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-SPD                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L42row_major_aset_spd(cl_object V1, cl_object V2, cl_object V3)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_stream_pd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_double_sse_pack(V3)),ecl_unbox_double_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SI64                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43aref_si64(cl_object V1, cl_object V2)
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARRAY           */
	cl_object V4;                             /*  INDEXES         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,_ecl_static_1)            /*  GENSYM          */;
	T0= cl_list(2,V5,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[2],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V4) /*  LIST* */;
	T5= cl_list(3,VV[76],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-SI64                   */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L44row_major_aref_si64(cl_object V1, cl_object V2)
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_loadl_epi64((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),8))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SI64                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45aref_si64(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET1926         */
	cl_object V5;                             /*  LET1927         */
	cl_object V6;                             /*  LET1928         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[80],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[76],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-SI64                   */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L46row_major_aset_si64(cl_object V1, cl_object V2, cl_object V3)
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_storel_epi64((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),8),ecl_unbox_int_sse_pack(V3)),ecl_unbox_int_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-PI                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC47aref_pi(cl_object V1, cl_object V2)
{ VT48 VLEX48 CLSR48 STCK48
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARRAY           */
	cl_object V4;                             /*  INDEXES         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,_ecl_static_1)            /*  GENSYM          */;
	T0= cl_list(2,V5,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[2],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V4) /*  LIST* */;
	T5= cl_list(3,VV[83],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-PI                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L48row_major_aref_pi(cl_object V1, cl_object V2)
{ VT49 VLEX49 CLSR49 STCK49
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_loadu_si128((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-PI                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49aref_pi(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT50 VLEX50 CLSR50 STCK50
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET1929         */
	cl_object V5;                             /*  LET1930         */
	cl_object V6;                             /*  LET1931         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[86],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[83],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-PI                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L50row_major_aset_pi(cl_object V1, cl_object V2, cl_object V3)
{ VT51 VLEX51 CLSR51 STCK51
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_storeu_si128((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_int_sse_pack(V3)),ecl_unbox_int_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-API                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51aref_api(cl_object V1, cl_object V2)
{ VT52 VLEX52 CLSR52 STCK52
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARRAY           */
	cl_object V4;                             /*  INDEXES         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,_ecl_static_1)            /*  GENSYM          */;
	T0= cl_list(2,V5,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[2],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V4) /*  LIST* */;
	T5= cl_list(3,VV[89],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-API                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L52row_major_aref_api(cl_object V1, cl_object V2)
{ VT53 VLEX53 CLSR53 STCK53
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_load_si128((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-API                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC53aref_api(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT54 VLEX54 CLSR54 STCK54
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET1932         */
	cl_object V5;                             /*  LET1933         */
	cl_object V6;                             /*  LET1934         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[92],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[89],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-API                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L54row_major_aset_api(cl_object V1, cl_object V2, cl_object V3)
{ VT55 VLEX55 CLSR55 STCK55
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_store_si128((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_int_sse_pack(V3)),ecl_unbox_int_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SPI                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC55aref_spi(cl_object V1, cl_object V2)
{ VT56 VLEX56 CLSR56 STCK56
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARRAY           */
	cl_object V4;                             /*  INDEXES         */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	V4= cl_cddr(V1)                           /*  CDDR            */;
	{cl_object V5;                            /*  VARR            */
	V5= cl_gensym(1,_ecl_static_1)            /*  GENSYM          */;
	T0= cl_list(2,V5,V3)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[2],V5)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	T4= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V5,V4) /*  LIST* */;
	T5= cl_list(3,VV[95],V5,T4)               /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,T5) /*  LIST        */;
	return value0;
	}
	}
}}
/*	function definition for ROW-MAJOR-AREF-SPI                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L56row_major_aref_spi(cl_object V1, cl_object V2)
{ VT57 VLEX57 CLSR57 STCK57
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_load_si128((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function AREF-SPI                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC57aref_spi(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT58 VLEX58 CLSR58 STCK58
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	V3=cl_grab_rest_args(args);
	cl_va_end(args);
	{cl_object V4;                            /*  LET1935         */
	cl_object V5;                             /*  LET1936         */
	cl_object V6;                             /*  LET1937         */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V6= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V4,V5)                      /*  LIST            */;
	T1= cl_listX(3,ECL_SYM("ARRAY-ROW-MAJOR-INDEX",104),V4,V3) /*  LIST* */;
	T2= cl_list(2,V2,T1)                      /*  LIST            */;
	T3= ecl_list1(V6);
	T4= cl_list(4,VV[98],V4,V5,V6)            /*  LIST            */;
	T5= cl_list(3,VV[95],V4,V5)               /*  LIST            */;
	cl_env_copy->nvalues=5;
	cl_env_copy->values[4]=T5;
	cl_env_copy->values[3]=T4;
	cl_env_copy->values[2]=T3;
	cl_env_copy->values[1]=T2;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for ROW-MAJOR-ASET-SPI                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L58row_major_aset_spi(cl_object V1, cl_object V2, cl_object V3)
{ VT59 VLEX59 CLSR59 STCK59
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	(_mm_stream_si128((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_int_sse_pack(V3)),ecl_unbox_int_sse_pack(V3));
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
}}
	
#include "ext/sse-array-defs.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecl4e6uxycPj0Sn9_Hvvj8lz(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("EXT:CL-SIMD;SSE-ARRAY-DEFS.LISP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_ecl4e6uxycPj0Sn9_Hvvj8lz@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	(void)cl_export(1,VV[0])                  /*  EXPORT          */;
	(void)cl_export(1,VV[1])                  /*  EXPORT          */;
	ecl_cmp_defmacro(VV[100]);
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[0]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[101]);
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[1],VV[5],VVtemp[1],ECL_SYM("OBJECT",1249),VVtemp[2],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[5],VVtemp[3],ECL_SYM("OBJECT",1249),VVtemp[4]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[7],VVtemp[5],ECL_SYM("OBJECT",1249),VVtemp[6]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[7],VVtemp[7],ECL_SYM("OBJECT",1249),VVtemp[8]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[7],VVtemp[9],ECL_SYM("OBJECT",1249),VVtemp[10]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[7],VVtemp[11],ECL_SYM("OBJECT",1249),VVtemp[12]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[7],VVtemp[13],ECL_SYM("OBJECT",1249),VVtemp[14]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[7],VVtemp[15],ECL_SYM("OBJECT",1249),VVtemp[16]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[7],VVtemp[17],ECL_SYM("OBJECT",1249),VVtemp[18]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[7],VVtemp[19],ECL_SYM("OBJECT",1249),VVtemp[20]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[7],VVtemp[21],ECL_SYM("OBJECT",1249),VVtemp[22]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[1],VV[7],VVtemp[23],ECL_SYM("OBJECT",1249),VVtemp[24]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[8])                  /*  EXPORT          */;
	(void)cl_export(1,VV[9])                  /*  EXPORT          */;
	ecl_cmp_defmacro(VV[103]);
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[25]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[104]);
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[9],VV[5],VVtemp[1],ECL_SYM("OBJECT",1249),VVtemp[26],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[9],VV[5],VVtemp[3],ECL_SYM("OBJECT",1249),VVtemp[27]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[9],VV[7],VVtemp[5],ECL_SYM("OBJECT",1249),VVtemp[28]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[9],VV[7],VVtemp[7],ECL_SYM("OBJECT",1249),VVtemp[29]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[9],VV[7],VVtemp[9],ECL_SYM("OBJECT",1249),VVtemp[30]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[9],VV[7],VVtemp[11],ECL_SYM("OBJECT",1249),VVtemp[31]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[9],VV[7],VVtemp[13],ECL_SYM("OBJECT",1249),VVtemp[32]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[9],VV[7],VVtemp[15],ECL_SYM("OBJECT",1249),VVtemp[33]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[9],VV[7],VVtemp[17],ECL_SYM("OBJECT",1249),VVtemp[34]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[9],VV[7],VVtemp[19],ECL_SYM("OBJECT",1249),VVtemp[35]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[9],VV[7],VVtemp[21],ECL_SYM("OBJECT",1249),VVtemp[36]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[9],VV[7],VVtemp[23],ECL_SYM("OBJECT",1249),VVtemp[37]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[12])                 /*  EXPORT          */;
	(void)cl_export(1,VV[13])                 /*  EXPORT          */;
	ecl_cmp_defmacro(VV[105]);
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[38]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[106]);
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[13],VV[5],VVtemp[1],ECL_SYM("OBJECT",1249),VVtemp[39],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[13],VV[5],VVtemp[3],ECL_SYM("OBJECT",1249),VVtemp[40]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[13],VV[7],VVtemp[5],ECL_SYM("OBJECT",1249),VVtemp[41]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[13],VV[7],VVtemp[7],ECL_SYM("OBJECT",1249),VVtemp[42]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[13],VV[7],VVtemp[9],ECL_SYM("OBJECT",1249),VVtemp[43]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[13],VV[7],VVtemp[11],ECL_SYM("OBJECT",1249),VVtemp[44]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[13],VV[7],VVtemp[13],ECL_SYM("OBJECT",1249),VVtemp[45]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[13],VV[7],VVtemp[15],ECL_SYM("OBJECT",1249),VVtemp[46]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[13],VV[7],VVtemp[17],ECL_SYM("OBJECT",1249),VVtemp[47]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[13],VV[7],VVtemp[19],ECL_SYM("OBJECT",1249),VVtemp[48]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[13],VV[7],VVtemp[21],ECL_SYM("OBJECT",1249),VVtemp[49]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[13],VV[7],VVtemp[23],ECL_SYM("OBJECT",1249),VVtemp[50]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[16])                 /*  EXPORT          */;
	(void)cl_export(1,VV[17])                 /*  EXPORT          */;
	ecl_cmp_defmacro(VV[107]);
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[51]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[108]);
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[17],VV[5],VVtemp[1],ECL_SYM("OBJECT",1249),VVtemp[52],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[17],VV[5],VVtemp[3],ECL_SYM("OBJECT",1249),VVtemp[53]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[17],VV[7],VVtemp[5],ECL_SYM("OBJECT",1249),VVtemp[54]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[17],VV[7],VVtemp[7],ECL_SYM("OBJECT",1249),VVtemp[55]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[17],VV[7],VVtemp[9],ECL_SYM("OBJECT",1249),VVtemp[56]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[17],VV[7],VVtemp[11],ECL_SYM("OBJECT",1249),VVtemp[57]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[17],VV[7],VVtemp[13],ECL_SYM("OBJECT",1249),VVtemp[58]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[17],VV[7],VVtemp[15],ECL_SYM("OBJECT",1249),VVtemp[59]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[17],VV[7],VVtemp[17],ECL_SYM("OBJECT",1249),VVtemp[60]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[17],VV[7],VVtemp[19],ECL_SYM("OBJECT",1249),VVtemp[61]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[17],VV[7],VVtemp[21],ECL_SYM("OBJECT",1249),VVtemp[62]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[17],VV[7],VVtemp[23],ECL_SYM("OBJECT",1249),VVtemp[63]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[20])                 /*  EXPORT          */;
	(void)cl_export(1,VV[21])                 /*  EXPORT          */;
	ecl_cmp_defmacro(VV[109]);
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[64]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[110]);
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[21],VV[5],VVtemp[1],ECL_SYM("OBJECT",1249),VVtemp[65],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[21],VV[5],VVtemp[3],ECL_SYM("OBJECT",1249),VVtemp[66]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[21],VV[7],VVtemp[5],ECL_SYM("OBJECT",1249),VVtemp[67]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[21],VV[7],VVtemp[7],ECL_SYM("OBJECT",1249),VVtemp[68]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[21],VV[7],VVtemp[9],ECL_SYM("OBJECT",1249),VVtemp[69]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[21],VV[7],VVtemp[11],ECL_SYM("OBJECT",1249),VVtemp[70]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[21],VV[7],VVtemp[13],ECL_SYM("OBJECT",1249),VVtemp[71]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[21],VV[7],VVtemp[15],ECL_SYM("OBJECT",1249),VVtemp[72]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[21],VV[7],VVtemp[17],ECL_SYM("OBJECT",1249),VVtemp[73]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[21],VV[7],VVtemp[19],ECL_SYM("OBJECT",1249),VVtemp[74]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[21],VV[7],VVtemp[21],ECL_SYM("OBJECT",1249),VVtemp[75]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[21],VV[7],VVtemp[23],ECL_SYM("OBJECT",1249),VVtemp[76]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[24])                 /*  EXPORT          */;
	(void)cl_export(1,VV[25])                 /*  EXPORT          */;
	ecl_cmp_defmacro(VV[111]);
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[77]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[112]);
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[25],VV[5],VVtemp[1],VV[28],VVtemp[78],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[25],VV[5],VVtemp[3],VV[28],VVtemp[79]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[25],VV[7],VVtemp[5],VV[28],VVtemp[80]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[25],VV[7],VVtemp[7],VV[28],VVtemp[81]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[25],VV[7],VVtemp[9],VV[28],VVtemp[82]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[25],VV[7],VVtemp[11],VV[28],VVtemp[83]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[25],VV[7],VVtemp[13],VV[28],VVtemp[84]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[25],VV[7],VVtemp[15],VV[28],VVtemp[85]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[25],VV[7],VVtemp[17],VV[28],VVtemp[86]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[25],VV[7],VVtemp[19],VV[28],VVtemp[87]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[25],VV[7],VVtemp[21],VV[28],VVtemp[88]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[25],VV[7],VVtemp[23],VV[28],VVtemp[89]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC13aref_ss,Cnil,Cblock);
	(void)si_put_sysprop(VV[24],ECL_SYM("SETF-METHOD",1119),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[24],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[24],VV[30])       /*  REM-SYSPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[90]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[113]);
	(void)si_put_sysprop(VV[25],VV[30],VV[29]) /*  PUT-SYSPROP    */;
	(void)si_rem_sysprop(VV[25],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[25],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[29],VV[5],VVtemp[91],VV[28],VVtemp[92],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[29],VV[5],VVtemp[93],VV[28],VVtemp[94]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[29],VV[7],VVtemp[95],VV[28],VVtemp[96]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[29],VV[7],VVtemp[97],VV[28],VVtemp[98]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[29],VV[7],VVtemp[99],VV[28],VVtemp[100]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[29],VV[7],VVtemp[101],VV[28],VVtemp[102]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[29],VV[7],VVtemp[103],VV[28],VVtemp[104]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[29],VV[7],VVtemp[105],VV[28],VVtemp[106]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[29],VV[7],VVtemp[107],VV[28],VVtemp[108]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[29],VV[7],VVtemp[109],VV[28],VVtemp[110]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[29],VV[7],VVtemp[111],VV[28],VVtemp[112]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[29],VV[7],VVtemp[113],VV[28],VVtemp[114]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[32])                 /*  EXPORT          */;
	(void)cl_export(1,VV[33])                 /*  EXPORT          */;
	ecl_cmp_defmacro(VV[114]);
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[115]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[115]);
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[33],VV[5],VVtemp[1],VV[28],VVtemp[116],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[5],VVtemp[3],VV[28],VVtemp[117]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[7],VVtemp[5],VV[28],VVtemp[118]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[7],VVtemp[7],VV[28],VVtemp[119]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[7],VVtemp[9],VV[28],VVtemp[120]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[7],VVtemp[11],VV[28],VVtemp[121]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[7],VVtemp[13],VV[28],VVtemp[122]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[7],VVtemp[15],VV[28],VVtemp[123]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[7],VVtemp[17],VV[28],VVtemp[124]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[7],VVtemp[19],VV[28],VVtemp[125]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[7],VVtemp[21],VV[28],VVtemp[126]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[33],VV[7],VVtemp[23],VV[28],VVtemp[127]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC17aref_ps,Cnil,Cblock);
	(void)si_put_sysprop(VV[32],ECL_SYM("SETF-METHOD",1119),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[32],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[32],VV[30])       /*  REM-SYSPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[128]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[116]);
	(void)si_put_sysprop(VV[33],VV[30],VV[36]) /*  PUT-SYSPROP    */;
	(void)si_rem_sysprop(VV[33],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[33],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[36],VV[5],VVtemp[91],VV[28],VVtemp[129],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[5],VVtemp[93],VV[28],VVtemp[130]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[7],VVtemp[95],VV[28],VVtemp[131]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[7],VVtemp[97],VV[28],VVtemp[132]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[7],VVtemp[99],VV[28],VVtemp[133]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[7],VVtemp[101],VV[28],VVtemp[134]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[7],VVtemp[103],VV[28],VVtemp[135]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[7],VVtemp[105],VV[28],VVtemp[136]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[7],VVtemp[107],VV[28],VVtemp[137]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[7],VVtemp[109],VV[28],VVtemp[138]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[7],VVtemp[111],VV[28],VVtemp[139]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[36],VV[7],VVtemp[113],VV[28],VVtemp[140]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[38])                 /*  EXPORT          */;
	(void)cl_export(1,VV[39])                 /*  EXPORT          */;
	ecl_cmp_defmacro(VV[117]);
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[141]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[118]);
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[39],VV[5],VVtemp[1],VV[28],VVtemp[142],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[5],VVtemp[3],VV[28],VVtemp[143]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[7],VVtemp[5],VV[28],VVtemp[144]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[7],VVtemp[7],VV[28],VVtemp[145]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[7],VVtemp[9],VV[28],VVtemp[146]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[7],VVtemp[11],VV[28],VVtemp[147]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[7],VVtemp[13],VV[28],VVtemp[148]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[7],VVtemp[15],VV[28],VVtemp[149]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[7],VVtemp[17],VV[28],VVtemp[150]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[7],VVtemp[19],VV[28],VVtemp[151]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[7],VVtemp[21],VV[28],VVtemp[152]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[39],VV[7],VVtemp[23],VV[28],VVtemp[153]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC21aref_aps,Cnil,Cblock);
	(void)si_put_sysprop(VV[38],ECL_SYM("SETF-METHOD",1119),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[38],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[38],VV[30])       /*  REM-SYSPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[154]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[119]);
	(void)si_put_sysprop(VV[39],VV[30],VV[42]) /*  PUT-SYSPROP    */;
	(void)si_rem_sysprop(VV[39],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[39],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[42],VV[5],VVtemp[91],VV[28],VVtemp[155],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[5],VVtemp[93],VV[28],VVtemp[156]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[7],VVtemp[95],VV[28],VVtemp[157]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[7],VVtemp[97],VV[28],VVtemp[158]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[7],VVtemp[99],VV[28],VVtemp[159]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[7],VVtemp[101],VV[28],VVtemp[160]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[7],VVtemp[103],VV[28],VVtemp[161]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[7],VVtemp[105],VV[28],VVtemp[162]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[7],VVtemp[107],VV[28],VVtemp[163]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[7],VVtemp[109],VV[28],VVtemp[164]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[7],VVtemp[111],VV[28],VVtemp[165]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[42],VV[7],VVtemp[113],VV[28],VVtemp[166]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[44])                 /*  EXPORT          */;
	(void)cl_export(1,VV[45])                 /*  EXPORT          */;
	ecl_cmp_defmacro(VV[120]);
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[167]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[121]);
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[45],VV[5],VVtemp[1],VV[28],VVtemp[142],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[5],VVtemp[3],VV[28],VVtemp[143]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[7],VVtemp[5],VV[28],VVtemp[144]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[7],VVtemp[7],VV[28],VVtemp[145]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[7],VVtemp[9],VV[28],VVtemp[146]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[7],VVtemp[11],VV[28],VVtemp[147]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[7],VVtemp[13],VV[28],VVtemp[148]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[7],VVtemp[15],VV[28],VVtemp[149]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[7],VVtemp[17],VV[28],VVtemp[150]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[7],VVtemp[19],VV[28],VVtemp[151]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[7],VVtemp[21],VV[28],VVtemp[152]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[45],VV[7],VVtemp[23],VV[28],VVtemp[153]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC25aref_sps,Cnil,Cblock);
	(void)si_put_sysprop(VV[44],ECL_SYM("SETF-METHOD",1119),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[44],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[44],VV[30])       /*  REM-SYSPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[168]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[122]);
	(void)si_put_sysprop(VV[45],VV[30],VV[48]) /*  PUT-SYSPROP    */;
	(void)si_rem_sysprop(VV[45],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[45],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[48],VV[5],VVtemp[91],VV[28],VVtemp[169],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[5],VVtemp[93],VV[28],VVtemp[170]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[7],VVtemp[95],VV[28],VVtemp[171]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[7],VVtemp[97],VV[28],VVtemp[172]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[7],VVtemp[99],VV[28],VVtemp[173]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[7],VVtemp[101],VV[28],VVtemp[174]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[7],VVtemp[103],VV[28],VVtemp[175]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[7],VVtemp[105],VV[28],VVtemp[176]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[7],VVtemp[107],VV[28],VVtemp[177]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[7],VVtemp[109],VV[28],VVtemp[178]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[7],VVtemp[111],VV[28],VVtemp[179]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[48],VV[7],VVtemp[113],VV[28],VVtemp[180]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[50])                 /*  EXPORT          */;
	(void)cl_export(1,VV[51])                 /*  EXPORT          */;
	ecl_cmp_defmacro(VV[123]);
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[181]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[124]);
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[51],VV[5],VVtemp[1],VV[54],VVtemp[182],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[5],VVtemp[3],VV[54],VVtemp[183]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[7],VVtemp[5],VV[54],VVtemp[184]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[7],VVtemp[7],VV[54],VVtemp[185]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[7],VVtemp[9],VV[54],VVtemp[186]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[7],VVtemp[11],VV[54],VVtemp[187]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[7],VVtemp[13],VV[54],VVtemp[188]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[7],VVtemp[15],VV[54],VVtemp[189]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[7],VVtemp[17],VV[54],VVtemp[190]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[7],VVtemp[19],VV[54],VVtemp[191]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[7],VVtemp[21],VV[54],VVtemp[192]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[51],VV[7],VVtemp[23],VV[54],VVtemp[193]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC29aref_sd,Cnil,Cblock);
	(void)si_put_sysprop(VV[50],ECL_SYM("SETF-METHOD",1119),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[50],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[50],VV[30])       /*  REM-SYSPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[194]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[125]);
	(void)si_put_sysprop(VV[51],VV[30],VV[55]) /*  PUT-SYSPROP    */;
	(void)si_rem_sysprop(VV[51],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[51],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[55],VV[5],VVtemp[195],VV[54],VVtemp[196],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[5],VVtemp[197],VV[54],VVtemp[198]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[7],VVtemp[199],VV[54],VVtemp[200]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[7],VVtemp[201],VV[54],VVtemp[202]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[7],VVtemp[203],VV[54],VVtemp[204]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[7],VVtemp[205],VV[54],VVtemp[206]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[7],VVtemp[207],VV[54],VVtemp[208]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[7],VVtemp[209],VV[54],VVtemp[210]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[7],VVtemp[211],VV[54],VVtemp[212]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[7],VVtemp[213],VV[54],VVtemp[214]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[7],VVtemp[215],VV[54],VVtemp[216]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[55],VV[7],VVtemp[217],VV[54],VVtemp[218]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[57])                 /*  EXPORT          */;
	(void)cl_export(1,VV[58])                 /*  EXPORT          */;
	ecl_cmp_defmacro(VV[126]);
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[219]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[127]);
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[58],VV[5],VVtemp[1],VV[54],VVtemp[220],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[5],VVtemp[3],VV[54],VVtemp[221]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[7],VVtemp[5],VV[54],VVtemp[222]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[7],VVtemp[7],VV[54],VVtemp[223]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[7],VVtemp[9],VV[54],VVtemp[224]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[7],VVtemp[11],VV[54],VVtemp[225]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[7],VVtemp[13],VV[54],VVtemp[226]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[7],VVtemp[15],VV[54],VVtemp[227]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[7],VVtemp[17],VV[54],VVtemp[228]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[7],VVtemp[19],VV[54],VVtemp[229]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[7],VVtemp[21],VV[54],VVtemp[230]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[58],VV[7],VVtemp[23],VV[54],VVtemp[231]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC33aref_pd,Cnil,Cblock);
	(void)si_put_sysprop(VV[57],ECL_SYM("SETF-METHOD",1119),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[57],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[57],VV[30])       /*  REM-SYSPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[232]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[128]);
	(void)si_put_sysprop(VV[58],VV[30],VV[61]) /*  PUT-SYSPROP    */;
	(void)si_rem_sysprop(VV[58],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[58],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[61],VV[5],VVtemp[195],VV[54],VVtemp[233],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[5],VVtemp[197],VV[54],VVtemp[234]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[7],VVtemp[199],VV[54],VVtemp[235]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[7],VVtemp[201],VV[54],VVtemp[236]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[7],VVtemp[203],VV[54],VVtemp[237]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[7],VVtemp[205],VV[54],VVtemp[238]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[7],VVtemp[207],VV[54],VVtemp[239]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[7],VVtemp[209],VV[54],VVtemp[240]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[7],VVtemp[211],VV[54],VVtemp[241]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[7],VVtemp[213],VV[54],VVtemp[242]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[7],VVtemp[215],VV[54],VVtemp[243]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[61],VV[7],VVtemp[217],VV[54],VVtemp[244]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[63])                 /*  EXPORT          */;
	(void)cl_export(1,VV[64])                 /*  EXPORT          */;
	ecl_cmp_defmacro(VV[129]);
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[245]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[130]);
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[64],VV[5],VVtemp[1],VV[54],VVtemp[246],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[5],VVtemp[3],VV[54],VVtemp[247]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[7],VVtemp[5],VV[54],VVtemp[248]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[7],VVtemp[7],VV[54],VVtemp[249]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[7],VVtemp[9],VV[54],VVtemp[250]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[7],VVtemp[11],VV[54],VVtemp[251]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[7],VVtemp[13],VV[54],VVtemp[252]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[7],VVtemp[15],VV[54],VVtemp[253]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[7],VVtemp[17],VV[54],VVtemp[254]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[7],VVtemp[19],VV[54],VVtemp[255]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[7],VVtemp[21],VV[54],VVtemp[256]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[64],VV[7],VVtemp[23],VV[54],VVtemp[257]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC37aref_apd,Cnil,Cblock);
	(void)si_put_sysprop(VV[63],ECL_SYM("SETF-METHOD",1119),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[63],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[63],VV[30])       /*  REM-SYSPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[258]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[131]);
	(void)si_put_sysprop(VV[64],VV[30],VV[67]) /*  PUT-SYSPROP    */;
	(void)si_rem_sysprop(VV[64],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[64],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[67],VV[5],VVtemp[195],VV[54],VVtemp[259],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[5],VVtemp[197],VV[54],VVtemp[260]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[7],VVtemp[199],VV[54],VVtemp[261]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[7],VVtemp[201],VV[54],VVtemp[262]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[7],VVtemp[203],VV[54],VVtemp[263]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[7],VVtemp[205],VV[54],VVtemp[264]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[7],VVtemp[207],VV[54],VVtemp[265]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[7],VVtemp[209],VV[54],VVtemp[266]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[7],VVtemp[211],VV[54],VVtemp[267]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[7],VVtemp[213],VV[54],VVtemp[268]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[7],VVtemp[215],VV[54],VVtemp[269]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[67],VV[7],VVtemp[217],VV[54],VVtemp[270]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[69])                 /*  EXPORT          */;
	(void)cl_export(1,VV[70])                 /*  EXPORT          */;
	ecl_cmp_defmacro(VV[132]);
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[271]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[133]);
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[70],VV[5],VVtemp[1],VV[54],VVtemp[246],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[5],VVtemp[3],VV[54],VVtemp[247]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[7],VVtemp[5],VV[54],VVtemp[248]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[7],VVtemp[7],VV[54],VVtemp[249]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[7],VVtemp[9],VV[54],VVtemp[250]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[7],VVtemp[11],VV[54],VVtemp[251]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[7],VVtemp[13],VV[54],VVtemp[252]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[7],VVtemp[15],VV[54],VVtemp[253]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[7],VVtemp[17],VV[54],VVtemp[254]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[7],VVtemp[19],VV[54],VVtemp[255]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[7],VVtemp[21],VV[54],VVtemp[256]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[70],VV[7],VVtemp[23],VV[54],VVtemp[257]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC41aref_spd,Cnil,Cblock);
	(void)si_put_sysprop(VV[69],ECL_SYM("SETF-METHOD",1119),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[69],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[69],VV[30])       /*  REM-SYSPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[272]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[134]);
	(void)si_put_sysprop(VV[70],VV[30],VV[73]) /*  PUT-SYSPROP    */;
	(void)si_rem_sysprop(VV[70],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[70],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[73],VV[5],VVtemp[195],VV[54],VVtemp[273],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[5],VVtemp[197],VV[54],VVtemp[274]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[7],VVtemp[199],VV[54],VVtemp[275]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[7],VVtemp[201],VV[54],VVtemp[276]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[7],VVtemp[203],VV[54],VVtemp[277]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[7],VVtemp[205],VV[54],VVtemp[278]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[7],VVtemp[207],VV[54],VVtemp[279]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[7],VVtemp[209],VV[54],VVtemp[280]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[7],VVtemp[211],VV[54],VVtemp[281]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[7],VVtemp[213],VV[54],VVtemp[282]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[7],VVtemp[215],VV[54],VVtemp[283]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[73],VV[7],VVtemp[217],VV[54],VVtemp[284]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[75])                 /*  EXPORT          */;
	(void)cl_export(1,VV[76])                 /*  EXPORT          */;
	ecl_cmp_defmacro(VV[135]);
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[285]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[136]);
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[76],VV[5],VVtemp[1],VV[79],VVtemp[286],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[5],VVtemp[3],VV[79],VVtemp[287]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[7],VVtemp[5],VV[79],VVtemp[288]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[7],VVtemp[7],VV[79],VVtemp[289]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[7],VVtemp[9],VV[79],VVtemp[290]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[7],VVtemp[11],VV[79],VVtemp[291]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[7],VVtemp[13],VV[79],VVtemp[292]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[7],VVtemp[15],VV[79],VVtemp[293]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[7],VVtemp[17],VV[79],VVtemp[294]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[7],VVtemp[19],VV[79],VVtemp[295]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[7],VVtemp[21],VV[79],VVtemp[296]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[76],VV[7],VVtemp[23],VV[79],VVtemp[297]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC45aref_si64,Cnil,Cblock);
	(void)si_put_sysprop(VV[75],ECL_SYM("SETF-METHOD",1119),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[75],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[75],VV[30])       /*  REM-SYSPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[298]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[137]);
	(void)si_put_sysprop(VV[76],VV[30],VV[80]) /*  PUT-SYSPROP    */;
	(void)si_rem_sysprop(VV[76],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[76],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[80],VV[5],VVtemp[299],VV[79],VVtemp[300],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[5],VVtemp[301],VV[79],VVtemp[302]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[7],VVtemp[303],VV[79],VVtemp[304]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[7],VVtemp[305],VV[79],VVtemp[306]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[7],VVtemp[307],VV[79],VVtemp[308]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[7],VVtemp[309],VV[79],VVtemp[310]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[7],VVtemp[311],VV[79],VVtemp[312]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[7],VVtemp[313],VV[79],VVtemp[314]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[7],VVtemp[315],VV[79],VVtemp[316]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[7],VVtemp[317],VV[79],VVtemp[318]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[7],VVtemp[319],VV[79],VVtemp[320]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[80],VV[7],VVtemp[321],VV[79],VVtemp[322]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[82])                 /*  EXPORT          */;
	(void)cl_export(1,VV[83])                 /*  EXPORT          */;
	ecl_cmp_defmacro(VV[138]);
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[323]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[139]);
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[83],VV[5],VVtemp[1],VV[79],VVtemp[324],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[5],VVtemp[3],VV[79],VVtemp[325]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[7],VVtemp[5],VV[79],VVtemp[326]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[7],VVtemp[7],VV[79],VVtemp[327]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[7],VVtemp[9],VV[79],VVtemp[328]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[7],VVtemp[11],VV[79],VVtemp[329]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[7],VVtemp[13],VV[79],VVtemp[330]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[7],VVtemp[15],VV[79],VVtemp[331]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[7],VVtemp[17],VV[79],VVtemp[332]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[7],VVtemp[19],VV[79],VVtemp[333]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[7],VVtemp[21],VV[79],VVtemp[334]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[83],VV[7],VVtemp[23],VV[79],VVtemp[335]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC49aref_pi,Cnil,Cblock);
	(void)si_put_sysprop(VV[82],ECL_SYM("SETF-METHOD",1119),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[82],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[82],VV[30])       /*  REM-SYSPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[336]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[140]);
	(void)si_put_sysprop(VV[83],VV[30],VV[86]) /*  PUT-SYSPROP    */;
	(void)si_rem_sysprop(VV[83],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[83],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[86],VV[5],VVtemp[299],VV[79],VVtemp[337],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[5],VVtemp[301],VV[79],VVtemp[338]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[7],VVtemp[303],VV[79],VVtemp[339]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[7],VVtemp[305],VV[79],VVtemp[340]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[7],VVtemp[307],VV[79],VVtemp[341]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[7],VVtemp[309],VV[79],VVtemp[342]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[7],VVtemp[311],VV[79],VVtemp[343]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[7],VVtemp[313],VV[79],VVtemp[344]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[7],VVtemp[315],VV[79],VVtemp[345]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[7],VVtemp[317],VV[79],VVtemp[346]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[7],VVtemp[319],VV[79],VVtemp[347]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[86],VV[7],VVtemp[321],VV[79],VVtemp[348]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[88])                 /*  EXPORT          */;
	(void)cl_export(1,VV[89])                 /*  EXPORT          */;
	ecl_cmp_defmacro(VV[141]);
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[349]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[142]);
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[89],VV[5],VVtemp[1],VV[79],VVtemp[350],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[5],VVtemp[3],VV[79],VVtemp[351]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[7],VVtemp[5],VV[79],VVtemp[352]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[7],VVtemp[7],VV[79],VVtemp[353]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[7],VVtemp[9],VV[79],VVtemp[354]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[7],VVtemp[11],VV[79],VVtemp[355]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[7],VVtemp[13],VV[79],VVtemp[356]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[7],VVtemp[15],VV[79],VVtemp[357]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[7],VVtemp[17],VV[79],VVtemp[358]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[7],VVtemp[19],VV[79],VVtemp[359]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[7],VVtemp[21],VV[79],VVtemp[360]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[89],VV[7],VVtemp[23],VV[79],VVtemp[361]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC53aref_api,Cnil,Cblock);
	(void)si_put_sysprop(VV[88],ECL_SYM("SETF-METHOD",1119),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[88],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[88],VV[30])       /*  REM-SYSPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[362]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[143]);
	(void)si_put_sysprop(VV[89],VV[30],VV[92]) /*  PUT-SYSPROP    */;
	(void)si_rem_sysprop(VV[89],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[89],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[92],VV[5],VVtemp[299],VV[79],VVtemp[363],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[5],VVtemp[301],VV[79],VVtemp[364]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[7],VVtemp[303],VV[79],VVtemp[365]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[7],VVtemp[305],VV[79],VVtemp[366]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[7],VVtemp[307],VV[79],VVtemp[367]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[7],VVtemp[309],VV[79],VVtemp[368]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[7],VVtemp[311],VV[79],VVtemp[369]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[7],VVtemp[313],VV[79],VVtemp[370]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[7],VVtemp[315],VV[79],VVtemp[371]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[7],VVtemp[317],VV[79],VVtemp[372]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[7],VVtemp[319],VV[79],VVtemp[373]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[92],VV[7],VVtemp[321],VV[79],VVtemp[374]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[94])                 /*  EXPORT          */;
	(void)cl_export(1,VV[95])                 /*  EXPORT          */;
	ecl_cmp_defmacro(VV[144]);
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[375]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[145]);
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[95],VV[5],VVtemp[1],VV[79],VVtemp[350],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[5],VVtemp[3],VV[79],VVtemp[351]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[7],VVtemp[5],VV[79],VVtemp[352]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[7],VVtemp[7],VV[79],VVtemp[353]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[7],VVtemp[9],VV[79],VVtemp[354]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[7],VVtemp[11],VV[79],VVtemp[355]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[7],VVtemp[13],VV[79],VVtemp[356]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[7],VVtemp[15],VV[79],VVtemp[357]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[7],VVtemp[17],VV[79],VVtemp[358]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[7],VVtemp[19],VV[79],VVtemp[359]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[7],VVtemp[21],VV[79],VVtemp[360]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[95],VV[7],VVtemp[23],VV[79],VVtemp[361]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC57aref_spi,Cnil,Cblock);
	(void)si_put_sysprop(VV[94],ECL_SYM("SETF-METHOD",1119),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[94],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[94],VV[30])       /*  REM-SYSPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[376]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[146]);
	(void)si_put_sysprop(VV[95],VV[30],VV[98]) /*  PUT-SYSPROP    */;
	(void)si_rem_sysprop(VV[95],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[95],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(7,VV[98],VV[5],VVtemp[299],VV[79],VVtemp[377],VV[6],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[5],VVtemp[301],VV[79],VVtemp[378]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[7],VVtemp[303],VV[79],VVtemp[379]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[7],VVtemp[305],VV[79],VVtemp[380]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[7],VVtemp[307],VV[79],VVtemp[381]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[7],VVtemp[309],VV[79],VVtemp[382]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[7],VVtemp[311],VV[79],VVtemp[383]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[7],VVtemp[313],VV[79],VVtemp[384]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[7],VVtemp[315],VV[79],VVtemp[385]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[7],VVtemp[317],VV[79],VVtemp[386]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[7],VVtemp[319],VV[79],VVtemp[387]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[102])(5,VV[98],VV[7],VVtemp[321],VV[79],VVtemp[388]) /*  DEF-INLINE */;
}
