/*	Compiler: ECL 11.1.1                                          */
/*	Source: EXT:CL-SIMD;SSE-INTRINSICS.LISP                       */
#include <ecl/ecl-cmp.h>
#include "ext/sse-intrinsics.h"
/*	function definition for CPU-PREFETCH-T0                       */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L1cpu_prefetch_t0(cl_narg narg, cl_object V1, ...)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=(_mm_prefetch((void*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)),_MM_HINT_T0),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-PREFETCH-T1                       */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L2cpu_prefetch_t1(cl_narg narg, cl_object V1, ...)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=(_mm_prefetch((void*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)),_MM_HINT_T1),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-PREFETCH-T2                       */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L3cpu_prefetch_t2(cl_narg narg, cl_object V1, ...)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=(_mm_prefetch((void*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)),_MM_HINT_T2),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-PREFETCH-NTA                      */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L4cpu_prefetch_nta(cl_narg narg, cl_object V1, ...)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=(_mm_prefetch((void*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)),_MM_HINT_NTA),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-CLFLUSH                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L5cpu_clflush(cl_narg narg, cl_object V1, ...)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=(_mm_clflush((void*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2))),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-MXCSR                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L6cpu_mxcsr()
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_getcsr()); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for %SET-CPU-MXCSR                        */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L7_set_cpu_mxcsr(cl_object V1)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM((_mm_setcsr(ecl_to_fixnum(V1)),ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-LOAD-FENCE                        */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L8cpu_load_fence()
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=(_mm_lfence(),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-STORE-FENCE                       */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L9cpu_store_fence()
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=(_mm_sfence(),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-MEMORY-FENCE                      */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L10cpu_memory_fence()
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=(_mm_mfence(),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CPU-PAUSE                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L11cpu_pause()
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=(_mm_pause(),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L12set_ss(cl_object V1)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_set_ss(ecl_to_float(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PS                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L13set1_ps(cl_object V1)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_set1_ps(ecl_to_float(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L14set_ps(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_set_ps(ecl_to_float(V1),ecl_to_float(V2),ecl_to_float(V3),ecl_to_float(V4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PS                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L15setr_ps(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_setr_ps(ecl_to_float(V1),ecl_to_float(V2),ecl_to_float(V3),ecl_to_float(V4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETZERO-PS                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L16setzero_ps()
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_setzero_ps()); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-SS                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L17mem_ref_ss(cl_narg narg, cl_object V1, ...)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack(_mm_load_ss((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-PS                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L18mem_ref_ps(cl_narg narg, cl_object V1, ...)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack(_mm_loadu_ps((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-APS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L19mem_ref_aps(cl_narg narg, cl_object V1, ...)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack(_mm_load_ps((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-SET-SS                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L20mem_set_ss(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack((_mm_store_ss((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_float_sse_pack(V2)),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-SS                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21mem_ref_ss(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[44],V2,V1,V3)         /*  LIST            */;
	return value0;
}}
/*	function definition for MEM-SET-PS                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L22mem_set_ps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack((_mm_storeu_ps((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_float_sse_pack(V2)),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-PS                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23mem_ref_ps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[46],V2,V1,V3)         /*  LIST            */;
	return value0;
}}
/*	function definition for MEM-SET-APS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L24mem_set_aps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack((_mm_store_ps((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_float_sse_pack(V2)),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-APS                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25mem_ref_aps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[48],V2,V1,V3)         /*  LIST            */;
	return value0;
}}
/*	function definition for STREAM-PS                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L26stream_ps(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_float_sse_pack((_mm_stream_ps((float*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_float_sse_pack(V2)),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L27add_ss(cl_object V1, cl_object V2)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_add_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L28add_ps(cl_object V1, cl_object V2)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_add_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L29sub_ss(cl_object V1, cl_object V2)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_sub_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L30sub_ps(cl_object V1, cl_object V2)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_sub_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MUL-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L31mul_ss(cl_object V1, cl_object V2)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_mul_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MUL-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L32mul_ps(cl_object V1, cl_object V2)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_mul_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DIV-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L33div_ss(cl_object V1, cl_object V2)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_div_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DIV-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L34div_ps(cl_object V1, cl_object V2)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_div_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MIN-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L35min_ss(cl_object V1, cl_object V2)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_min_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MIN-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L36min_ps(cl_object V1, cl_object V2)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_min_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAX-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L37max_ss(cl_object V1, cl_object V2)
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_max_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAX-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L38max_ps(cl_object V1, cl_object V2)
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_max_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SQRT-SS                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L39sqrt_ss(cl_object V1)
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_sqrt_ss(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SQRT-PS                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L40sqrt_ps(cl_object V1)
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_sqrt_ps(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for RSQRT-SS                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L41rsqrt_ss(cl_object V1)
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_rsqrt_ss(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for RSQRT-PS                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L42rsqrt_ps(cl_object V1)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_rsqrt_ps(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for RCP-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L43rcp_ss(cl_object V1)
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_rcp_ss(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for RCP-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L44rcp_ps(cl_object V1)
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_rcp_ps(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AND-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L45and_ps(cl_object V1, cl_object V2)
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_and_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ANDNOT-PS                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L46andnot_ps(cl_object V1, cl_object V2)
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_andnot_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for OR-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L47or_ps(cl_object V1, cl_object V2)
{ VT48 VLEX48 CLSR48 STCK48
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_or_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for XOR-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L48xor_ps(cl_object V1, cl_object V2)
{ VT49 VLEX49 CLSR49 STCK49
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_xor_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-SS                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L49__ss(cl_object V1, cl_object V2)
{ VT50 VLEX50 CLSR50 STCK50
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpeq_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-PS                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L50__ps(cl_object V1, cl_object V2)
{ VT51 VLEX51 CLSR51 STCK51
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpeq_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-SS                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L51__ss(cl_object V1, cl_object V2)
{ VT52 VLEX52 CLSR52 STCK52
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmplt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-PS                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L52__ps(cl_object V1, cl_object V2)
{ VT53 VLEX53 CLSR53 STCK53
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmplt_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-SS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L53___ss(cl_object V1, cl_object V2)
{ VT54 VLEX54 CLSR54 STCK54
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmple_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L54___ps(cl_object V1, cl_object V2)
{ VT55 VLEX55 CLSR55 STCK55
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmple_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-SS                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L55__ss(cl_object V1, cl_object V2)
{ VT56 VLEX56 CLSR56 STCK56
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpgt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-PS                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L56__ps(cl_object V1, cl_object V2)
{ VT57 VLEX57 CLSR57 STCK57
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpgt_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-SS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L57___ss(cl_object V1, cl_object V2)
{ VT58 VLEX58 CLSR58 STCK58
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpge_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L58___ps(cl_object V1, cl_object V2)
{ VT59 VLEX59 CLSR59 STCK59
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpge_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-SS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L59___ss(cl_object V1, cl_object V2)
{ VT60 VLEX60 CLSR60 STCK60
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpneq_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L60___ps(cl_object V1, cl_object V2)
{ VT61 VLEX61 CLSR61 STCK61
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpneq_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<-SS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L61___ss(cl_object V1, cl_object V2)
{ VT62 VLEX62 CLSR62 STCK62
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpnlt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L62___ps(cl_object V1, cl_object V2)
{ VT63 VLEX63 CLSR63 STCK63
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpnlt_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<=-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L63____ss(cl_object V1, cl_object V2)
{ VT64 VLEX64 CLSR64 STCK64
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpnle_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<=-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L64____ps(cl_object V1, cl_object V2)
{ VT65 VLEX65 CLSR65 STCK65
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpnle_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />-SS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L65___ss(cl_object V1, cl_object V2)
{ VT66 VLEX66 CLSR66 STCK66
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpngt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L66___ps(cl_object V1, cl_object V2)
{ VT67 VLEX67 CLSR67 STCK67
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpngt_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />=-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L67____ss(cl_object V1, cl_object V2)
{ VT68 VLEX68 CLSR68 STCK68
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpnge_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />=-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L68____ps(cl_object V1, cl_object V2)
{ VT69 VLEX69 CLSR69 STCK69
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpnge_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPORD-SS                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L69cmpord_ss(cl_object V1, cl_object V2)
{ VT70 VLEX70 CLSR70 STCK70
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpord_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPORD-PS                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L70cmpord_ps(cl_object V1, cl_object V2)
{ VT71 VLEX71 CLSR71 STCK71
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpord_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPUNORD-SS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L71cmpunord_ss(cl_object V1, cl_object V2)
{ VT72 VLEX72 CLSR72 STCK72
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpunord_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPUNORD-PS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L72cmpunord_ps(cl_object V1, cl_object V2)
{ VT73 VLEX73 CLSR73 STCK73
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cmpunord_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-SS?                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L73__ss_(cl_object V1, cl_object V2)
{ VT74 VLEX74 CLSR74 STCK74
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comieq_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-SSU?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L74__ssu_(cl_object V1, cl_object V2)
{ VT75 VLEX75 CLSR75 STCK75
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomieq_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-SS?                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L75__ss_(cl_object V1, cl_object V2)
{ VT76 VLEX76 CLSR76 STCK76
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comilt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-SSU?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L76__ssu_(cl_object V1, cl_object V2)
{ VT77 VLEX77 CLSR77 STCK77
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomilt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-SS?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L77___ss_(cl_object V1, cl_object V2)
{ VT78 VLEX78 CLSR78 STCK78
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comile_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-SSU?                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L78___ssu_(cl_object V1, cl_object V2)
{ VT79 VLEX79 CLSR79 STCK79
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomile_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-SS?                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L79__ss_(cl_object V1, cl_object V2)
{ VT80 VLEX80 CLSR80 STCK80
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comigt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-SSU?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L80__ssu_(cl_object V1, cl_object V2)
{ VT81 VLEX81 CLSR81 STCK81
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomigt_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-SS?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L81___ss_(cl_object V1, cl_object V2)
{ VT82 VLEX82 CLSR82 STCK82
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comige_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-SSU?                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L82___ssu_(cl_object V1, cl_object V2)
{ VT83 VLEX83 CLSR83 STCK83
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomige_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-SS?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L83___ss_(cl_object V1, cl_object V2)
{ VT84 VLEX84 CLSR84 STCK84
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comineq_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-SSU?                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L84___ssu_(cl_object V1, cl_object V2)
{ VT85 VLEX85 CLSR85 STCK85
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomineq_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKHI-PS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L85unpackhi_ps(cl_object V1, cl_object V2)
{ VT86 VLEX86 CLSR86 STCK86
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_unpackhi_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKLO-PS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L86unpacklo_ps(cl_object V1, cl_object V2)
{ VT87 VLEX87 CLSR87 STCK87
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_unpacklo_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVE-SS                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L87move_ss(cl_object V1, cl_object V2)
{ VT88 VLEX88 CLSR88 STCK88
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_move_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVEHL-PS                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L88movehl_ps(cl_object V1, cl_object V2)
{ VT89 VLEX89 CLSR89 STCK89
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_movehl_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVELH-PS                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L89movelh_ps(cl_object V1, cl_object V2)
{ VT90 VLEX90 CLSR90 STCK90
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_movelh_ps(ecl_unbox_float_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVEMASK-PS                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L90movemask_ps(cl_object V1)
{ VT91 VLEX91 CLSR91 STCK91
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_movemask_ps(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SHUFFLE-PS                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC91shuffle_ps(cl_object V1, cl_object V2)
{ VT92 VLEX92 CLSR92 STCK92
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	cl_object V5;                             /*  ARG2            */
	cl_object V6;                             /*  CHGP            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	V6= Cnil;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	{cl_object V7;                            /*  OLDV            */
	V7= V5;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[684])(3,V7,V2,V6) /*  EXPAND-CONSTANT */;
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L19;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L20;
	V6= cl_env_copy->values[1];
	goto L21;}
L19:;
	V5= Cnil;
L20:;
	V6= Cnil;
L21:;
	if((cl_typep(2,V5,VV[182])                /*  TYPEP           */)!=Cnil){
	goto L23;}
	if(ecl_eql(V7,V5)){
	goto L27;}
	T0= V5;
	goto L25;
L27:;
	T0= Cnil;
	goto L25;
L25:;
	(void)ecl_function_dispatch(cl_env_copy,VV[685])(5,_ecl_static_15,VV[181],V7,T0,VV[182]) /*  CMPERR */;
	goto L15;
L23:;
	goto L15;
	}
L15:;
	if((V6)==Cnil){
	goto L30;}
	value0=cl_list(4,VV[181],V3,V4,V5)        /*  LIST            */;
	return value0;
L30:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for CONVERT-PI32-TO-PS                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L92convert_pi32_to_ps(cl_object V1)
{ VT93 VLEX93 CLSR93 STCK93
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cvtepi32_ps(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PS-TO-PI32                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L93convert_ps_to_pi32(cl_object V1)
{ VT94 VLEX94 CLSR94 STCK94
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvtps_epi32(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TRUNCATE-PS-TO-PI32                   */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L94truncate_ps_to_pi32(cl_object V1)
{ VT95 VLEX95 CLSR95 STCK95
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvttps_epi32(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SI32-TO-SS                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L95convert_si32_to_ss(cl_object V1, cl_object V2)
{ VT96 VLEX96 CLSR96 STCK96
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cvtsi32_ss(ecl_unbox_float_sse_pack(V1),ecl_to_fixnum(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SS-TO-SI32                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L96convert_ss_to_si32(cl_object V1)
{ VT97 VLEX97 CLSR97 STCK97
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_cvtss_si32(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TRUNCATE-SS-TO-SI32                   */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L97truncate_ss_to_si32(cl_object V1)
{ VT98 VLEX98 CLSR98 STCK98
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_cvttss_si32(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SI64-TO-SS                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L98convert_si64_to_ss(cl_object V1, cl_object V2)
{ VT99 VLEX99 CLSR99 STCK99
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cvtsi64_ss(ecl_unbox_float_sse_pack(V1),ecl_to_int64_t(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SS-TO-SI64                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L99convert_ss_to_si64(cl_object V1)
{ VT100 VLEX100 CLSR100 STCK100
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int64_t(_mm_cvtss_si64(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TRUNCATE-SS-TO-SI64                   */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L100truncate_ss_to_si64(cl_object V1)
{ VT101 VLEX101 CLSR101 STCK101
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int64_t(_mm_cvttss_si64(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L101set_sd(cl_object V1)
{ VT102 VLEX102 CLSR102 STCK102
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_set_sd(ecl_to_double(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PD                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L102set1_pd(cl_object V1)
{ VT103 VLEX103 CLSR103 STCK103
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_set1_pd(ecl_to_double(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L103set_pd(cl_object V1, cl_object V2)
{ VT104 VLEX104 CLSR104 STCK104
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_set_pd(ecl_to_double(V1),ecl_to_double(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PD                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L104setr_pd(cl_object V1, cl_object V2)
{ VT105 VLEX105 CLSR105 STCK105
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_setr_pd(ecl_to_double(V1),ecl_to_double(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETZERO-PD                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L105setzero_pd()
{ VT106 VLEX106 CLSR106 STCK106
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_setzero_pd()); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-SD                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L106mem_ref_sd(cl_narg narg, cl_object V1, ...)
{ VT107 VLEX107 CLSR107 STCK107
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack(_mm_load_sd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-PD                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L107mem_ref_pd(cl_narg narg, cl_object V1, ...)
{ VT108 VLEX108 CLSR108 STCK108
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack(_mm_loadu_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-APD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L108mem_ref_apd(cl_narg narg, cl_object V1, ...)
{ VT109 VLEX109 CLSR109 STCK109
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack(_mm_load_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOADH-PD                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L109loadh_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT110 VLEX110 CLSR110 STCK110
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack(_mm_loadh_pd(ecl_unbox_double_sse_pack(V1),(double*)(((char*)ecl_to_pointer(V2)) + ecl_to_int(V3)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LOADL-PD                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L110loadl_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT111 VLEX111 CLSR111 STCK111
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack(_mm_loadl_pd(ecl_unbox_double_sse_pack(V1),(double*)(((char*)ecl_to_pointer(V2)) + ecl_to_int(V3)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-SET-SD                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L111mem_set_sd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT112 VLEX112 CLSR112 STCK112
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack((_mm_store_sd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_double_sse_pack(V2)),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-SD                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC112mem_ref_sd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT113 VLEX113 CLSR113 STCK113
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[223],V2,V1,V3)        /*  LIST            */;
	return value0;
}}
/*	function definition for MEM-SET-PD                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L113mem_set_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT114 VLEX114 CLSR114 STCK114
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack((_mm_storeu_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_double_sse_pack(V2)),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-PD                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC114mem_ref_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT115 VLEX115 CLSR115 STCK115
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[225],V2,V1,V3)        /*  LIST            */;
	return value0;
}}
/*	function definition for MEM-SET-APD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L115mem_set_apd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT116 VLEX116 CLSR116 STCK116
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack((_mm_store_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_double_sse_pack(V2)),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-APD                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC116mem_ref_apd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT117 VLEX117 CLSR117 STCK117
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[227],V2,V1,V3)        /*  LIST            */;
	return value0;
}}
/*	function definition for STOREH-PD                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L117storeh_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT118 VLEX118 CLSR118 STCK118
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack((_mm_storeh_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_double_sse_pack(V2)),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for STOREL-PD                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L118storel_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT119 VLEX119 CLSR119 STCK119
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack((_mm_storel_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_double_sse_pack(V2)),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for STREAM-PD                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L119stream_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT120 VLEX120 CLSR120 STCK120
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_double_sse_pack((_mm_stream_pd((double*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_double_sse_pack(V2)),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L120add_sd(cl_object V1, cl_object V2)
{ VT121 VLEX121 CLSR121 STCK121
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_add_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L121add_pd(cl_object V1, cl_object V2)
{ VT122 VLEX122 CLSR122 STCK122
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_add_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L122sub_sd(cl_object V1, cl_object V2)
{ VT123 VLEX123 CLSR123 STCK123
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_sub_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L123sub_pd(cl_object V1, cl_object V2)
{ VT124 VLEX124 CLSR124 STCK124
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_sub_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MUL-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L124mul_sd(cl_object V1, cl_object V2)
{ VT125 VLEX125 CLSR125 STCK125
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_mul_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MUL-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L125mul_pd(cl_object V1, cl_object V2)
{ VT126 VLEX126 CLSR126 STCK126
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_mul_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DIV-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L126div_sd(cl_object V1, cl_object V2)
{ VT127 VLEX127 CLSR127 STCK127
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_div_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DIV-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L127div_pd(cl_object V1, cl_object V2)
{ VT128 VLEX128 CLSR128 STCK128
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_div_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MIN-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L128min_sd(cl_object V1, cl_object V2)
{ VT129 VLEX129 CLSR129 STCK129
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_min_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MIN-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L129min_pd(cl_object V1, cl_object V2)
{ VT130 VLEX130 CLSR130 STCK130
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_min_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAX-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L130max_sd(cl_object V1, cl_object V2)
{ VT131 VLEX131 CLSR131 STCK131
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_max_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAX-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L131max_pd(cl_object V1, cl_object V2)
{ VT132 VLEX132 CLSR132 STCK132
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_max_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SQRT-SD                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L132sqrt_sd(cl_object V1, cl_object V2)
{ VT133 VLEX133 CLSR133 STCK133
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_sqrt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SQRT-PD                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L133sqrt_pd(cl_object V1)
{ VT134 VLEX134 CLSR134 STCK134
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_sqrt_pd(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AND-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L134and_pd(cl_object V1, cl_object V2)
{ VT135 VLEX135 CLSR135 STCK135
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_and_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ANDNOT-PD                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L135andnot_pd(cl_object V1, cl_object V2)
{ VT136 VLEX136 CLSR136 STCK136
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_andnot_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for OR-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L136or_pd(cl_object V1, cl_object V2)
{ VT137 VLEX137 CLSR137 STCK137
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_or_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for XOR-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L137xor_pd(cl_object V1, cl_object V2)
{ VT138 VLEX138 CLSR138 STCK138
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_xor_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-SD                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L138__sd(cl_object V1, cl_object V2)
{ VT139 VLEX139 CLSR139 STCK139
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpeq_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-PD                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L139__pd(cl_object V1, cl_object V2)
{ VT140 VLEX140 CLSR140 STCK140
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpeq_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-SD                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L140__sd(cl_object V1, cl_object V2)
{ VT141 VLEX141 CLSR141 STCK141
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmplt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-PD                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L141__pd(cl_object V1, cl_object V2)
{ VT142 VLEX142 CLSR142 STCK142
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmplt_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-SD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L142___sd(cl_object V1, cl_object V2)
{ VT143 VLEX143 CLSR143 STCK143
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmple_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L143___pd(cl_object V1, cl_object V2)
{ VT144 VLEX144 CLSR144 STCK144
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmple_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-SD                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L144__sd(cl_object V1, cl_object V2)
{ VT145 VLEX145 CLSR145 STCK145
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpgt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-PD                                  */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L145__pd(cl_object V1, cl_object V2)
{ VT146 VLEX146 CLSR146 STCK146
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpgt_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-SD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L146___sd(cl_object V1, cl_object V2)
{ VT147 VLEX147 CLSR147 STCK147
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpge_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L147___pd(cl_object V1, cl_object V2)
{ VT148 VLEX148 CLSR148 STCK148
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpge_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-SD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L148___sd(cl_object V1, cl_object V2)
{ VT149 VLEX149 CLSR149 STCK149
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpneq_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L149___pd(cl_object V1, cl_object V2)
{ VT150 VLEX150 CLSR150 STCK150
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpneq_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<-SD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L150___sd(cl_object V1, cl_object V2)
{ VT151 VLEX151 CLSR151 STCK151
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpnlt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L151___pd(cl_object V1, cl_object V2)
{ VT152 VLEX152 CLSR152 STCK152
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpnlt_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<=-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L152____sd(cl_object V1, cl_object V2)
{ VT153 VLEX153 CLSR153 STCK153
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpnle_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /<=-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L153____pd(cl_object V1, cl_object V2)
{ VT154 VLEX154 CLSR154 STCK154
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpnle_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />-SD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L154___sd(cl_object V1, cl_object V2)
{ VT155 VLEX155 CLSR155 STCK155
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpngt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L155___pd(cl_object V1, cl_object V2)
{ VT156 VLEX156 CLSR156 STCK156
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpngt_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />=-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L156____sd(cl_object V1, cl_object V2)
{ VT157 VLEX157 CLSR157 STCK157
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpnge_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for />=-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L157____pd(cl_object V1, cl_object V2)
{ VT158 VLEX158 CLSR158 STCK158
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpnge_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPORD-SD                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L158cmpord_sd(cl_object V1, cl_object V2)
{ VT159 VLEX159 CLSR159 STCK159
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpord_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPORD-PD                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L159cmpord_pd(cl_object V1, cl_object V2)
{ VT160 VLEX160 CLSR160 STCK160
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpord_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPUNORD-SD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L160cmpunord_sd(cl_object V1, cl_object V2)
{ VT161 VLEX161 CLSR161 STCK161
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpunord_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMPUNORD-PD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L161cmpunord_pd(cl_object V1, cl_object V2)
{ VT162 VLEX162 CLSR162 STCK162
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cmpunord_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-SD?                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L162__sd_(cl_object V1, cl_object V2)
{ VT163 VLEX163 CLSR163 STCK163
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comieq_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-SDU?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L163__sdu_(cl_object V1, cl_object V2)
{ VT164 VLEX164 CLSR164 STCK164
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomieq_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-SD?                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L164__sd_(cl_object V1, cl_object V2)
{ VT165 VLEX165 CLSR165 STCK165
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comilt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-SDU?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L165__sdu_(cl_object V1, cl_object V2)
{ VT166 VLEX166 CLSR166 STCK166
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomilt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-SD?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L166___sd_(cl_object V1, cl_object V2)
{ VT167 VLEX167 CLSR167 STCK167
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comile_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <=-SDU?                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L167___sdu_(cl_object V1, cl_object V2)
{ VT168 VLEX168 CLSR168 STCK168
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomile_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-SD?                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L168__sd_(cl_object V1, cl_object V2)
{ VT169 VLEX169 CLSR169 STCK169
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comigt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-SDU?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L169__sdu_(cl_object V1, cl_object V2)
{ VT170 VLEX170 CLSR170 STCK170
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomigt_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-SD?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L170___sd_(cl_object V1, cl_object V2)
{ VT171 VLEX171 CLSR171 STCK171
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comige_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >=-SDU?                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L171___sdu_(cl_object V1, cl_object V2)
{ VT172 VLEX172 CLSR172 STCK172
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomige_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-SD?                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L172___sd_(cl_object V1, cl_object V2)
{ VT173 VLEX173 CLSR173 STCK173
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_comineq_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for /=-SDU?                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L173___sdu_(cl_object V1, cl_object V2)
{ VT174 VLEX174 CLSR174 STCK174
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_bool(_mm_ucomineq_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKHI-PD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L174unpackhi_pd(cl_object V1, cl_object V2)
{ VT175 VLEX175 CLSR175 STCK175
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_unpackhi_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKLO-PD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L175unpacklo_pd(cl_object V1, cl_object V2)
{ VT176 VLEX176 CLSR176 STCK176
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_unpacklo_pd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVE-SD                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L176move_sd(cl_object V1, cl_object V2)
{ VT177 VLEX177 CLSR177 STCK177
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_move_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVEMASK-PD                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L177movemask_pd(cl_object V1)
{ VT178 VLEX178 CLSR178 STCK178
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_movemask_pd(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SHUFFLE-PD                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC178shuffle_pd(cl_object V1, cl_object V2)
{ VT179 VLEX179 CLSR179 STCK179
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	cl_object V5;                             /*  ARG2            */
	cl_object V6;                             /*  CHGP            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	V6= Cnil;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	{cl_object V7;                            /*  OLDV            */
	V7= V5;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[684])(3,V7,V2,V6) /*  EXPAND-CONSTANT */;
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L19;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L20;
	V6= cl_env_copy->values[1];
	goto L21;}
L19:;
	V5= Cnil;
L20:;
	V6= Cnil;
L21:;
	if((cl_typep(2,V5,VV[352])                /*  TYPEP           */)!=Cnil){
	goto L23;}
	if(ecl_eql(V7,V5)){
	goto L27;}
	T0= V5;
	goto L25;
L27:;
	T0= Cnil;
	goto L25;
L25:;
	(void)ecl_function_dispatch(cl_env_copy,VV[685])(5,_ecl_static_15,VV[351],V7,T0,VV[352]) /*  CMPERR */;
	goto L15;
L23:;
	goto L15;
	}
L15:;
	if((V6)==Cnil){
	goto L30;}
	value0=cl_list(4,VV[351],V3,V4,V5)        /*  LIST            */;
	return value0;
L30:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for CONVERT-PS-TO-PD                      */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L179convert_ps_to_pd(cl_object V1)
{ VT180 VLEX180 CLSR180 STCK180
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cvtps_pd(ecl_unbox_float_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PD-TO-PS                      */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L180convert_pd_to_ps(cl_object V1)
{ VT181 VLEX181 CLSR181 STCK181
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cvtpd_ps(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SS-TO-SD                      */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L181convert_ss_to_sd(cl_object V1, cl_object V2)
{ VT182 VLEX182 CLSR182 STCK182
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cvtss_sd(ecl_unbox_double_sse_pack(V1),ecl_unbox_float_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SD-TO-SS                      */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L182convert_sd_to_ss(cl_object V1, cl_object V2)
{ VT183 VLEX183 CLSR183 STCK183
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_float_sse_pack(_mm_cvtsd_ss(ecl_unbox_float_sse_pack(V1),ecl_unbox_double_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PI32-TO-PD                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L183convert_pi32_to_pd(cl_object V1)
{ VT184 VLEX184 CLSR184 STCK184
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cvtepi32_pd(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PD-TO-PI32                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L184convert_pd_to_pi32(cl_object V1)
{ VT185 VLEX185 CLSR185 STCK185
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvtpd_epi32(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TRUNCATE-PD-TO-PI32                   */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L185truncate_pd_to_pi32(cl_object V1)
{ VT186 VLEX186 CLSR186 STCK186
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvttpd_epi32(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SI32-TO-SD                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L186convert_si32_to_sd(cl_object V1, cl_object V2)
{ VT187 VLEX187 CLSR187 STCK187
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cvtsi32_sd(ecl_unbox_double_sse_pack(V1),ecl_to_fixnum(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SD-TO-SI32                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L187convert_sd_to_si32(cl_object V1)
{ VT188 VLEX188 CLSR188 STCK188
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_cvtsd_si32(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TRUNCATE-SD-TO-SI32                   */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L188truncate_sd_to_si32(cl_object V1)
{ VT189 VLEX189 CLSR189 STCK189
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_cvttsd_si32(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SI64-TO-SD                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L189convert_si64_to_sd(cl_object V1, cl_object V2)
{ VT190 VLEX190 CLSR190 STCK190
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_double_sse_pack(_mm_cvtsi64_sd(ecl_unbox_double_sse_pack(V1),ecl_to_int64_t(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SD-TO-SI64                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L190convert_sd_to_si64(cl_object V1)
{ VT191 VLEX191 CLSR191 STCK191
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int64_t(_mm_cvtsd_si64(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for TRUNCATE-SD-TO-SI64                   */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L191truncate_sd_to_si64(cl_object V1)
{ VT192 VLEX192 CLSR192 STCK192
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int64_t(_mm_cvttsd_si64(ecl_unbox_double_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PI8                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L192set1_pi8(cl_object V1)
{ VT193 VLEX193 CLSR193 STCK193
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set1_epi8(ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L193set1_pi16(cl_object V1)
{ VT194 VLEX194 CLSR194 STCK194
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set1_epi16(ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PI32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L194set1_pi32(cl_object V1)
{ VT195 VLEX195 CLSR195 STCK195
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set1_epi32(ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PI64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L195set1_pi64(cl_object V1)
{ VT196 VLEX196 CLSR196 STCK196
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set1_epi64x(ecl_to_int64_t(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PU32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L196set1_pu32(cl_object V1)
{ VT197 VLEX197 CLSR197 STCK197
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set1_epi32(ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET1-PU64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L197set1_pu64(cl_object V1)
{ VT198 VLEX198 CLSR198 STCK198
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set1_epi64x(ecl_to_uint64_t(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PI8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L198set_pi8(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8, cl_object V9, cl_object V10, cl_object V11, cl_object V12, cl_object V13, cl_object V14, cl_object V15, cl_object V16)
{ VT199 VLEX199 CLSR199 STCK199
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi8(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4),ecl_to_fixnum(V5),ecl_to_fixnum(V6),ecl_to_fixnum(V7),ecl_to_fixnum(V8),ecl_to_fixnum(V9),ecl_to_fixnum(V10),ecl_to_fixnum(V11),ecl_to_fixnum(V12),ecl_to_fixnum(V13),ecl_to_fixnum(V14),ecl_to_fixnum(V15),ecl_to_fixnum(V16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L199set_pi16(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8)
{ VT200 VLEX200 CLSR200 STCK200
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi16(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4),ecl_to_fixnum(V5),ecl_to_fixnum(V6),ecl_to_fixnum(V7),ecl_to_fixnum(V8))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L200set_pi32(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT201 VLEX201 CLSR201 STCK201
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi32(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PI64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L201set_pi64(cl_object V1, cl_object V2)
{ VT202 VLEX202 CLSR202 STCK202
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi64x(ecl_to_int64_t(V1),ecl_to_int64_t(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PU32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L202set_pu32(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT203 VLEX203 CLSR203 STCK203
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi32(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SET-PU64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L203set_pu64(cl_object V1, cl_object V2)
{ VT204 VLEX204 CLSR204 STCK204
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi64x(ecl_to_uint64_t(V1),ecl_to_uint64_t(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PI8                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L204setr_pi8(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8, cl_object V9, cl_object V10, cl_object V11, cl_object V12, cl_object V13, cl_object V14, cl_object V15, cl_object V16)
{ VT205 VLEX205 CLSR205 STCK205
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_setr_epi8(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4),ecl_to_fixnum(V5),ecl_to_fixnum(V6),ecl_to_fixnum(V7),ecl_to_fixnum(V8),ecl_to_fixnum(V9),ecl_to_fixnum(V10),ecl_to_fixnum(V11),ecl_to_fixnum(V12),ecl_to_fixnum(V13),ecl_to_fixnum(V14),ecl_to_fixnum(V15),ecl_to_fixnum(V16))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L205setr_pi16(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8)
{ VT206 VLEX206 CLSR206 STCK206
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_setr_epi16(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4),ecl_to_fixnum(V5),ecl_to_fixnum(V6),ecl_to_fixnum(V7),ecl_to_fixnum(V8))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PI32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L206setr_pi32(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT207 VLEX207 CLSR207 STCK207
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_setr_epi32(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PI64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L207setr_pi64(cl_object V1, cl_object V2)
{ VT208 VLEX208 CLSR208 STCK208
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi64x(ecl_to_int64_t(V2),ecl_to_int64_t(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PU32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L208setr_pu32(cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT209 VLEX209 CLSR209 STCK209
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_setr_epi32(ecl_to_fixnum(V1),ecl_to_fixnum(V2),ecl_to_fixnum(V3),ecl_to_fixnum(V4))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETR-PU64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L209setr_pu64(cl_object V1, cl_object V2)
{ VT210 VLEX210 CLSR210 STCK210
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_set_epi64x(ecl_to_uint64_t(V2),ecl_to_uint64_t(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SETZERO-PI                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L210setzero_pi()
{ VT211 VLEX211 CLSR211 STCK211
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_setzero_si128()); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-PI                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L211mem_ref_pi(cl_narg narg, cl_object V1, ...)
{ VT212 VLEX212 CLSR212 STCK212
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack(_mm_loadu_si128((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-API                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L212mem_ref_api(cl_narg narg, cl_object V1, ...)
{ VT213 VLEX213 CLSR213 STCK213
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack(_mm_load_si128((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-REF-SI64                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L213mem_ref_si64(cl_narg narg, cl_object V1, ...)
{ VT214 VLEX214 CLSR214 STCK214
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(0);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack(_mm_loadl_epi64((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MEM-SET-PI                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L214mem_set_pi(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT215 VLEX215 CLSR215 STCK215
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack((_mm_storeu_si128((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_int_sse_pack(V2)),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-PI                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC215mem_ref_pi(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT216 VLEX216 CLSR216 STCK216
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[423],V2,V1,V3)        /*  LIST            */;
	return value0;
}}
/*	function definition for MEM-SET-API                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L216mem_set_api(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT217 VLEX217 CLSR217 STCK217
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack((_mm_store_si128((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_int_sse_pack(V2)),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-API                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC217mem_ref_api(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT218 VLEX218 CLSR218 STCK218
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[425],V2,V1,V3)        /*  LIST            */;
	return value0;
}}
/*	function definition for MEM-SET-SI64                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L218mem_set_si64(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT219 VLEX219 CLSR219 STCK219
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack((_mm_storel_epi64((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_int_sse_pack(V2)),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function MEM-REF-SI64                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC219mem_ref_si64(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT220 VLEX220 CLSR220 STCK220
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_list(4,VV[427],V2,V1,V3)        /*  LIST            */;
	return value0;
}}
/*	function definition for STREAM-PI                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L220stream_pi(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT221 VLEX221 CLSR221 STCK221
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=ecl_make_int_sse_pack((_mm_stream_si128((__m128i*)(((char*)ecl_to_pointer(V1)) + ecl_to_int(V3)),ecl_unbox_int_sse_pack(V2)),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MASKMOVEU-PI                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L221maskmoveu_pi(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT222 VLEX222 CLSR222 STCK222
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	va_list args; va_start(args,V3);
	{int i=3;
	if (i >= narg) {
	V4= MAKE_FIXNUM(0);
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=(_mm_maskmoveu_si128(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2),(char*)(((char*)ecl_to_pointer(V3)) + ecl_to_int(V4))),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-PI8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L222add_pi8(cl_object V1, cl_object V2)
{ VT223 VLEX223 CLSR223 STCK223
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_add_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L223add_pi16(cl_object V1, cl_object V2)
{ VT224 VLEX224 CLSR224 STCK224
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_add_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L224add_pi32(cl_object V1, cl_object V2)
{ VT225 VLEX225 CLSR225 STCK225
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_add_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADD-PI64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L225add_pi64(cl_object V1, cl_object V2)
{ VT226 VLEX226 CLSR226 STCK226
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_add_epi64(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADDS-PI8                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L226adds_pi8(cl_object V1, cl_object V2)
{ VT227 VLEX227 CLSR227 STCK227
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_adds_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADDS-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L227adds_pi16(cl_object V1, cl_object V2)
{ VT228 VLEX228 CLSR228 STCK228
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_adds_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADDS-PU8                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L228adds_pu8(cl_object V1, cl_object V2)
{ VT229 VLEX229 CLSR229 STCK229
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_adds_epu8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ADDS-PU16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L229adds_pu16(cl_object V1, cl_object V2)
{ VT230 VLEX230 CLSR230 STCK230
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_adds_epu16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AVG-PU8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L230avg_pu8(cl_object V1, cl_object V2)
{ VT231 VLEX231 CLSR231 STCK231
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_avg_epu8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AVG-PU16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L231avg_pu16(cl_object V1, cl_object V2)
{ VT232 VLEX232 CLSR232 STCK232
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_avg_epu16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MADD-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L232madd_pi16(cl_object V1, cl_object V2)
{ VT233 VLEX233 CLSR233 STCK233
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_madd_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAX-PU8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L233max_pu8(cl_object V1, cl_object V2)
{ VT234 VLEX234 CLSR234 STCK234
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_max_epu8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAX-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L234max_pi16(cl_object V1, cl_object V2)
{ VT235 VLEX235 CLSR235 STCK235
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_max_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MIN-PU8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L235min_pu8(cl_object V1, cl_object V2)
{ VT236 VLEX236 CLSR236 STCK236
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_min_epu8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MIN-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L236min_pi16(cl_object V1, cl_object V2)
{ VT237 VLEX237 CLSR237 STCK237
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_min_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MULHI-PI16                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L237mulhi_pi16(cl_object V1, cl_object V2)
{ VT238 VLEX238 CLSR238 STCK238
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_mulhi_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MULHI-PU16                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L238mulhi_pu16(cl_object V1, cl_object V2)
{ VT239 VLEX239 CLSR239 STCK239
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_mulhi_epu16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MULLO-PI16                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L239mullo_pi16(cl_object V1, cl_object V2)
{ VT240 VLEX240 CLSR240 STCK240
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_mullo_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MUL-PU32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L240mul_pu32(cl_object V1, cl_object V2)
{ VT241 VLEX241 CLSR241 STCK241
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_mul_epu32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SAD-PU8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L241sad_pu8(cl_object V1, cl_object V2)
{ VT242 VLEX242 CLSR242 STCK242
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sad_epu8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-PI8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L242sub_pi8(cl_object V1, cl_object V2)
{ VT243 VLEX243 CLSR243 STCK243
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sub_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L243sub_pi16(cl_object V1, cl_object V2)
{ VT244 VLEX244 CLSR244 STCK244
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sub_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L244sub_pi32(cl_object V1, cl_object V2)
{ VT245 VLEX245 CLSR245 STCK245
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sub_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUB-PI64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L245sub_pi64(cl_object V1, cl_object V2)
{ VT246 VLEX246 CLSR246 STCK246
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sub_epi64(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUBS-PI8                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L246subs_pi8(cl_object V1, cl_object V2)
{ VT247 VLEX247 CLSR247 STCK247
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_subs_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUBS-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L247subs_pi16(cl_object V1, cl_object V2)
{ VT248 VLEX248 CLSR248 STCK248
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_subs_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUBS-PU8                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L248subs_pu8(cl_object V1, cl_object V2)
{ VT249 VLEX249 CLSR249 STCK249
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_subs_epu8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SUBS-PU16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L249subs_pu16(cl_object V1, cl_object V2)
{ VT250 VLEX250 CLSR250 STCK250
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_subs_epu16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for AND-PI                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L250and_pi(cl_object V1, cl_object V2)
{ VT251 VLEX251 CLSR251 STCK251
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_and_si128(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ANDNOT-PI                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L251andnot_pi(cl_object V1, cl_object V2)
{ VT252 VLEX252 CLSR252 STCK252
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_andnot_si128(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for OR-PI                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L252or_pi(cl_object V1, cl_object V2)
{ VT253 VLEX253 CLSR253 STCK253
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_or_si128(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for XOR-PI                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L253xor_pi(cl_object V1, cl_object V2)
{ VT254 VLEX254 CLSR254 STCK254
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_xor_si128(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SLLI-PI                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC254slli_pi(cl_object V1, cl_object V2)
{ VT255 VLEX255 CLSR255 STCK255
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	cl_object V5;                             /*  CHGP            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= Cnil;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	{cl_object V6;                            /*  OLDV            */
	V6= V4;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[684])(3,V6,V2,V5) /*  EXPAND-CONSTANT */;
	{int V7=cl_env_copy->nvalues-0;
	if (V7--<=0) goto L15;
	V4= cl_env_copy->values[0];
	if (V7--<=0) goto L16;
	V5= cl_env_copy->values[1];
	goto L17;}
L15:;
	V4= Cnil;
L16:;
	V5= Cnil;
L17:;
	if((cl_typep(2,V4,VV[182])                /*  TYPEP           */)!=Cnil){
	goto L19;}
	if(ecl_eql(V6,V4)){
	goto L23;}
	T0= V4;
	goto L21;
L23:;
	T0= Cnil;
	goto L21;
L21:;
	(void)ecl_function_dispatch(cl_env_copy,VV[685])(5,_ecl_static_15,VV[497],V6,T0,VV[182]) /*  CMPERR */;
	goto L11;
L19:;
	goto L11;
	}
L11:;
	if((V5)==Cnil){
	goto L26;}
	value0=cl_list(3,VV[497],V3,V4)           /*  LIST            */;
	return value0;
L26:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for SLLI-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L255slli_pi16(cl_object V1, cl_object V2)
{ VT256 VLEX256 CLSR256 STCK256
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sll_epi16(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SLLI-PI32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L256slli_pi32(cl_object V1, cl_object V2)
{ VT257 VLEX257 CLSR257 STCK257
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sll_epi32(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SLLI-PI64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L257slli_pi64(cl_object V1, cl_object V2)
{ VT258 VLEX258 CLSR258 STCK258
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sll_epi64(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SLL-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L258sll_pi16(cl_object V1, cl_object V2)
{ VT259 VLEX259 CLSR259 STCK259
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sll_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SLL-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L259sll_pi32(cl_object V1, cl_object V2)
{ VT260 VLEX260 CLSR260 STCK260
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sll_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SLL-PI64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L260sll_pi64(cl_object V1, cl_object V2)
{ VT261 VLEX261 CLSR261 STCK261
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sll_epi64(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRAI-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L261srai_pi16(cl_object V1, cl_object V2)
{ VT262 VLEX262 CLSR262 STCK262
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sra_epi16(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRAI-PI32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L262srai_pi32(cl_object V1, cl_object V2)
{ VT263 VLEX263 CLSR263 STCK263
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sra_epi32(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRA-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L263sra_pi16(cl_object V1, cl_object V2)
{ VT264 VLEX264 CLSR264 STCK264
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sra_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRA-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L264sra_pi32(cl_object V1, cl_object V2)
{ VT265 VLEX265 CLSR265 STCK265
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_sra_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SRLI-PI                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC265srli_pi(cl_object V1, cl_object V2)
{ VT266 VLEX266 CLSR266 STCK266
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	cl_object V5;                             /*  CHGP            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= Cnil;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	{cl_object V6;                            /*  OLDV            */
	V6= V4;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[684])(3,V6,V2,V5) /*  EXPAND-CONSTANT */;
	{int V7=cl_env_copy->nvalues-0;
	if (V7--<=0) goto L15;
	V4= cl_env_copy->values[0];
	if (V7--<=0) goto L16;
	V5= cl_env_copy->values[1];
	goto L17;}
L15:;
	V4= Cnil;
L16:;
	V5= Cnil;
L17:;
	if((cl_typep(2,V4,VV[182])                /*  TYPEP           */)!=Cnil){
	goto L19;}
	if(ecl_eql(V6,V4)){
	goto L23;}
	T0= V4;
	goto L21;
L23:;
	T0= Cnil;
	goto L21;
L21:;
	(void)ecl_function_dispatch(cl_env_copy,VV[685])(5,_ecl_static_15,VV[518],V6,T0,VV[182]) /*  CMPERR */;
	goto L11;
L19:;
	goto L11;
	}
L11:;
	if((V5)==Cnil){
	goto L26;}
	value0=cl_list(3,VV[518],V3,V4)           /*  LIST            */;
	return value0;
L26:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for SRLI-PI16                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L266srli_pi16(cl_object V1, cl_object V2)
{ VT267 VLEX267 CLSR267 STCK267
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_srl_epi16(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRLI-PI32                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L267srli_pi32(cl_object V1, cl_object V2)
{ VT268 VLEX268 CLSR268 STCK268
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_srl_epi32(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRLI-PI64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L268srli_pi64(cl_object V1, cl_object V2)
{ VT269 VLEX269 CLSR269 STCK269
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_srl_epi64(ecl_unbox_int_sse_pack(V1),_mm_cvtsi32_si128(ecl_to_fixnum(V2)))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRL-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L269srl_pi16(cl_object V1, cl_object V2)
{ VT270 VLEX270 CLSR270 STCK270
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_srl_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRL-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L270srl_pi32(cl_object V1, cl_object V2)
{ VT271 VLEX271 CLSR271 STCK271
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_srl_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SRL-PI64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L271srl_pi64(cl_object V1, cl_object V2)
{ VT272 VLEX272 CLSR272 STCK272
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_srl_epi64(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-PI8                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L272__pi8(cl_object V1, cl_object V2)
{ VT273 VLEX273 CLSR273 STCK273
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmpeq_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-PI16                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L273__pi16(cl_object V1, cl_object V2)
{ VT274 VLEX274 CLSR274 STCK274
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmpeq_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for =-PI32                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L274__pi32(cl_object V1, cl_object V2)
{ VT275 VLEX275 CLSR275 STCK275
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmpeq_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-PI8                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L275__pi8(cl_object V1, cl_object V2)
{ VT276 VLEX276 CLSR276 STCK276
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmplt_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-PI16                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L276__pi16(cl_object V1, cl_object V2)
{ VT277 VLEX277 CLSR277 STCK277
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmplt_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for <-PI32                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L277__pi32(cl_object V1, cl_object V2)
{ VT278 VLEX278 CLSR278 STCK278
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmplt_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-PI8                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L278__pi8(cl_object V1, cl_object V2)
{ VT279 VLEX279 CLSR279 STCK279
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmpgt_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-PI16                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L279__pi16(cl_object V1, cl_object V2)
{ VT280 VLEX280 CLSR280 STCK280
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmpgt_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for >-PI32                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L280__pi32(cl_object V1, cl_object V2)
{ VT281 VLEX281 CLSR281 STCK281
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cmpgt_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for PACKS-PI16                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L281packs_pi16(cl_object V1, cl_object V2)
{ VT282 VLEX282 CLSR282 STCK282
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_packs_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for PACKS-PI32                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L282packs_pi32(cl_object V1, cl_object V2)
{ VT283 VLEX283 CLSR283 STCK283
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_packs_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for PACKUS-PI16                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L283packus_pi16(cl_object V1, cl_object V2)
{ VT284 VLEX284 CLSR284 STCK284
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_packus_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function EXTRACT-PI16                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC284extract_pi16(cl_object V1, cl_object V2)
{ VT285 VLEX285 CLSR285 STCK285
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	cl_object V5;                             /*  CHGP            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= Cnil;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	{cl_object V6;                            /*  OLDV            */
	V6= V4;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[684])(3,V6,V2,V5) /*  EXPAND-CONSTANT */;
	{int V7=cl_env_copy->nvalues-0;
	if (V7--<=0) goto L15;
	V4= cl_env_copy->values[0];
	if (V7--<=0) goto L16;
	V5= cl_env_copy->values[1];
	goto L17;}
L15:;
	V4= Cnil;
L16:;
	V5= Cnil;
L17:;
	if((cl_typep(2,V4,VV[182])                /*  TYPEP           */)!=Cnil){
	goto L19;}
	if(ecl_eql(V6,V4)){
	goto L23;}
	T0= V4;
	goto L21;
L23:;
	T0= Cnil;
	goto L21;
L21:;
	(void)ecl_function_dispatch(cl_env_copy,VV[685])(5,_ecl_static_15,VV[555],V6,T0,VV[182]) /*  CMPERR */;
	goto L11;
L19:;
	goto L11;
	}
L11:;
	if((V5)==Cnil){
	goto L26;}
	value0=cl_list(3,VV[555],V3,V4)           /*  LIST            */;
	return value0;
L26:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function INSERT-PI16                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC285insert_pi16(cl_object V1, cl_object V2)
{ VT286 VLEX286 CLSR286 STCK286
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	cl_object V5;                             /*  ARG2            */
	cl_object V6;                             /*  CHGP            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	if((cl_cdddr(V1)                          /*  CDDDR           */)==Cnil){
	goto L11;}
	V5= cl_cadddr(V1)                         /*  CADDDR          */;
	goto L9;
L11:;
	V5= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L9;
L9:;
	V6= Cnil;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(4)) /*  CHECK-ARG-LENGTH */;
	{cl_object V7;                            /*  OLDV            */
	V7= V5;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[684])(3,V7,V2,V6) /*  EXPAND-CONSTANT */;
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L19;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L20;
	V6= cl_env_copy->values[1];
	goto L21;}
L19:;
	V5= Cnil;
L20:;
	V6= Cnil;
L21:;
	if((cl_typep(2,V5,VV[182])                /*  TYPEP           */)!=Cnil){
	goto L23;}
	if(ecl_eql(V7,V5)){
	goto L27;}
	T0= V5;
	goto L25;
L27:;
	T0= Cnil;
	goto L25;
L25:;
	(void)ecl_function_dispatch(cl_env_copy,VV[685])(5,_ecl_static_15,VV[556],V7,T0,VV[182]) /*  CMPERR */;
	goto L15;
L23:;
	goto L15;
	}
L15:;
	if((V6)==Cnil){
	goto L30;}
	value0=cl_list(4,VV[556],V3,V4,V5)        /*  LIST            */;
	return value0;
L30:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for MOVEMASK-PI8                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L286movemask_pi8(cl_object V1)
{ VT287 VLEX287 CLSR287 STCK287
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_movemask_epi8(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKHI-PI8                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L287unpackhi_pi8(cl_object V1, cl_object V2)
{ VT288 VLEX288 CLSR288 STCK288
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpackhi_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKHI-PI16                         */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L288unpackhi_pi16(cl_object V1, cl_object V2)
{ VT289 VLEX289 CLSR289 STCK289
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpackhi_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKHI-PI32                         */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L289unpackhi_pi32(cl_object V1, cl_object V2)
{ VT290 VLEX290 CLSR290 STCK290
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpackhi_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKHI-PI64                         */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L290unpackhi_pi64(cl_object V1, cl_object V2)
{ VT291 VLEX291 CLSR291 STCK291
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpackhi_epi64(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKLO-PI8                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L291unpacklo_pi8(cl_object V1, cl_object V2)
{ VT292 VLEX292 CLSR292 STCK292
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpacklo_epi8(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKLO-PI16                         */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L292unpacklo_pi16(cl_object V1, cl_object V2)
{ VT293 VLEX293 CLSR293 STCK293
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpacklo_epi16(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKLO-PI32                         */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L293unpacklo_pi32(cl_object V1, cl_object V2)
{ VT294 VLEX294 CLSR294 STCK294
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpacklo_epi32(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for UNPACKLO-PI64                         */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L294unpacklo_pi64(cl_object V1, cl_object V2)
{ VT295 VLEX295 CLSR295 STCK295
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_unpacklo_epi64(ecl_unbox_int_sse_pack(V1),ecl_unbox_int_sse_pack(V2))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MOVE-PI64                             */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L295move_pi64(cl_object V1)
{ VT296 VLEX296 CLSR296 STCK296
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_move_epi64(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function SHUFFLE-PI32                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC296shuffle_pi32(cl_object V1, cl_object V2)
{ VT297 VLEX297 CLSR297 STCK297
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	cl_object V5;                             /*  CHGP            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= Cnil;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	{cl_object V6;                            /*  OLDV            */
	V6= V4;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[684])(3,V6,V2,V5) /*  EXPAND-CONSTANT */;
	{int V7=cl_env_copy->nvalues-0;
	if (V7--<=0) goto L15;
	V4= cl_env_copy->values[0];
	if (V7--<=0) goto L16;
	V5= cl_env_copy->values[1];
	goto L17;}
L15:;
	V4= Cnil;
L16:;
	V5= Cnil;
L17:;
	if((cl_typep(2,V4,VV[182])                /*  TYPEP           */)!=Cnil){
	goto L19;}
	if(ecl_eql(V6,V4)){
	goto L23;}
	T0= V4;
	goto L21;
L23:;
	T0= Cnil;
	goto L21;
L21:;
	(void)ecl_function_dispatch(cl_env_copy,VV[685])(5,_ecl_static_15,VV[577],V6,T0,VV[182]) /*  CMPERR */;
	goto L11;
L19:;
	goto L11;
	}
L11:;
	if((V5)==Cnil){
	goto L26;}
	value0=cl_list(3,VV[577],V3,V4)           /*  LIST            */;
	return value0;
L26:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function SHUFFLELO-PI16                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC297shufflelo_pi16(cl_object V1, cl_object V2)
{ VT298 VLEX298 CLSR298 STCK298
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	cl_object V5;                             /*  CHGP            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= Cnil;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	{cl_object V6;                            /*  OLDV            */
	V6= V4;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[684])(3,V6,V2,V5) /*  EXPAND-CONSTANT */;
	{int V7=cl_env_copy->nvalues-0;
	if (V7--<=0) goto L15;
	V4= cl_env_copy->values[0];
	if (V7--<=0) goto L16;
	V5= cl_env_copy->values[1];
	goto L17;}
L15:;
	V4= Cnil;
L16:;
	V5= Cnil;
L17:;
	if((cl_typep(2,V4,VV[182])                /*  TYPEP           */)!=Cnil){
	goto L19;}
	if(ecl_eql(V6,V4)){
	goto L23;}
	T0= V4;
	goto L21;
L23:;
	T0= Cnil;
	goto L21;
L21:;
	(void)ecl_function_dispatch(cl_env_copy,VV[685])(5,_ecl_static_15,VV[578],V6,T0,VV[182]) /*  CMPERR */;
	goto L11;
L19:;
	goto L11;
	}
L11:;
	if((V5)==Cnil){
	goto L26;}
	value0=cl_list(3,VV[578],V3,V4)           /*  LIST            */;
	return value0;
L26:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function SHUFFLEHI-PI16                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC298shufflehi_pi16(cl_object V1, cl_object V2)
{ VT299 VLEX299 CLSR299 STCK299
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ARG0            */
	cl_object V4;                             /*  ARG1            */
	cl_object V5;                             /*  CHGP            */
	if((cl_cdr(V1)                            /*  CDR             */)==Cnil){
	goto L3;}
	V3= cl_cadr(V1)                           /*  CADR            */;
	goto L1;
L3:;
	V3= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L1;
L1:;
	if((cl_cddr(V1)                           /*  CDDR            */)==Cnil){
	goto L7;}
	V4= cl_caddr(V1)                          /*  CADDR           */;
	goto L5;
L7:;
	V4= si_dm_too_few_arguments(0)            /*  DM-TOO-FEW-ARGUMENTS */;
	goto L5;
L5:;
	V5= Cnil;
	(void)si_check_arg_length(2,V1,MAKE_FIXNUM(3)) /*  CHECK-ARG-LENGTH */;
	{cl_object V6;                            /*  OLDV            */
	V6= V4;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[684])(3,V6,V2,V5) /*  EXPAND-CONSTANT */;
	{int V7=cl_env_copy->nvalues-0;
	if (V7--<=0) goto L15;
	V4= cl_env_copy->values[0];
	if (V7--<=0) goto L16;
	V5= cl_env_copy->values[1];
	goto L17;}
L15:;
	V4= Cnil;
L16:;
	V5= Cnil;
L17:;
	if((cl_typep(2,V4,VV[182])                /*  TYPEP           */)!=Cnil){
	goto L19;}
	if(ecl_eql(V6,V4)){
	goto L23;}
	T0= V4;
	goto L21;
L23:;
	T0= Cnil;
	goto L21;
L21:;
	(void)ecl_function_dispatch(cl_env_copy,VV[685])(5,_ecl_static_15,VV[579],V6,T0,VV[182]) /*  CMPERR */;
	goto L11;
L19:;
	goto L11;
	}
L11:;
	if((V5)==Cnil){
	goto L26;}
	value0=cl_list(3,VV[579],V3,V4)           /*  LIST            */;
	return value0;
L26:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for CONVERT-SI32-TO-PI                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L299convert_si32_to_pi(cl_object V1)
{ VT300 VLEX300 CLSR300 STCK300
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvtsi32_si128(ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SU32-TO-PI                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L300convert_su32_to_pi(cl_object V1)
{ VT301 VLEX301 CLSR301 STCK301
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvtsi32_si128(ecl_to_fixnum(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SI64-TO-PI                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L301convert_si64_to_pi(cl_object V1)
{ VT302 VLEX302 CLSR302 STCK302
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvtsi64_si128(ecl_to_int64_t(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-SU64-TO-PI                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L302convert_su64_to_pi(cl_object V1)
{ VT303 VLEX303 CLSR303 STCK303
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int_sse_pack(_mm_cvtsi64_si128(ecl_to_uint64_t(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PI-TO-SI32                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L303convert_pi_to_si32(cl_object V1)
{ VT304 VLEX304 CLSR304 STCK304
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_cvtsi128_si32(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PI-TO-SU32                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L304convert_pi_to_su32(cl_object V1)
{ VT305 VLEX305 CLSR305 STCK305
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=MAKE_FIXNUM(_mm_cvtsi128_si32(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PI-TO-SI64                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L305convert_pi_to_si64(cl_object V1)
{ VT306 VLEX306 CLSR306 STCK306
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_int64_t(_mm_cvtsi128_si64(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CONVERT-PI-TO-SU64                    */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L306convert_pi_to_su64(cl_object V1)
{ VT307 VLEX307 CLSR307 STCK307
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	{
TTL:
	value0=ecl_make_uint64_t(_mm_cvtsi128_si64(ecl_unbox_int_sse_pack(V1))); cl_env_copy->nvalues=1;
	return value0;
}}
	
#include "ext/sse-intrinsics.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecltMB6TNSZ7DJr9_iFuj8lz(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("EXT:CL-SIMD;SSE-INTRINSICS.LISP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_ecltMB6TNSZ7DJr9_iFuj8lz@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(_ecl_static_0)    /*  SELECT-PACKAGE  */;
	(void)cl_export(1,VV[0])                  /*  EXPORT          */;
	(void)si_putprop(VV[0],_ecl_static_1,VV[1]) /*  PUTPROP       */;
	(void)si_putprop(VV[0],_ecl_static_2,VV[2]) /*  PUTPROP       */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[0]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[596]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[0],VV[4],VVtemp[1],ECL_SYM("OBJECT",1249),VVtemp[2],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[0],VV[4],VVtemp[3],ECL_SYM("OBJECT",1249),VVtemp[4]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[0],VV[4],VVtemp[5],ECL_SYM("OBJECT",1249),VVtemp[6]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[0],VV[6],VVtemp[7],ECL_SYM("OBJECT",1249),VVtemp[8]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[0],VV[6],VVtemp[9],ECL_SYM("OBJECT",1249),VVtemp[10]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[0],VV[6],VVtemp[11],ECL_SYM("OBJECT",1249),VVtemp[12]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[7])                  /*  EXPORT          */;
	(void)si_putprop(VV[7],_ecl_static_1,VV[1]) /*  PUTPROP       */;
	(void)si_putprop(VV[7],_ecl_static_3,VV[2]) /*  PUTPROP       */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[13]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[598]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[7],VV[4],VVtemp[1],ECL_SYM("OBJECT",1249),VVtemp[14],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[7],VV[4],VVtemp[3],ECL_SYM("OBJECT",1249),VVtemp[15]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[7],VV[4],VVtemp[5],ECL_SYM("OBJECT",1249),VVtemp[16]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[7],VV[6],VVtemp[7],ECL_SYM("OBJECT",1249),VVtemp[17]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[7],VV[6],VVtemp[9],ECL_SYM("OBJECT",1249),VVtemp[18]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[7],VV[6],VVtemp[11],ECL_SYM("OBJECT",1249),VVtemp[19]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[9])                  /*  EXPORT          */;
	(void)si_putprop(VV[9],_ecl_static_1,VV[1]) /*  PUTPROP       */;
	(void)si_putprop(VV[9],_ecl_static_4,VV[2]) /*  PUTPROP       */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[20]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[599]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[9],VV[4],VVtemp[1],ECL_SYM("OBJECT",1249),VVtemp[21],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[9],VV[4],VVtemp[3],ECL_SYM("OBJECT",1249),VVtemp[22]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[9],VV[4],VVtemp[5],ECL_SYM("OBJECT",1249),VVtemp[23]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[9],VV[6],VVtemp[7],ECL_SYM("OBJECT",1249),VVtemp[24]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[9],VV[6],VVtemp[9],ECL_SYM("OBJECT",1249),VVtemp[25]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[9],VV[6],VVtemp[11],ECL_SYM("OBJECT",1249),VVtemp[26]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[11])                 /*  EXPORT          */;
	(void)si_putprop(VV[11],_ecl_static_1,VV[1]) /*  PUTPROP      */;
	(void)si_putprop(VV[11],_ecl_static_5,VV[2]) /*  PUTPROP      */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[27]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[600]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[11],VV[4],VVtemp[1],ECL_SYM("OBJECT",1249),VVtemp[28],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[11],VV[4],VVtemp[3],ECL_SYM("OBJECT",1249),VVtemp[29]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[11],VV[4],VVtemp[5],ECL_SYM("OBJECT",1249),VVtemp[30]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[11],VV[6],VVtemp[7],ECL_SYM("OBJECT",1249),VVtemp[31]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[11],VV[6],VVtemp[9],ECL_SYM("OBJECT",1249),VVtemp[32]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[11],VV[6],VVtemp[11],ECL_SYM("OBJECT",1249),VVtemp[33]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[13])                 /*  EXPORT          */;
	(void)si_putprop(VV[13],_ecl_static_6,VV[1]) /*  PUTPROP      */;
	(void)si_putprop(VV[13],_ecl_static_7,VV[2]) /*  PUTPROP      */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[34]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[601]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[13],VV[4],VVtemp[1],ECL_SYM("OBJECT",1249),VVtemp[35],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[13],VV[4],VVtemp[3],ECL_SYM("OBJECT",1249),VVtemp[36]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[13],VV[4],VVtemp[5],ECL_SYM("OBJECT",1249),VVtemp[37]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[13],VV[6],VVtemp[7],ECL_SYM("OBJECT",1249),VVtemp[38]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[13],VV[6],VVtemp[9],ECL_SYM("OBJECT",1249),VVtemp[39]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[13],VV[6],VVtemp[11],ECL_SYM("OBJECT",1249),VVtemp[40]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[15])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[41]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[602]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[15],VV[4],Cnil,ECL_SYM("FIXNUM",1336),VVtemp[42],VV[5],Ct) /*  DEF-INLINE */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[43]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[603]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[17],VV[4],VVtemp[44],ECL_SYM("FIXNUM",1336),VVtemp[45],VV[5],Ct) /*  DEF-INLINE */;
	(void)si_put_sysprop(VV[15],VV[18],VV[17]) /*  PUT-SYSPROP    */;
	(void)si_rem_sysprop(VV[15],ECL_SYM("SETF-LAMBDA",1118)) /*  REM-SYSPROP */;
	(void)si_rem_sysprop(VV[15],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)cl_export(1,VV[19])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[46]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[604]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[19],VV[4],Cnil,ECL_SYM("OBJECT",1249),VVtemp[47],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[21])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[48]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[605]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[21],VV[4],Cnil,ECL_SYM("OBJECT",1249),VVtemp[49],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[23])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[50]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[606]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[23],VV[4],Cnil,ECL_SYM("OBJECT",1249),VVtemp[51],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[25])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[52]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[607]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[25],VV[4],Cnil,ECL_SYM("OBJECT",1249),VVtemp[53],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[27])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[54]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[608]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[27],VV[4],VVtemp[55],VV[29],VVtemp[56],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[30])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[57]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[609]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[30],VV[4],VVtemp[55],VV[29],VVtemp[58],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[32])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[59]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[610]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[32],VV[4],VVtemp[60],VV[29],VVtemp[61],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[34])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[62]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[611]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[34],VV[4],VVtemp[60],VV[29],VVtemp[63],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[36])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[64]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[612]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[36],VV[4],Cnil,VV[29],VVtemp[65],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[38])                 /*  EXPORT          */;
	(void)si_putprop(VV[38],_ecl_static_8,VV[1]) /*  PUTPROP      */;
	(void)si_putprop(VV[38],_ecl_static_7,VV[2]) /*  PUTPROP      */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[66]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[613]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[38],VV[4],VVtemp[1],VV[29],VVtemp[67],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[38],VV[4],VVtemp[3],VV[29],VVtemp[68]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[38],VV[4],VVtemp[5],VV[29],VVtemp[69]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[38],VV[6],VVtemp[7],VV[29],VVtemp[70]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[38],VV[6],VVtemp[9],VV[29],VVtemp[71]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[38],VV[6],VVtemp[11],VV[29],VVtemp[72]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[40])                 /*  EXPORT          */;
	(void)si_putprop(VV[40],_ecl_static_9,VV[1]) /*  PUTPROP      */;
	(void)si_putprop(VV[40],_ecl_static_7,VV[2]) /*  PUTPROP      */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[73]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[614]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[40],VV[4],VVtemp[1],VV[29],VVtemp[74],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[40],VV[4],VVtemp[3],VV[29],VVtemp[75]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[40],VV[4],VVtemp[5],VV[29],VVtemp[76]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[40],VV[6],VVtemp[7],VV[29],VVtemp[77]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[40],VV[6],VVtemp[9],VV[29],VVtemp[78]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[40],VV[6],VVtemp[11],VV[29],VVtemp[79]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[42])                 /*  EXPORT          */;
	(void)si_putprop(VV[42],_ecl_static_10,VV[1]) /*  PUTPROP     */;
	(void)si_putprop(VV[42],_ecl_static_7,VV[2]) /*  PUTPROP      */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[80]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[615]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[42],VV[4],VVtemp[1],VV[29],VVtemp[81],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[42],VV[4],VVtemp[3],VV[29],VVtemp[82]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[42],VV[4],VVtemp[5],VV[29],VVtemp[83]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[42],VV[6],VVtemp[7],VV[29],VVtemp[84]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[42],VV[6],VVtemp[9],VV[29],VVtemp[85]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[42],VV[6],VVtemp[11],VV[29],VVtemp[86]) /*  DEF-INLINE */;
	(void)si_putprop(VV[44],_ecl_static_11,VV[1]) /*  PUTPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[87]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[616]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[44],VV[4],VVtemp[88],VV[29],VVtemp[89],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[44],VV[4],VVtemp[90],VV[29],VVtemp[91]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[44],VV[4],VVtemp[92],VV[29],VVtemp[93]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[44],VV[6],VVtemp[94],VV[29],VVtemp[95]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[44],VV[6],VVtemp[96],VV[29],VVtemp[97]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[44],VV[6],VVtemp[98],VV[29],VVtemp[99]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC21mem_ref_ss,Cnil,Cblock);
	(void)si_put_sysprop(VV[38],ECL_SYM("SETF-LAMBDA",1118),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[38],VV[18])       /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(VV[38],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)si_putprop(VV[46],_ecl_static_12,VV[1]) /*  PUTPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[100]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[617]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[46],VV[4],VVtemp[88],VV[29],VVtemp[101],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[46],VV[4],VVtemp[90],VV[29],VVtemp[102]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[46],VV[4],VVtemp[92],VV[29],VVtemp[103]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[46],VV[6],VVtemp[94],VV[29],VVtemp[104]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[46],VV[6],VVtemp[96],VV[29],VVtemp[105]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[46],VV[6],VVtemp[98],VV[29],VVtemp[106]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC23mem_ref_ps,Cnil,Cblock);
	(void)si_put_sysprop(VV[40],ECL_SYM("SETF-LAMBDA",1118),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[40],VV[18])       /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(VV[40],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)si_putprop(VV[48],_ecl_static_13,VV[1]) /*  PUTPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[107]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[618]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[48],VV[4],VVtemp[88],VV[29],VVtemp[108],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[48],VV[4],VVtemp[90],VV[29],VVtemp[109]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[48],VV[4],VVtemp[92],VV[29],VVtemp[110]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[48],VV[6],VVtemp[94],VV[29],VVtemp[111]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[48],VV[6],VVtemp[96],VV[29],VVtemp[112]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[48],VV[6],VVtemp[98],VV[29],VVtemp[113]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC25mem_ref_aps,Cnil,Cblock);
	(void)si_put_sysprop(VV[42],ECL_SYM("SETF-LAMBDA",1118),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[42],VV[18])       /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(VV[42],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)cl_export(1,VV[50])                 /*  EXPORT          */;
	(void)si_putprop(VV[50],_ecl_static_14,VV[1]) /*  PUTPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[114]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[619]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[50],VV[4],VVtemp[88],VV[29],VVtemp[115],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[50],VV[4],VVtemp[90],VV[29],VVtemp[116]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[50],VV[4],VVtemp[92],VV[29],VVtemp[117]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[50],VV[6],VVtemp[94],VV[29],VVtemp[118]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[50],VV[6],VVtemp[96],VV[29],VVtemp[119]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[50],VV[6],VVtemp[98],VV[29],VVtemp[120]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[52])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[121]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[620]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[52],VV[4],VVtemp[122],VV[29],VVtemp[123],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[54])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[124]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[621]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[54],VV[4],VVtemp[122],VV[29],VVtemp[125],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[56])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[126]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[622]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[56],VV[4],VVtemp[122],VV[29],VVtemp[127],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[58])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[128]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[623]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[58],VV[4],VVtemp[122],VV[29],VVtemp[129],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[60])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[130]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[624]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[60],VV[4],VVtemp[122],VV[29],VVtemp[131],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[62])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[132]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[625]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[62],VV[4],VVtemp[122],VV[29],VVtemp[133],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[64])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[134]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[626]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[64],VV[4],VVtemp[122],VV[29],VVtemp[135],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[66])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[136]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[627]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[66],VV[4],VVtemp[122],VV[29],VVtemp[137],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[68])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[138]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[628]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[68],VV[4],VVtemp[122],VV[29],VVtemp[139],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[70])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[140]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[629]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[70],VV[4],VVtemp[122],VV[29],VVtemp[141],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[72])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[142]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[630]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[72],VV[4],VVtemp[122],VV[29],VVtemp[143],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[74])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[144]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[631]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[74],VV[4],VVtemp[122],VV[29],VVtemp[145],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[76])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[146]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[632]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[76],VV[4],VVtemp[147],VV[29],VVtemp[148],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[78])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[149]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[633]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[78],VV[4],VVtemp[147],VV[29],VVtemp[150],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[80])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[151]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[634]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[80],VV[4],VVtemp[147],VV[29],VVtemp[152],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[82])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[153]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[635]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[82],VV[4],VVtemp[147],VV[29],VVtemp[154],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[84])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[155]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[636]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[84],VV[4],VVtemp[147],VV[29],VVtemp[156],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[86])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[157]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[637]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[86],VV[4],VVtemp[147],VV[29],VVtemp[158],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[88])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[159]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[638]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[88],VV[4],VVtemp[122],VV[29],VVtemp[160],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[90])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[161]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[639]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[90],VV[4],VVtemp[122],VV[29],VVtemp[162],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[92])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[163]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[640]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[92],VV[4],VVtemp[122],VV[29],VVtemp[164],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[94])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[165]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[641]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[94],VV[4],VVtemp[122],VV[29],VVtemp[166],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[96])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[167]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[642]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[96],VV[4],VVtemp[122],VV[29],VVtemp[168],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[98])                 /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[169]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[643]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[98],VV[4],VVtemp[122],VV[29],VVtemp[170],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[100])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[171]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[644]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[100],VV[4],VVtemp[122],VV[29],VVtemp[172],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[102])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[173]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[645]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[102],VV[4],VVtemp[122],VV[29],VVtemp[174],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[104])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[175]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[646]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[104],VV[4],VVtemp[122],VV[29],VVtemp[176],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[106])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[177]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[647]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[106],VV[4],VVtemp[122],VV[29],VVtemp[178],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[108])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[179]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[648]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[108],VV[4],VVtemp[122],VV[29],VVtemp[180],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[110])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[181]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[649]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[110],VV[4],VVtemp[122],VV[29],VVtemp[182],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[112])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[183]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[650]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[112],VV[4],VVtemp[122],VV[29],VVtemp[184],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[114])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[185]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[651]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[114],VV[4],VVtemp[122],VV[29],VVtemp[186],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[116])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[187]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[652]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[116],VV[4],VVtemp[122],VV[29],VVtemp[188],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[118])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[189]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[653]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[118],VV[4],VVtemp[122],VV[29],VVtemp[190],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[120])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[191]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[654]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[120],VV[4],VVtemp[122],VV[29],VVtemp[192],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[122])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[193]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[655]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[122],VV[4],VVtemp[122],VV[29],VVtemp[194],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[124])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[195]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[656]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[124],VV[4],VVtemp[122],VV[29],VVtemp[196],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[126])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[197]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[657]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[126],VV[4],VVtemp[122],VV[29],VVtemp[198],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[128])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[199]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[658]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[128],VV[4],VVtemp[122],VV[29],VVtemp[200],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[130])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[201]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[659]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[130],VV[4],VVtemp[122],VV[29],VVtemp[202],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[132])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[203]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[660]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[132],VV[4],VVtemp[122],VV[29],VVtemp[204],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[134])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[205]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[661]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[134],VV[4],VVtemp[122],VV[29],VVtemp[206],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[136])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[207]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[662]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[136],VV[4],VVtemp[122],VV[29],VVtemp[208],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[138])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[209]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[663]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[138],VV[4],VVtemp[122],VV[29],VVtemp[210],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[140])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[211]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[664]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[140],VV[4],VVtemp[122],VV[29],VVtemp[212],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[142])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[213]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[665]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[142],VV[4],VVtemp[122],VV[29],VVtemp[214],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[144])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[215]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[666]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[144],VV[4],VVtemp[122],VV[146],VVtemp[216],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[147])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[217]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[667]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[147],VV[4],VVtemp[122],VV[146],VVtemp[218],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[149])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[219]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[668]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[149],VV[4],VVtemp[122],VV[146],VVtemp[220],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[151])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[221]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[669]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[151],VV[4],VVtemp[122],VV[146],VVtemp[222],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[153])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[223]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[670]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[153],VV[4],VVtemp[122],VV[146],VVtemp[224],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[155])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[225]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[671]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[155],VV[4],VVtemp[122],VV[146],VVtemp[226],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[157])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[227]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[672]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[157],VV[4],VVtemp[122],VV[146],VVtemp[228],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[159])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[229]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[673]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[159],VV[4],VVtemp[122],VV[146],VVtemp[230],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[161])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[231]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[674]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[161],VV[4],VVtemp[122],VV[146],VVtemp[232],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[163])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[233]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[675]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[163],VV[4],VVtemp[122],VV[146],VVtemp[234],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[165])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[235]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[676]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[165],VV[4],VVtemp[122],VV[146],VVtemp[236],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[167])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[237]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[677]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[167],VV[4],VVtemp[122],VV[146],VVtemp[238],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[169])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[239]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[678]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[169],VV[4],VVtemp[122],VV[29],VVtemp[240],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[171])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[241]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[679]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[171],VV[4],VVtemp[122],VV[29],VVtemp[242],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[173])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[243]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[680]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[173],VV[4],VVtemp[122],VV[29],VVtemp[244],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[175])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[245]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[681]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[175],VV[4],VVtemp[122],VV[29],VVtemp[246],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[177])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[247]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[682]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[177],VV[4],VVtemp[122],VV[29],VVtemp[248],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[179])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[249]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[683]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[179],VV[4],VVtemp[147],ECL_SYM("FIXNUM",1336),VVtemp[250],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[181])                /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC91shuffle_ps,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[181],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[251]) /*  PROCLAIM */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[181],VV[4],VVtemp[252],VV[29],VVtemp[253],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[183])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[254]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[686]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[183],VV[4],VVtemp[255],VV[29],VVtemp[256],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[185])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[257]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[687]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[185],VV[4],VVtemp[147],VV[187],VVtemp[258],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[188])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[259]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[688]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[188],VV[4],VVtemp[147],VV[187],VVtemp[260],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[190])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[261]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[689]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[190],VV[4],VVtemp[262],VV[29],VVtemp[263],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[192])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[264]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[690]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[192],VV[4],VVtemp[147],ECL_SYM("FIXNUM",1336),VVtemp[265],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[194])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[266]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[691]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[194],VV[4],VVtemp[147],ECL_SYM("FIXNUM",1336),VVtemp[267],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[196])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[268]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[692]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[196],VV[4],VVtemp[269],VV[29],VVtemp[270],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[198])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[271]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[693]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[198],VV[4],VVtemp[147],ECL_SYM("INT64-T",1342),VVtemp[272],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[200])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[273]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[694]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[200],VV[4],VVtemp[147],ECL_SYM("INT64-T",1342),VVtemp[274],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[202])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[275]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[695]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[202],VV[4],VVtemp[55],VV[204],VVtemp[276],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[205])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[277]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[696]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[205],VV[4],VVtemp[55],VV[204],VVtemp[278],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[207])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[279]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[697]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[207],VV[4],VVtemp[280],VV[204],VVtemp[281],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[209])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[282]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[698]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[209],VV[4],VVtemp[280],VV[204],VVtemp[283],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[211])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[284]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[699]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[211],VV[4],Cnil,VV[204],VVtemp[285],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[213])                /*  EXPORT          */;
	(void)si_putprop(VV[213],_ecl_static_16,VV[1]) /*  PUTPROP    */;
	(void)si_putprop(VV[213],_ecl_static_7,VV[2]) /*  PUTPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[286]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[700]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[213],VV[4],VVtemp[1],VV[204],VVtemp[287],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[213],VV[4],VVtemp[3],VV[204],VVtemp[288]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[213],VV[4],VVtemp[5],VV[204],VVtemp[289]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[213],VV[6],VVtemp[7],VV[204],VVtemp[290]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[213],VV[6],VVtemp[9],VV[204],VVtemp[291]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[213],VV[6],VVtemp[11],VV[204],VVtemp[292]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[215])                /*  EXPORT          */;
	(void)si_putprop(VV[215],_ecl_static_17,VV[1]) /*  PUTPROP    */;
	(void)si_putprop(VV[215],_ecl_static_7,VV[2]) /*  PUTPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[293]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[701]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[215],VV[4],VVtemp[1],VV[204],VVtemp[294],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[215],VV[4],VVtemp[3],VV[204],VVtemp[295]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[215],VV[4],VVtemp[5],VV[204],VVtemp[296]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[215],VV[6],VVtemp[7],VV[204],VVtemp[297]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[215],VV[6],VVtemp[9],VV[204],VVtemp[298]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[215],VV[6],VVtemp[11],VV[204],VVtemp[299]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[217])                /*  EXPORT          */;
	(void)si_putprop(VV[217],_ecl_static_18,VV[1]) /*  PUTPROP    */;
	(void)si_putprop(VV[217],_ecl_static_7,VV[2]) /*  PUTPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[300]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[702]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[217],VV[4],VVtemp[1],VV[204],VVtemp[301],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[217],VV[4],VVtemp[3],VV[204],VVtemp[302]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[217],VV[4],VVtemp[5],VV[204],VVtemp[303]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[217],VV[6],VVtemp[7],VV[204],VVtemp[304]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[217],VV[6],VVtemp[9],VV[204],VVtemp[305]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[217],VV[6],VVtemp[11],VV[204],VVtemp[306]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[219])                /*  EXPORT          */;
	(void)si_putprop(VV[219],_ecl_static_19,VV[1]) /*  PUTPROP    */;
	(void)si_putprop(VV[219],_ecl_static_7,VV[2]) /*  PUTPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[307]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[703]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[219],VV[4],VVtemp[308],VV[204],VVtemp[309],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[219],VV[4],VVtemp[310],VV[204],VVtemp[311]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[219],VV[4],VVtemp[312],VV[204],VVtemp[313]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[219],VV[6],VVtemp[314],VV[204],VVtemp[315]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[219],VV[6],VVtemp[316],VV[204],VVtemp[317]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[219],VV[6],VVtemp[318],VV[204],VVtemp[319]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[221])                /*  EXPORT          */;
	(void)si_putprop(VV[221],_ecl_static_20,VV[1]) /*  PUTPROP    */;
	(void)si_putprop(VV[221],_ecl_static_7,VV[2]) /*  PUTPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[320]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[704]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[221],VV[4],VVtemp[308],VV[204],VVtemp[321],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[221],VV[4],VVtemp[310],VV[204],VVtemp[322]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[221],VV[4],VVtemp[312],VV[204],VVtemp[323]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[221],VV[6],VVtemp[314],VV[204],VVtemp[324]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[221],VV[6],VVtemp[316],VV[204],VVtemp[325]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[221],VV[6],VVtemp[318],VV[204],VVtemp[326]) /*  DEF-INLINE */;
	(void)si_putprop(VV[223],_ecl_static_21,VV[1]) /*  PUTPROP    */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[327]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[705]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[223],VV[4],VVtemp[328],VV[204],VVtemp[329],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[223],VV[4],VVtemp[330],VV[204],VVtemp[331]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[223],VV[4],VVtemp[332],VV[204],VVtemp[333]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[223],VV[6],VVtemp[334],VV[204],VVtemp[335]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[223],VV[6],VVtemp[336],VV[204],VVtemp[337]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[223],VV[6],VVtemp[338],VV[204],VVtemp[339]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC112mem_ref_sd,Cnil,Cblock);
	(void)si_put_sysprop(VV[213],ECL_SYM("SETF-LAMBDA",1118),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[213],VV[18])      /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(VV[213],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)si_putprop(VV[225],_ecl_static_22,VV[1]) /*  PUTPROP    */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[340]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[706]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[225],VV[4],VVtemp[328],VV[204],VVtemp[341],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[225],VV[4],VVtemp[330],VV[204],VVtemp[342]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[225],VV[4],VVtemp[332],VV[204],VVtemp[343]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[225],VV[6],VVtemp[334],VV[204],VVtemp[344]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[225],VV[6],VVtemp[336],VV[204],VVtemp[345]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[225],VV[6],VVtemp[338],VV[204],VVtemp[346]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC114mem_ref_pd,Cnil,Cblock);
	(void)si_put_sysprop(VV[215],ECL_SYM("SETF-LAMBDA",1118),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[215],VV[18])      /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(VV[215],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)si_putprop(VV[227],_ecl_static_23,VV[1]) /*  PUTPROP    */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[347]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[707]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[227],VV[4],VVtemp[328],VV[204],VVtemp[348],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[227],VV[4],VVtemp[330],VV[204],VVtemp[349]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[227],VV[4],VVtemp[332],VV[204],VVtemp[350]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[227],VV[6],VVtemp[334],VV[204],VVtemp[351]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[227],VV[6],VVtemp[336],VV[204],VVtemp[352]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[227],VV[6],VVtemp[338],VV[204],VVtemp[353]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC116mem_ref_apd,Cnil,Cblock);
	(void)si_put_sysprop(VV[217],ECL_SYM("SETF-LAMBDA",1118),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[217],VV[18])      /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(VV[217],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)cl_export(1,VV[229])                /*  EXPORT          */;
	(void)si_putprop(VV[229],_ecl_static_24,VV[1]) /*  PUTPROP    */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[354]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[708]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[229],VV[4],VVtemp[328],VV[204],VVtemp[355],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[229],VV[4],VVtemp[330],VV[204],VVtemp[356]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[229],VV[4],VVtemp[332],VV[204],VVtemp[357]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[229],VV[6],VVtemp[334],VV[204],VVtemp[358]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[229],VV[6],VVtemp[336],VV[204],VVtemp[359]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[229],VV[6],VVtemp[338],VV[204],VVtemp[360]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[231])                /*  EXPORT          */;
	(void)si_putprop(VV[231],_ecl_static_25,VV[1]) /*  PUTPROP    */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[361]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[709]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[231],VV[4],VVtemp[328],VV[204],VVtemp[362],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[231],VV[4],VVtemp[330],VV[204],VVtemp[363]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[231],VV[4],VVtemp[332],VV[204],VVtemp[364]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[231],VV[6],VVtemp[334],VV[204],VVtemp[365]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[231],VV[6],VVtemp[336],VV[204],VVtemp[366]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[231],VV[6],VVtemp[338],VV[204],VVtemp[367]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[233])                /*  EXPORT          */;
	(void)si_putprop(VV[233],_ecl_static_26,VV[1]) /*  PUTPROP    */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[368]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[710]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[233],VV[4],VVtemp[328],VV[204],VVtemp[369],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[233],VV[4],VVtemp[330],VV[204],VVtemp[370]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[233],VV[4],VVtemp[332],VV[204],VVtemp[371]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[233],VV[6],VVtemp[334],VV[204],VVtemp[372]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[233],VV[6],VVtemp[336],VV[204],VVtemp[373]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[233],VV[6],VVtemp[338],VV[204],VVtemp[374]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[235])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[375]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[711]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[235],VV[4],VVtemp[376],VV[204],VVtemp[377],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[237])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[378]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[712]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[237],VV[4],VVtemp[376],VV[204],VVtemp[379],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[239])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[380]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[713]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[239],VV[4],VVtemp[376],VV[204],VVtemp[381],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[241])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[382]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[714]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[241],VV[4],VVtemp[376],VV[204],VVtemp[383],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[243])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[384]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[715]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[243],VV[4],VVtemp[376],VV[204],VVtemp[385],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[245])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[386]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[716]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[245],VV[4],VVtemp[376],VV[204],VVtemp[387],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[247])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[388]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[717]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[247],VV[4],VVtemp[376],VV[204],VVtemp[389],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[249])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[390]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[718]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[249],VV[4],VVtemp[376],VV[204],VVtemp[391],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[251])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[392]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[719]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[251],VV[4],VVtemp[376],VV[204],VVtemp[393],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[253])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[394]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[720]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[253],VV[4],VVtemp[376],VV[204],VVtemp[395],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[255])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[396]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[721]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[255],VV[4],VVtemp[376],VV[204],VVtemp[397],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[257])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[398]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[722]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[257],VV[4],VVtemp[376],VV[204],VVtemp[399],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[259])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[400]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[723]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[259],VV[4],VVtemp[376],VV[204],VVtemp[401],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[261])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[402]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[724]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[261],VV[4],VVtemp[403],VV[204],VVtemp[404],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[263])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[405]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[725]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[263],VV[4],VVtemp[376],VV[204],VVtemp[406],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[265])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[407]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[726]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[265],VV[4],VVtemp[376],VV[204],VVtemp[408],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[267])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[409]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[727]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[267],VV[4],VVtemp[376],VV[204],VVtemp[410],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[269])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[411]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[728]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[269],VV[4],VVtemp[376],VV[204],VVtemp[412],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[271])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[413]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[729]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[271],VV[4],VVtemp[376],VV[204],VVtemp[414],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[273])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[415]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[730]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[273],VV[4],VVtemp[376],VV[204],VVtemp[416],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[275])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[417]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[731]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[275],VV[4],VVtemp[376],VV[204],VVtemp[418],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[277])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[419]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[732]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[277],VV[4],VVtemp[376],VV[204],VVtemp[420],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[279])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[421]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[733]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[279],VV[4],VVtemp[376],VV[204],VVtemp[422],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[281])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[423]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[734]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[281],VV[4],VVtemp[376],VV[204],VVtemp[424],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[283])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[425]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[735]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[283],VV[4],VVtemp[376],VV[204],VVtemp[426],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[285])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[427]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[736]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[285],VV[4],VVtemp[376],VV[204],VVtemp[428],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[287])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[429]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[737]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[287],VV[4],VVtemp[376],VV[204],VVtemp[430],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[289])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[431]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[738]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[289],VV[4],VVtemp[376],VV[204],VVtemp[432],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[291])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[433]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[739]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[291],VV[4],VVtemp[376],VV[204],VVtemp[434],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[293])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[435]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[740]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[293],VV[4],VVtemp[376],VV[204],VVtemp[436],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[295])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[437]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[741]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[295],VV[4],VVtemp[376],VV[204],VVtemp[438],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[297])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[439]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[742]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[297],VV[4],VVtemp[376],VV[204],VVtemp[440],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[299])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[441]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[743]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[299],VV[4],VVtemp[376],VV[204],VVtemp[442],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[301])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[443]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[744]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[301],VV[4],VVtemp[376],VV[204],VVtemp[444],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[303])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[445]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[745]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[303],VV[4],VVtemp[376],VV[204],VVtemp[446],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[305])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[447]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[746]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[305],VV[4],VVtemp[376],VV[204],VVtemp[448],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[307])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[449]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[747]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[307],VV[4],VVtemp[376],VV[204],VVtemp[450],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[309])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[451]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[748]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[309],VV[4],VVtemp[376],VV[204],VVtemp[452],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[311])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[453]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[749]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[311],VV[4],VVtemp[376],VV[204],VVtemp[454],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[313])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[455]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[750]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[313],VV[4],VVtemp[376],VV[204],VVtemp[456],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[315])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[457]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[751]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[315],VV[4],VVtemp[376],VV[204],VVtemp[458],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[317])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[459]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[752]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[317],VV[4],VVtemp[376],VV[204],VVtemp[460],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[319])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[461]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[753]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[319],VV[4],VVtemp[376],VV[146],VVtemp[462],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[321])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[463]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[754]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[321],VV[4],VVtemp[376],VV[146],VVtemp[464],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[323])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[465]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[755]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[323],VV[4],VVtemp[376],VV[146],VVtemp[466],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[325])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[467]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[756]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[325],VV[4],VVtemp[376],VV[146],VVtemp[468],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[327])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[469]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[757]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[327],VV[4],VVtemp[376],VV[146],VVtemp[470],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[329])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[471]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[758]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[329],VV[4],VVtemp[376],VV[146],VVtemp[472],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[331])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[473]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[759]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[331],VV[4],VVtemp[376],VV[146],VVtemp[474],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[333])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[475]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[760]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[333],VV[4],VVtemp[376],VV[146],VVtemp[476],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[335])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[477]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[761]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[335],VV[4],VVtemp[376],VV[146],VVtemp[478],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[337])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[479]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[762]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[337],VV[4],VVtemp[376],VV[146],VVtemp[480],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[339])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[481]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[763]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[339],VV[4],VVtemp[376],VV[146],VVtemp[482],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[341])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[483]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[764]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[341],VV[4],VVtemp[376],VV[146],VVtemp[484],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[343])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[485]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[765]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[343],VV[4],VVtemp[376],VV[204],VVtemp[486],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[345])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[487]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[766]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[345],VV[4],VVtemp[376],VV[204],VVtemp[488],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[347])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[489]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[767]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[347],VV[4],VVtemp[376],VV[204],VVtemp[490],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[349])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[491]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[768]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[349],VV[4],VVtemp[403],ECL_SYM("FIXNUM",1336),VVtemp[492],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[351])                /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC178shuffle_pd,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[351],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[493]) /*  PROCLAIM */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[351],VV[4],VVtemp[494],VV[204],VVtemp[495],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[353])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[496]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[769]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[353],VV[4],VVtemp[147],VV[204],VVtemp[497],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[355])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[498]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[770]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[355],VV[4],VVtemp[403],VV[29],VVtemp[499],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[357])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[500]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[771]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[357],VV[4],VVtemp[501],VV[204],VVtemp[502],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[359])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[503]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[772]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[359],VV[4],VVtemp[504],VV[29],VVtemp[505],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[361])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[506]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[773]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[361],VV[4],VVtemp[255],VV[204],VVtemp[507],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[363])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[508]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[774]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[363],VV[4],VVtemp[403],VV[187],VVtemp[509],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[365])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[510]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[775]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[365],VV[4],VVtemp[403],VV[187],VVtemp[511],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[367])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[512]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[776]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[367],VV[4],VVtemp[513],VV[204],VVtemp[514],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[369])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[515]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[777]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[369],VV[4],VVtemp[403],ECL_SYM("FIXNUM",1336),VVtemp[516],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[371])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[517]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[778]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[371],VV[4],VVtemp[403],ECL_SYM("FIXNUM",1336),VVtemp[518],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[373])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[519]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[779]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[373],VV[4],VVtemp[520],VV[204],VVtemp[521],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[375])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[522]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[780]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[375],VV[4],VVtemp[403],ECL_SYM("INT64-T",1342),VVtemp[523],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[377])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[524]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[781]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[377],VV[4],VVtemp[403],ECL_SYM("INT64-T",1342),VVtemp[525],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[379])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[526]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[782]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[379],VV[4],VVtemp[44],VV[187],VVtemp[527],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[381])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[528]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[783]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[381],VV[4],VVtemp[44],VV[187],VVtemp[529],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[383])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[530]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[784]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[383],VV[4],VVtemp[44],VV[187],VVtemp[531],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[385])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[532]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[785]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[385],VV[4],VVtemp[533],VV[187],VVtemp[534],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[387])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[535]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[786]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[387],VV[4],VVtemp[44],VV[187],VVtemp[531],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[389])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[536]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[787]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[389],VV[4],VVtemp[537],VV[187],VVtemp[534],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[391])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[538]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[788]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[391],VV[4],VVtemp[539],VV[187],VVtemp[540],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[393])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[541]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[789]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[393],VV[4],VVtemp[542],VV[187],VVtemp[543],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[395])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[544]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[790]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[395],VV[4],VVtemp[545],VV[187],VVtemp[546],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[397])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[547]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[791]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[397],VV[4],VVtemp[548],VV[187],VVtemp[549],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[399])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[550]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[792]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[399],VV[4],VVtemp[545],VV[187],VVtemp[546],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[401])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[551]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[793]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[401],VV[4],VVtemp[552],VV[187],VVtemp[549],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[403])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[553]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[794]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[403],VV[4],VVtemp[539],VV[187],VVtemp[554],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[405])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[555]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[795]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[405],VV[4],VVtemp[542],VV[187],VVtemp[556],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[407])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[557]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[796]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[407],VV[4],VVtemp[545],VV[187],VVtemp[558],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[409])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[559]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[797]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[409],VV[4],VVtemp[548],VV[187],VVtemp[560],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[411])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[561]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[798]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[411],VV[4],VVtemp[545],VV[187],VVtemp[558],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[413])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[562]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[799]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[413],VV[4],VVtemp[552],VV[187],VVtemp[560],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[415])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[563]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[800]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[415],VV[4],Cnil,VV[187],VVtemp[564],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[417])                /*  EXPORT          */;
	(void)si_putprop(VV[417],_ecl_static_27,VV[1]) /*  PUTPROP    */;
	(void)si_putprop(VV[417],_ecl_static_7,VV[2]) /*  PUTPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[565]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[801]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[417],VV[4],VVtemp[1],VV[187],VVtemp[566],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[417],VV[4],VVtemp[3],VV[187],VVtemp[567]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[417],VV[4],VVtemp[5],VV[187],VVtemp[568]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[417],VV[6],VVtemp[7],VV[187],VVtemp[569]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[417],VV[6],VVtemp[9],VV[187],VVtemp[570]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[417],VV[6],VVtemp[11],VV[187],VVtemp[571]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[419])                /*  EXPORT          */;
	(void)si_putprop(VV[419],_ecl_static_28,VV[1]) /*  PUTPROP    */;
	(void)si_putprop(VV[419],_ecl_static_7,VV[2]) /*  PUTPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[572]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[802]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[419],VV[4],VVtemp[1],VV[187],VVtemp[573],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[419],VV[4],VVtemp[3],VV[187],VVtemp[574]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[419],VV[4],VVtemp[5],VV[187],VVtemp[575]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[419],VV[6],VVtemp[7],VV[187],VVtemp[576]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[419],VV[6],VVtemp[9],VV[187],VVtemp[577]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[419],VV[6],VVtemp[11],VV[187],VVtemp[578]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[421])                /*  EXPORT          */;
	(void)si_putprop(VV[421],_ecl_static_29,VV[1]) /*  PUTPROP    */;
	(void)si_putprop(VV[421],_ecl_static_7,VV[2]) /*  PUTPROP     */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[579]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[803]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[421],VV[4],VVtemp[1],VV[187],VVtemp[580],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[421],VV[4],VVtemp[3],VV[187],VVtemp[581]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[421],VV[4],VVtemp[5],VV[187],VVtemp[582]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[421],VV[6],VVtemp[7],VV[187],VVtemp[583]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[421],VV[6],VVtemp[9],VV[187],VVtemp[584]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[421],VV[6],VVtemp[11],VV[187],VVtemp[585]) /*  DEF-INLINE */;
	(void)si_putprop(VV[423],_ecl_static_30,VV[1]) /*  PUTPROP    */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[586]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[804]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[423],VV[4],VVtemp[587],VV[187],VVtemp[588],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[423],VV[4],VVtemp[589],VV[187],VVtemp[590]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[423],VV[4],VVtemp[591],VV[187],VVtemp[592]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[423],VV[6],VVtemp[593],VV[187],VVtemp[594]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[423],VV[6],VVtemp[595],VV[187],VVtemp[596]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[423],VV[6],VVtemp[597],VV[187],VVtemp[598]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC215mem_ref_pi,Cnil,Cblock);
	(void)si_put_sysprop(VV[417],ECL_SYM("SETF-LAMBDA",1118),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[417],VV[18])      /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(VV[417],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)si_putprop(VV[425],_ecl_static_31,VV[1]) /*  PUTPROP    */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[599]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[805]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[425],VV[4],VVtemp[587],VV[187],VVtemp[600],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[425],VV[4],VVtemp[589],VV[187],VVtemp[601]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[425],VV[4],VVtemp[591],VV[187],VVtemp[602]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[425],VV[6],VVtemp[593],VV[187],VVtemp[603]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[425],VV[6],VVtemp[595],VV[187],VVtemp[604]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[425],VV[6],VVtemp[597],VV[187],VVtemp[605]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC217mem_ref_api,Cnil,Cblock);
	(void)si_put_sysprop(VV[419],ECL_SYM("SETF-LAMBDA",1118),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[419],VV[18])      /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(VV[419],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)si_putprop(VV[427],_ecl_static_32,VV[1]) /*  PUTPROP    */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[606]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[806]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[427],VV[4],VVtemp[587],VV[187],VVtemp[607],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[427],VV[4],VVtemp[589],VV[187],VVtemp[608]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[427],VV[4],VVtemp[591],VV[187],VVtemp[609]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[427],VV[6],VVtemp[593],VV[187],VVtemp[610]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[427],VV[6],VVtemp[595],VV[187],VVtemp[611]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[427],VV[6],VVtemp[597],VV[187],VVtemp[612]) /*  DEF-INLINE */;
	T0= ecl_make_cfun_va((cl_objectfn)LC219mem_ref_si64,Cnil,Cblock);
	(void)si_put_sysprop(VV[421],ECL_SYM("SETF-LAMBDA",1118),T0) /*  PUT-SYSPROP */;
	(void)si_rem_sysprop(VV[421],VV[18])      /*  REM-SYSPROP     */;
	(void)si_rem_sysprop(VV[421],ECL_SYM("SETF-METHOD",1119)) /*  REM-SYSPROP */;
	(void)cl_export(1,VV[429])                /*  EXPORT          */;
	(void)si_putprop(VV[429],_ecl_static_33,VV[1]) /*  PUTPROP    */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[613]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[807]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[429],VV[4],VVtemp[587],VV[187],VVtemp[614],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[429],VV[4],VVtemp[589],VV[187],VVtemp[615]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[429],VV[4],VVtemp[591],VV[187],VVtemp[616]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[429],VV[6],VVtemp[593],VV[187],VVtemp[617]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[429],VV[6],VVtemp[595],VV[187],VVtemp[618]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[429],VV[6],VVtemp[597],VV[187],VVtemp[619]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[431])                /*  EXPORT          */;
	(void)si_putprop(VV[431],_ecl_static_34,VV[1]) /*  PUTPROP    */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[620]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[808]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[431],VV[4],VVtemp[621],ECL_SYM("OBJECT",1249),VVtemp[622],VV[5],Ct) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[431],VV[4],VVtemp[623],ECL_SYM("OBJECT",1249),VVtemp[624]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[431],VV[4],VVtemp[625],ECL_SYM("OBJECT",1249),VVtemp[626]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[431],VV[6],VVtemp[627],ECL_SYM("OBJECT",1249),VVtemp[628]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[431],VV[6],VVtemp[629],ECL_SYM("OBJECT",1249),VVtemp[630]) /*  DEF-INLINE */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(5,VV[431],VV[6],VVtemp[631],ECL_SYM("OBJECT",1249),VVtemp[632]) /*  DEF-INLINE */;
	(void)cl_export(1,VV[433])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[633]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[809]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[433],VV[4],VVtemp[634],VV[187],VVtemp[635],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[435])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[636]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[810]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[435],VV[4],VVtemp[634],VV[187],VVtemp[637],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[437])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[638]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[811]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[437],VV[4],VVtemp[634],VV[187],VVtemp[639],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[439])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[640]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[812]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[439],VV[4],VVtemp[634],VV[187],VVtemp[641],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[441])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[642]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[813]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[441],VV[4],VVtemp[634],VV[187],VVtemp[643],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[443])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[644]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[814]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[443],VV[4],VVtemp[634],VV[187],VVtemp[645],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[445])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[646]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[815]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[445],VV[4],VVtemp[634],VV[187],VVtemp[647],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[447])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[648]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[816]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[447],VV[4],VVtemp[634],VV[187],VVtemp[649],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[449])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[650]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[817]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[449],VV[4],VVtemp[634],VV[187],VVtemp[651],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[451])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[652]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[818]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[451],VV[4],VVtemp[634],VV[187],VVtemp[653],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[453])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[654]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[819]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[453],VV[4],VVtemp[634],VV[187],VVtemp[655],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[455])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[656]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[820]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[455],VV[4],VVtemp[634],VV[187],VVtemp[657],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[457])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[658]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[821]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[457],VV[4],VVtemp[634],VV[187],VVtemp[659],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[459])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[660]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[822]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[459],VV[4],VVtemp[634],VV[187],VVtemp[661],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[461])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[662]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[823]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[461],VV[4],VVtemp[634],VV[187],VVtemp[663],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[463])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[664]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[824]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[463],VV[4],VVtemp[634],VV[187],VVtemp[665],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[465])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[666]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[825]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[465],VV[4],VVtemp[634],VV[187],VVtemp[667],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[467])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[668]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[826]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[467],VV[4],VVtemp[634],VV[187],VVtemp[669],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[469])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[670]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[827]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[469],VV[4],VVtemp[634],VV[187],VVtemp[671],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[471])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[672]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[828]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[471],VV[4],VVtemp[634],VV[187],VVtemp[673],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[473])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[674]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[829]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[473],VV[4],VVtemp[634],VV[187],VVtemp[675],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[475])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[676]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[830]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[475],VV[4],VVtemp[634],VV[187],VVtemp[677],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[477])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[678]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[831]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[477],VV[4],VVtemp[634],VV[187],VVtemp[679],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[479])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[680]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[832]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[479],VV[4],VVtemp[634],VV[187],VVtemp[681],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[481])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[682]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[833]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[481],VV[4],VVtemp[634],VV[187],VVtemp[683],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[483])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[684]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[834]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[483],VV[4],VVtemp[634],VV[187],VVtemp[685],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[485])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[686]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[835]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[485],VV[4],VVtemp[634],VV[187],VVtemp[687],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[487])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[688]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[836]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[487],VV[4],VVtemp[634],VV[187],VVtemp[689],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[489])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[690]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[837]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[489],VV[4],VVtemp[634],VV[187],VVtemp[691],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[491])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[692]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[838]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[491],VV[4],VVtemp[634],VV[187],VVtemp[693],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[493])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[694]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[839]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[493],VV[4],VVtemp[634],VV[187],VVtemp[695],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[495])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[696]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[840]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[495],VV[4],VVtemp[634],VV[187],VVtemp[697],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[497])                /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC254slli_pi,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[497],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[698]) /*  PROCLAIM */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[497],VV[4],VVtemp[699],VV[187],VVtemp[700],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[498])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[701]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[841]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[498],VV[4],VVtemp[699],VV[187],VVtemp[702],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[500])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[703]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[842]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[500],VV[4],VVtemp[699],VV[187],VVtemp[704],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[502])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[705]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[843]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[502],VV[4],VVtemp[699],VV[187],VVtemp[706],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[504])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[707]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[844]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[504],VV[4],VVtemp[634],VV[187],VVtemp[708],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[506])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[709]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[845]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[506],VV[4],VVtemp[634],VV[187],VVtemp[710],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[508])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[711]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[846]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[508],VV[4],VVtemp[634],VV[187],VVtemp[712],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[510])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[713]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[847]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[510],VV[4],VVtemp[699],VV[187],VVtemp[714],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[512])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[715]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[848]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[512],VV[4],VVtemp[699],VV[187],VVtemp[716],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[514])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[717]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[849]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[514],VV[4],VVtemp[634],VV[187],VVtemp[718],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[516])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[719]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[850]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[516],VV[4],VVtemp[634],VV[187],VVtemp[720],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[518])                /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC265srli_pi,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[518],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[721]) /*  PROCLAIM */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[518],VV[4],VVtemp[699],VV[187],VVtemp[722],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[519])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[723]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[851]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[519],VV[4],VVtemp[699],VV[187],VVtemp[724],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[521])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[725]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[852]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[521],VV[4],VVtemp[699],VV[187],VVtemp[726],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[523])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[727]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[853]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[523],VV[4],VVtemp[699],VV[187],VVtemp[728],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[525])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[729]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[854]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[525],VV[4],VVtemp[634],VV[187],VVtemp[730],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[527])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[731]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[855]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[527],VV[4],VVtemp[634],VV[187],VVtemp[732],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[529])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[733]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[856]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[529],VV[4],VVtemp[634],VV[187],VVtemp[734],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[531])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[735]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[857]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[531],VV[4],VVtemp[634],VV[187],VVtemp[736],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[533])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[737]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[858]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[533],VV[4],VVtemp[634],VV[187],VVtemp[738],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[535])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[739]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[859]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[535],VV[4],VVtemp[634],VV[187],VVtemp[740],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[537])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[741]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[860]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[537],VV[4],VVtemp[634],VV[187],VVtemp[742],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[539])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[743]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[861]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[539],VV[4],VVtemp[634],VV[187],VVtemp[744],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[541])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[745]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[862]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[541],VV[4],VVtemp[634],VV[187],VVtemp[746],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[543])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[747]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[863]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[543],VV[4],VVtemp[634],VV[187],VVtemp[748],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[545])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[749]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[864]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[545],VV[4],VVtemp[634],VV[187],VVtemp[750],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[547])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[751]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[865]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[547],VV[4],VVtemp[634],VV[187],VVtemp[752],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[549])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[753]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[866]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[549],VV[4],VVtemp[634],VV[187],VVtemp[754],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[551])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[755]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[867]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[551],VV[4],VVtemp[634],VV[187],VVtemp[756],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[553])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[757]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[868]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[553],VV[4],VVtemp[634],VV[187],VVtemp[758],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[555])                /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC284extract_pi16,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[555],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[759]) /*  PROCLAIM */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[555],VV[4],VVtemp[699],ECL_SYM("FIXNUM",1336),VVtemp[760],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[556])                /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC285insert_pi16,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[556],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[761]) /*  PROCLAIM */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[556],VV[4],VVtemp[762],VV[187],VVtemp[763],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[557])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[764]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[869]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[557],VV[4],VVtemp[255],ECL_SYM("FIXNUM",1336),VVtemp[765],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[559])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[766]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[870]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[559],VV[4],VVtemp[634],VV[187],VVtemp[767],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[561])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[768]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[871]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[561],VV[4],VVtemp[634],VV[187],VVtemp[769],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[563])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[770]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[872]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[563],VV[4],VVtemp[634],VV[187],VVtemp[771],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[565])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[772]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[873]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[565],VV[4],VVtemp[634],VV[187],VVtemp[773],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[567])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[774]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[874]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[567],VV[4],VVtemp[634],VV[187],VVtemp[775],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[569])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[776]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[875]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[569],VV[4],VVtemp[634],VV[187],VVtemp[777],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[571])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[778]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[876]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[571],VV[4],VVtemp[634],VV[187],VVtemp[779],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[573])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[780]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[877]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[573],VV[4],VVtemp[634],VV[187],VVtemp[781],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[575])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[782]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[878]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[575],VV[4],VVtemp[255],VV[187],VVtemp[783],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[577])                /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC296shuffle_pi32,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[577],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[784]) /*  PROCLAIM */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[577],VV[4],VVtemp[699],VV[187],VVtemp[785],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[578])                /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC297shufflelo_pi16,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[578],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[786]) /*  PROCLAIM */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[578],VV[4],VVtemp[699],VV[187],VVtemp[787],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[579])                /*  EXPORT          */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC298shufflehi_pi16,Cnil,Cblock,2);
	(void)si_put_sysprop(VV[579],ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[788]) /*  PROCLAIM */;
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[579],VV[4],VVtemp[699],VV[187],VVtemp[789],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[580])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[790]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[879]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[580],VV[4],VVtemp[44],VV[187],VVtemp[791],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[582])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[792]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[880]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[582],VV[4],VVtemp[44],VV[187],VVtemp[791],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[584])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[793]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[881]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[584],VV[4],VVtemp[533],VV[187],VVtemp[794],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[586])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[795]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[882]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[586],VV[4],VVtemp[537],VV[187],VVtemp[794],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[588])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[796]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[883]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[588],VV[4],VVtemp[255],ECL_SYM("FIXNUM",1336),VVtemp[797],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[590])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[798]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[884]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[590],VV[4],VVtemp[255],ECL_SYM("FIXNUM",1336),VVtemp[797],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[592])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[799]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[885]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[592],VV[4],VVtemp[255],ECL_SYM("INT64-T",1342),VVtemp[800],VV[5],Ct) /*  DEF-INLINE */;
	(void)cl_export(1,VV[594])                /*  EXPORT          */;
	(void)(cl_env_copy->function=(ECL_SYM("PROCLAIM",664)->symbol.gfdef))->cfun.entry(1,VVtemp[801]) /*  PROCLAIM */;
	ecl_cmp_defun(VV[886]);
	(void)ecl_function_dispatch(cl_env_copy,VV[597])(7,VV[594],VV[4],VVtemp[255],ECL_SYM("UINT64-T",1354),VVtemp[800],VV[5],Ct) /*  DEF-INLINE */;
}
